2004-01-06 13:25  nordstrom

	* CREDITS (plucker_1_6):

	Removed e-mail addresses
	
2004-01-06 04:52  matto

	* plucker_desktop/langs/ja/: plucker-desktop.mo,
	plucker-desktop.po:

	Some messages are modified.
	
2004-01-05 19:04  nordstrom

	* viewer/viewer.rcp.in:

	Moved lookup word menu item, so we can actually see it in the meu ;-)
	
2004-01-05 17:31  nordstrom

	* viewer/externalform.c:

	Support rotation for the fiveway and only go back if the left arrow action is 'go back'
	
2004-01-05 15:58  nordstrom

	* viewer/: externalform.c, viewer.c:

	Feature requests #824 and #915: Return from external links form using HW button, fiveway, etc.
	
2004-01-04 14:41  prussar

	* viewer/font.c:

	Don't search for empty user font name
	
2004-01-04 12:02  nordstrom

	* viewer/os.c:

	Bug fix, calling HandleJogAssist will crash devices running an OS older than 3.5
	
2004-01-04 10:35  nordstrom

	* viewer/: doclist.c, font.c, vfsfile.c, vfsfile.h:

	Data type for enumerate cards handling + added back Launcher dir as a font directory
	
2004-01-04 10:32  nordstrom

	* viewer/Makefile.in:

	Dependencies for unit test
	
2004-01-04 03:52  robertoconnor

	* plucker_desktop/setup.h:

	Source formatting changes
	
2004-01-04 03:12  robertoconnor

	* plucker_desktop/docs/CODING_GUIDELINES.txt:

	Source formatting changes
	
2004-01-04 03:07  robertoconnor

	* plucker_desktop/: PluckerDesktop.dsp, plucker-desktop.cpp,
	plucker-desktop.dsp, plucker-desktop.dsw, plucker_controller.cpp,
	plucker_wizard_base.cpp, plucker_wizard_wrappers.cpp,
	preferences_dialog.cpp, process_progress_dialog.cpp,
	processed_tip_provider.cpp, proxy_prompt.cpp, proxy_wizardpage.cpp,
	setup.h, setup_wizard.cpp, showcase_dialog.cpp,
	showcase_listctrl.cpp, span_dialog.cpp, splashscreen.cpp,
	starting_page_wizardpage.cpp, startup_tips.cpp, table_dialog.cpp,
	td_th_dialog.cpp, textctrl_wizardpage.cpp, time_control.cpp,
	ul_dialog.cpp, utils_clipboard.cpp, utils_controls.cpp,
	utils_datetime.cpp, utils_execute.cpp, utils_internet.cpp,
	utils_string.cpp, viewer_wizardpage.cpp:

	Source formatting changes
	
2004-01-04 02:07  robertoconnor

	* plucker_desktop/: plucker-desktop.cpp, plucker-desktop.cpp:

	lf
	
2004-01-04 02:04  robertoconnor

	* plucker_desktop/plucker-desktop.cpp:

	no message
	
2004-01-04 00:59  nordstrom

	* viewer/vfsfile.c:

	Remove Launcher dir as possible vfs font location until better solution has been implemented
	
2004-01-04 00:57  robertoconnor

	* plucker_desktop/: about_dialog.cpp, add_channel_wizard.cpp,
	art_provider.cpp, blocked_dialog.cpp, body_dialog.cpp,
	build_progress_dialog.cpp, build_progress_wrappers.cpp,
	channel_check_listctrl.cpp, channel_dialog.cpp,
	channel_list_wizardpage.cpp, channel_listctrl_base.cpp,
	channel_type.cpp, checkbox_message_dialog.cpp,
	checkbox_wizardpage.cpp, commandline_parser.cpp, configuration.cpp,
	destinations_wizardpage.cpp, details_progress_dialog.cpp,
	details_progress_listbox.cpp, editor_dialog.cpp, email_dialog.cpp,
	exclusion_dialog.cpp, exclusion_listctrl.cpp, font_dialog.cpp,
	handheld_dest_dialog.cpp, handheld_dest_type.cpp,
	handheld_dest_wrappers.cpp, help_controller.cpp, hhictrl.cpp,
	hr_dialog.cpp, html_tip_dialog.cpp, hyperlink_dialog.cpp,
	image_dialog.cpp, image_list.cpp, import_controller.cpp,
	install_viewer_wizard.cpp, internationalization.cpp,
	limits_wizardpage.cpp, main_frame.cpp, main_listctrl.cpp,
	ol_dialog.cpp, os_msw.cpp, palm_installer_base.cpp,
	palm_installer_gtk.cpp, palm_installer_mac.cpp,
	palm_installer_msw.cpp, pda_listctrl.cpp, piped_process.cpp,
	setup.h:

	Source formatting changes
	
2004-01-04 00:32  robertoconnor

	* tools/conduit-install/msw/condinst.dsp:

	Conduit install stuff
	
2004-01-04 00:21  nordstrom

	* viewer/: Makefile.in, externalform.c, font.c, grayfont.c, os.c,
	rotate.c, testsuite.c, vfsfile.c:

	Fixed bug in vfs font support and added more test cases
	
2004-01-03 13:32  nordstrom

	* viewer/: loadbar.c, table.c:

	Indentation and empty lines
	
2004-01-03 05:02  prussar

	* viewer/vfsfile.c:

	Should set numOfElements when enumerateWhat has enumerateDocs attribute set, not just when it is equal to enumerateDocs
	
2004-01-03 04:44  prussar

	* viewer/font.c:

	Code formatting
	
2004-01-02 20:27  nordstrom

	* viewer/langs/no.rcp:

	Updated Norwegian translation (Geir-Tore Lindsve)
	
2004-01-02 15:38  nordstrom

	* viewer/: Makefile.in, grayfont.c, paragraph.c, testsuite.c:

	Added test case for paragraph module
	
2004-01-02 15:36  nordstrom

	* viewer/paragraph.h:

	Style guide
	
2004-01-02 15:36  nordstrom

	* viewer/: document.c, uncompress.c:

	Wrong indentation
	
2004-01-02 00:41  chrish

	* viewer/uncompress.c:

	Fixed tableList in uncompress.c.
	
2004-01-01 19:41  chrish

	* viewer/viewer.rcp.in:

	Added 'lookup.bmp' for those of us without hires or pilrc_exbmp.
	
2004-01-01 19:37  chrish

	* viewer/table.c:

	Added 'tContext.writeMode = WRITEMODE_LAYOUT_ANCHORS' to satisfy DO_ANCHORS macro.
	
2004-01-01 19:19  nordstrom

	* viewer/paragraph.c:

	Wrong indentation
	
2004-01-01 19:18  nordstrom

	* viewer/: Makefile.in, testsuite.c:

	Added test cases for uncompress module
	
2004-01-01 15:27  prussar

	* viewer/: paragraph.c, resultform.c, resultform.h, search.c:

	More robust, simpler and less buggy search result highlighting
	
2004-01-01 14:58  nordstrom

	* viewer/search.c:

	Shouldn't use c++ comments
	
2004-01-01 14:42  prussar

	* viewer/mainform.c:

	Coding style
	
2004-01-01 14:39  prussar

	* viewer/search.c:

	Slight simplification
	
2004-01-01 08:53  nordstrom

	* viewer/: control.c, document.c:

	Coding style changes
	
2004-01-01 08:52  nordstrom

	* viewer/mainform.c:

	The launchflag should be set by the system
	
2003-12-31 17:57  prussar

	* NEWS:

	Dictionary support
	
2003-12-31 16:24  prussar

	* viewer/: libraryform.c, libraryform.h, mainform.c, mainform.h,
	searchform.c, silkscreen.c:

	Better silkscreen handling in popups
	
2003-12-31 15:04  nordstrom

	* viewer/prefslookup.c:

	Fixed spelling error
	
2003-12-31 15:00  nordstrom

	* viewer/control.c:

	selectWord variable is only used when dictionary support is included
	
2003-12-31 14:57  nordstrom

	* viewer/mainform.c:

	Missing preprocessor directive
	
2003-12-31 14:49  prussar

	* viewer/: bookmarkform.c, configure.in, control.c, document.c,
	document.h, grayfont.h, hardcopyform.c, mainform.c, paragraph.c,
	paragraph.h, prefsdata.c, prefsdata.h, prefsform.c, prefslookup.c,
	prefslookup.h, resourceids.h, screen.c, util.c, util.h, viewer.c,
	viewer.rcp.in, icons/lookup-2bpp.bmp, icons/lookup-4bpp.bmp,
	icons/lookup-8bpp.bmp, icons/lookup.bmp, icons/lookup_x2-8bpp.bmp,
	langs/ca.rcp, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/no.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Word selection / dictionary lookup support
	
2003-12-31 12:16  nordstrom

	* viewer/: Makefile.in, testsuite.c:

	Test cases for metadocument and genericfile
	
2003-12-31 09:13  nordstrom

	* docs/Viewer.tex:

	Minor updates to the text
	
2003-12-31 03:38  robertoconnor

	* tools/conduit-install/msw/: COPYRIGHT, changelog.condinst.txt,
	condinst.cpp, condinst.dsp, condinst.dsw, readme.condinst.txt:

	Addition of updated conduit installer files.
	
2003-12-31 03:37  robertoconnor

	* tools/conduit-install/msw/: CHANGELOG.txt, README.txt:

	Remove old files
	
2003-12-31 03:16  robertoconnor

	* tools/conduit-install/msw/: BUILDING_MS_VISUAL_C.TXT,
	PluckerCond.dsp, PluckerCond.dsw, PluckerCond.iss,
	PluckerCondGenCond.cpp, PluckerCondGenCond.h, resource.h:

	Removal of wrong directory things
	
2003-12-31 03:13  robertoconnor

	* tools/plucker-conduit/msw/: BUILDING_MS_VISUAL_C.TXT,
	PluckerCond.dsp:

	Added build instructions for people who don't regularly use Visual C++
	
2003-12-31 02:25  robertoconnor

	* tools/conduit-install/msw/BUILDING_MS_VISUAL_C.TXT:

	Added build instructions for people who don't regularly use Visual C++
	
2003-12-31 02:02  robertoconnor

	* tools/conduit-install/msw/: PluckerCond.dsp, PluckerCond.dsw,
	PluckerCond.iss, PluckerCondGenCond.cpp, PluckerCondGenCond.h,
	resource.h:

	Fixing line returns to MSW
	
2003-12-31 01:44  robertoconnor

	* tools/conduit-install/msw/: PluckerCond.dsp, PluckerCond.dsw,
	PluckerCond.iss, PluckerCondGenCond.cpp, PluckerCondGenCond.h,
	resource.h:

	Bill's Conduit Install for MSW
	
2003-12-30 22:24  prussar

	* viewer/grayfont.c:

	More inverse video fixes
	
2003-12-30 22:08  nordstrom

	* viewer/: prefsdata.c, testsuite.c:

	Added test cases for preference data and fixed a bug found when running the unit test
	
2003-12-30 21:20  prussar

	* viewer/grayfont.c:

	Fix inverse video for kerned font
	
2003-12-30 20:09  nordstrom

	* viewer/: Makefile.in, viewer.h:

	New code section should only be used for test version
	
2003-12-30 18:43  nordstrom

	* viewer/: Makefile.in, viewer.h:

	Added new code section
	
2003-12-30 17:58  nordstrom

	* viewer/: control.c, document.c, fullscreenform.c, image.c,
	paragraph.c, search.c, table.c:

	Changes according to coding guidelines
	
2003-12-30 17:46  nordstrom

	* viewer/: fullscreenform.c, grayfont.c, image.c, os.c,
	paragraph.c, rotatebitmap.h, screen.c, search8.h, vfsfile.c,
	fonts/fontconv.c, fonts/palmtypes.h:

	Replaced TABs with spaces
	
2003-12-30 17:38  nordstrom

	* viewer/viewer.c:

	Fixed spelling error in comment
	
2003-12-30 15:16  matto

	* viewer/viewer.c:

	Software keyboard is disabled while viewing documents.
	
2003-12-30 14:24  nordstrom

	* viewer/: Makefile.in, os.c, testsuite.c:

	Added test cases for OS module
	
2003-12-30 14:23  nordstrom

	* viewer/os.h:

	Removed obsolete function
	
2003-12-29 22:47  nordstrom

	* ChangeLog, NEWS:

	Added support for unit test using PalmCUnit
	
2003-12-29 22:43  nordstrom

	* viewer/langs/no.rcp:

	Updated Norwegian translation (Geir-Tore Lindsve)
	
2003-12-29 22:42  nordstrom

	* viewer/Makefile.in:

	Different name for test viewer
	
2003-12-29 22:29  robertoconnor

	* plucker_desktop/: plucker_controller.cpp, viewer_wizardpage.cpp,
	docs/TODO.txt, langs/ca/plucker-desktop.po, langs/ca/wxstd.po,
	resource/html_about/plucker_authors.htm:

	Hires viewer is now the default install option.
	
	Fix for commandline execution on MSW.
	
2003-12-29 22:14  nordstrom

	* viewer/: Makefile.in, configure.in, externalform.c,
	libraryform.c, rotate.c, skins.c, testsuite.c, viewer.c, viewer.h:

	Added support for unit test using PalmCUnit
	
2003-12-29 20:57  nordstrom

	* viewer/document.c:

	Write mode is assigned in the InitializeTextContext function
	
2003-12-29 20:52  nordstrom

	* viewer/: control.c, document.c, paragraph.c, document.h:

	Improved coding style
	
2003-12-29 20:44  nordstrom

	* viewer/: anchor.c, control.c, document.c, util.h, image.c,
	mainform.c, paragraph.c:

	Changed name on items in WriteModeType
	
2003-12-29 20:33  nordstrom

	* viewer/: cache.c, doclist.c, emailform.c, font.c, jogdial.c,
	keyboard.c, metadocument.c, ramfile.c, uncompress.c:

	LocalID is an integer not a pointer, so we shouldn't check for NULL
	
2003-12-29 20:23  nordstrom

	* viewer/util.h:

	Undefine ASSERT and ASSERT_MSG to avoid conflicts with test framework
	
2003-12-29 20:22  nordstrom

	* viewer/history.c:

	Unlock handle instead of pointer
	
2003-12-29 20:21  nordstrom

	* viewer/genericfile.c:

	Clean up reserved records info
	
2003-12-29 02:07  prussar

	* viewer/paragraph.c:

	Fix charIsSpace() argument type
	
2003-12-28 20:58  chrish

	* viewer-GTK+2-POSIX/gtkviewer.h, viewer-GTK+2-POSIX/image.c,
	viewer-GTK+2-POSIX/library.c, viewer-GTK+2-POSIX/viewer.c,
	tools/unpluck/config.c, tools/unpluck/unpluck.c,
	tools/unpluck/unpluck.h, tools/unpluck/unpluckint.h,
	tools/unpluck/util.c, tools/explode/explode.c:

	Closer conformance to Plucker coding guidelines.
	
2003-12-28 16:52  prussar

	* viewer/document.c:

	Fixed anchor handling for some write modes
	
2003-12-28 16:01  prussar

	* viewer/util.h:

	Added a comment
	
2003-12-28 15:58  prussar

	* viewer/: anchor.c, control.c, document.c, document.h,
	hardcopyform.c, mainform.c, paragraph.c, resourceids.h, util.h,
	fonts/Makefile.in:

	Remove unnecessary screen redraws after stopping autoscroll and after hardcopy
	
2003-12-26 17:06  chrish

	* tools/unpluck/unpluck.c:

	Added handling of compressed table docs.
	
2003-12-26 16:55  chrish

	* viewer-GTK+2-POSIX/viewer.c:

	Now does tables and Multiimage!
	
2003-12-26 16:53  chrish

	* tools/explode/explode.c:

	Explode now does tables and multiimage images!
	
2003-12-25 17:03  prussar

	* viewer/grayfont.c:

	Fix pre-OS5 crash in aa font colorization
	
2003-12-24 06:54  prussar

	* viewer/: fiveway.c, fiveway.h, jogdial.c, libraryform.c,
	libraryform.h, paragraph.c:

	Jogdial and fiveway and keyboard integrated in library.
	Page up/down in library moves jogdial/keyboard selector.
	Fix multiline italics.
	
2003-12-24 06:48  prussar

	* viewer/grayfont.c:

	Kerning fixes
	
2003-12-20 21:51  nordstrom

	* CREDITS, ChangeLog, NEWS, unix/setup.py.in, viewer/configure.in,
	viewer/viewer.rcp.in, viewer/langs/ca.h, viewer/langs/ca.rcp,
	viewer/langs/cs.h, viewer/langs/cs.rcp, viewer/langs/da.h,
	viewer/langs/da.rcp, viewer/langs/de.h, viewer/langs/de.rcp,
	viewer/langs/en.h, viewer/langs/en.rcp, viewer/langs/es.h,
	viewer/langs/es.rcp, viewer/langs/fo.h, viewer/langs/fo.rcp,
	viewer/langs/fr.h, viewer/langs/fr.rcp, viewer/langs/it.h,
	viewer/langs/it.rcp, viewer/langs/ja.h, viewer/langs/pl.h,
	viewer/langs/pl.rcp, viewer/langs/ru.h, viewer/langs/ru.rcp,
	viewer/langs/sample.h, viewer/langs/th.h, viewer/langs/th.rcp,
	viewer/langs/tr.h, viewer/langs/tr.rcp, viewer/langs/zh_CN.h,
	viewer/langs/zh_CN.rcp:

	Added more configurable options for the different translations
	
2003-12-20 21:47  nordstrom

	* viewer/util.c:

	Don't attempt to release a resized record
	
2003-12-20 21:46  nordstrom

	* viewer/langs/: no.h, no.rcp:

	Added Norwegian translation (Geir-Tore Lindsve)
	
2003-12-20 14:00  nordstrom

	* viewer/: document.c, genericfile.h:

	Coding style fix
	
2003-12-20 13:59  nordstrom

	* viewer/font.c:

	Changed location of required headers for VFS font support or it won't build
	
2003-12-19 22:06  chrish

	* viewer-GTK+2-POSIX/viewer.c:

	Fix for tables w/ rowspan/colspan > 1.
	
2003-12-19 16:17  chrish

	* viewer-GTK+2-POSIX/viewer.c:

	Now supports tables!
	
2003-12-19 00:58  jimj

	* parser/python/PyPlucker/TextParser.py:

	Added "coding:iso-8859-1" to stop warning.
	
2003-12-17 03:46  jimj

	* parser/python/PyPlucker/Retriever.py:

	Stop the None has no attribute problems.  Let the library
	do its work.  Also cleaned up some comments.  Also reused
	the opener object -- *much* faster on windows.
	
	This provides a "known good" baseline for the newly
	planned development (cookies, etc).
	
2003-12-17 02:38  jimj

	* parser/python/PyPlucker/PluckerDocs.py:

	Added a "coding: " directive for the french quote signs.
	Python now warns about 8-bit characters unless you tell
	it which encoding you are using.  I assumed the default
	iso-8859-1, since it is standard and does look right
	for these characters.
	
2003-12-17 02:28  jimj

	* parser/python/PyPlucker/Url.py:

	Sidlon's fix for URLs broken by a linebreak.
	Long term, perhaps we should replace all whitespace in cleanup, but this
	was tested and worked with the example broken URL. Good enough.
	
2003-12-17 02:21  jimj

	* parser/python/PyPlucker/TextParser.py:

	Make the attrfind override conditional.  Override iff
	the python version is too old.
	
2003-12-16 16:00  prussar

	* viewer/jogdial.c:

	Jogdial library fix
	
2003-12-15 22:22  chrish

	* parser/python/PyPlucker/PluckerDocs.py:

	Fix for table cells containing only white space.
	
2003-12-15 17:02  prussar

	* viewer/font.c:

	Fix more bugs in vfs font cache
	
2003-12-15 14:20  matto

	* viewer/langs/ja.rcp:

	Fix in copyright notice in Japanese.(Freeware --> Free Software)
	
2003-12-15 14:19  matto

	* viewer/: control.c, prefsdata.h, resourceids.h, viewer.rcp.in,
	langs/ca.rcp, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	'Save current position to history stack' is implemented. (Thanks to Rubikitch)
	
2003-12-15 06:16  prussar

	* viewer/font.c:

	Sorting fix
	
2003-12-15 03:55  prussar

	* viewer/keyboard.c:

	Release records when done
	
2003-12-14 22:03  jimj

	* parser/python/PyPlucker/TextParser.py:

	Make (most) <style> and <option> tags invisible.
	Make some junk alt attributes invisible.  (Keeps alt
	tags that contain actual content.)
	
2003-12-14 21:41  jimj

	* parser/python/PyPlucker/TextParser.py:

	Cleaned some comments and doc-strings.
	Also ensured that #RGB turns into #RRGGBB as a courtesy
	to the image and color processing portions.  (Be strict
	in what you emit...)
	
2003-12-14 21:18  jimj

	* parser/python/PyPlucker/TextParser.py:

	Added support for colors using RGB in hex with only
	one character/color.  This is done only when the
	alternative is giving up and defaulting to black.
	
2003-12-14 20:55  jimj

	* parser/python/PyPlucker/TextParser.py:

	Changed TextParser.py color handling to accept all
	(non-system) colors defined for SVG, and to return
	black for all failures, instead of sometimes returning
	black and sometimes None.
	
2003-12-14 17:17  jimj

	* parser/python/PyPlucker/TextParser.py:

	TextParser overrides sgmllib.attrfind.  Python has since
	corrected the original bug and some more besides, but
	Macs and Linux may not have the updates.  This updates
	Plucker to use the current (2.3.3) version.
	
2003-12-14 15:59  prussar

	* viewer/font.c:

	Sort user font names
	
2003-12-13 15:47  prussar

	* viewer/: font.c, font.h, grayfont.c, grayfont.h, paragraph.c:

	Kerning and margins fix, again
	
2003-12-13 14:27  prussar

	* viewer/font.c:

	Smarter substitutions
	
2003-12-13 14:21  prussar

	* viewer/: font.c, grayfont.c, grayfont.h:

	Fix margins for kerned fonts
	
2003-12-13 14:21  prussar

	* viewer/cleaner/resourceids.h:

	Fix layout of some vfs font cache messages
	
2003-12-13 06:37  prussar

	* viewer/paragraph.c:

	Better margins for kerned fonts
	
2003-12-13 06:16  prussar

	* viewer/grayfont.c:

	Fix kerning
	
2003-12-13 03:46  prussar

	* NEWS:

	VFS fonts
	
2003-12-13 03:21  prussar

	* viewer/cleaner/: cleaner.rcp.in, form.c, resourceids.h:

	Added font cache removal
	
2003-12-13 03:12  prussar

	* viewer/: font.c, font.h, fontform.c, libraryform.c,
	metadocument.c, viewer.c:

	Fix VFS font cache
	
2003-12-13 01:56  prussar

	* viewer/font.c:

	Disable unneeded vfs scan
	
2003-12-13 00:46  prussar

	* viewer/: font.c, font.h, grayfont.c:

	Fix VFS font memory leak
	
2003-12-13 00:03  prussar

	* viewer/font.c:

	Fix one memory leak
	
2003-12-12 21:35  prussar

	* viewer/: doclist.c, font.c:

	VFS font fixes and optimizations
	
2003-12-12 17:26  chrish

	* viewer-GTK+2-POSIX/viewer.c:

	More fixes, including a seg fault from library.
	
2003-12-12 17:24  chrish

	* viewer/table.c:

	Fix for cell height when there is no text.
	
2003-12-12 16:30  prussar

	* viewer/font.c:

	Fix bug mixing VFS and non-VFS user fonts
	
2003-12-12 14:32  prussar

	* viewer/: configure.in, const.h, doclist.c, font.c, font.h,
	fontform.c, grayfont.c, libraryform.c, metadocument.c, os.c,
	vfsfile.c, vfsfile.h, viewer.c:

	VFS fonts
	
2003-12-10 03:33  prussar

	* viewer/paragraph.c:

	Background erasing for italics and kerned fonts fix
	
2003-12-07 20:11  nordstrom

	* unix/: plucker.spec (plucker_1_6), plucker.spec:

	Wrong name on python file for dump tool
	
2003-12-07 16:52  nordstrom

	* viewer/jogdial.c:

	Updated to be in sync with the fiveway changes
	
2003-12-07 10:20  nordstrom

	* viewer/paragraph.c:

	Check of null pointer after it has already been used
	
2003-12-07 10:18  nordstrom

	* viewer/: bookmarkform.c (plucker_1_6), bookmarkform.c:

	Bug fix #990, Device crash if adding more than 15 bookmarks
	
2003-12-07 01:21  chrish

	* tools/unpluck/unpluck.h:

	Added mising doc types and function codes.
	
2003-12-07 01:20  chrish

	* viewer-GTK+2-POSIX/viewer.c:

	Added support for multiimages and links to large images.
	
2003-12-02 14:47  prussar

	* viewer/viewer.rcp.in (plucker_1_6):

	More space for font name
	
2003-12-02 14:40  prussar

	* viewer/viewer.rcp.in:

	More space for font name
	
2003-12-01 15:32  prussar

	* viewer/document.c:

	Don't even bother drawing with empty clip rect
	
2003-11-30 19:56  prussar

	* viewer/fontform.c:

	No need to shift fontform title
	
2003-11-30 16:07  prussar

	* viewer/langs/: ca.h, cs.h, da.h, de.h, en.h, es.h, fo.h, fr.h,
	it.h, ja.h, pl.h, ru.h, sample.h, th.h, tr.h, zh_CN.h:

	Remove LIBRARY_HELP_ICON_POS
	
2003-11-30 15:50  prussar

	* viewer/: font.c, font.h, fontform.c, grayfont.c, grayfont.h,
	palmbitmap.h, paragraph.c, pluckererror.h, langs/sample.rcp,
	langs/zh_CN.rcp:

	Grayscale kerning
	
2003-11-30 05:08  prussar

	* viewer/grayfont.c:

	Fix OS5 colorized text bug
	
2003-11-30 03:40  prussar

	* viewer/search.c:

	Remove debug code
	
2003-11-29 22:08  prussar

	* viewer/: resourceids.h, search.c, viewer.rcp.in, langs/ca.rcp,
	langs/cs.rcp, langs/da.rcp, langs/de.rcp, langs/en.rcp,
	langs/es.rcp, langs/fo.rcp, langs/fr.rcp, langs/it.rcp,
	langs/ja.rcp, langs/pl.rcp, langs/ru.rcp, langs/th.rcp,
	langs/tr.rcp:

	Finish improving search in page end-of-page behavior
	
2003-11-29 21:30  prussar

	* viewer/search.c:

	comments
	
2003-11-29 20:04  prussar

	* viewer/resourceids.h:

	Italic font support
	
2003-11-29 20:02  prussar

	* viewer/document.c:

	Remove useless patternOffset reference
	
2003-11-29 19:52  prussar

	* NEWS:

	Italic support added to NEWS
	
2003-11-29 19:34  prussar

	* viewer/: font.c, font.h, paragraph.c:

	Italic font support
	
2003-11-28 16:31  prussar

	* viewer/: paragraph.c, util.h:

	Remove dead code
	
2003-11-28 15:26  prussar

	* viewer/: document.c (plucker_1_6), document.c:

	Fix seek to first line of para bug (search, etc.)
	
2003-11-28 05:41  prussar

	* viewer/: resultform.c (plucker_1_6), resultform.c:

	Fix bug with continuation of search down in doc
	
2003-11-28 01:23  prussar

	* viewer/grayfont.c:

	Fix possible bug if last character has odd width
	
2003-11-27 20:31  prussar

	* NEWS:

	NEWS update
	
2003-11-27 15:46  prussar

	* viewer/grayfont.c:

	Support font remapping
	
2003-11-26 03:09  prussar

	* viewer/: paragraph.c (plucker_1_6), paragraph.c:

	Fix unicode at end of line bug
	
2003-11-25 00:53  prussar

	* viewer/paragraph.c:

	Remove dead code
	
2003-11-25 00:50  prussar

	* viewer/: fullscreenform.c, grayfont.c, image.c, keyboardform.c,
	libraryform.c, rotate.c, search.c, silkscreen.c, util.c:

	Coding style
	
2003-11-25 00:45  prussar

	* viewer/: search8.c, rotate.c:

	Coding style
	
2003-11-25 00:41  prussar

	* NEWS:

	Added minor NEWS entries
	
2003-11-24 20:11  nordstrom

	* viewer/fiveway.c:

	Different highlight colour in 5-way mode
	
2003-11-24 14:02  prussar

	* viewer/: resourceids.h, viewer.rcp.in, langs/ca.rcp,
	langs/cs.rcp, langs/da.rcp, langs/de.rcp, langs/en.rcp,
	langs/es.rcp, langs/fo.rcp, langs/fr.rcp, langs/it.rcp,
	langs/ja.rcp, langs/pl.rcp, langs/ru.rcp, langs/sample.rcp,
	langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Cleanup: remove unused errStringNotFound message
	
2003-11-23 22:20  prussar

	* viewer/grayfont.c:

	Fix colored aa text for 8bpp on all devices and 16bpp on ARM devices
	
2003-11-23 16:19  nordstrom

	* viewer/libraryform.c:

	Fix for devices not equipped with a 5-way or jogdial
	
2003-11-23 09:39  nordstrom

	* ChangeLog, NEWS, viewer/control.c, viewer/fiveway.c,
	viewer/fiveway.h, viewer/fullscreenform.c, viewer/genericfile.c,
	viewer/jogdial.c, viewer/jogdial.h, viewer/libraryform.c,
	viewer/libraryform.h, viewer/mainform.c, viewer/prefsbrowsing.c,
	viewer/prefsform.c, viewer/resourceids.h, viewer/viewer.rcp.in,
	viewer/langs/ca.rcp, viewer/langs/cs.rcp, viewer/langs/da.rcp,
	viewer/langs/de.rcp, viewer/langs/en.rcp, viewer/langs/es.rcp,
	viewer/langs/fo.rcp, viewer/langs/fr.rcp, viewer/langs/it.rcp,
	viewer/langs/ja.rcp, viewer/langs/pl.rcp, viewer/langs/ru.rcp,
	viewer/langs/sample.rcp, viewer/langs/th.rcp, viewer/langs/tr.rcp,
	viewer/langs/zh_CN.rcp:

	Bug fix: #856, The drop down over laps with the g at the end if
	               "Paragraph spacing".
	         #918, Library doesn't reset the top of the screen when
	               using the hard-buttons to scroll.
	
	Feature: #716, "Delete document" in command toolbar.
	         #919, In Library, change initially highlighted entry to
	               Middle of page instead of top.
	
	Also removed "Enable dynamic scrollbar", "Enable visual aid", and
	"Click sound for links" preference options.
	
2003-11-23 09:17  nordstrom

	* docs/Credits.tex:

	Removed email addresses
	
2003-11-23 03:50  prussar

	* viewer/: grayfont.c, os.c, os.h:

	Faster antialiased text on 68K units
	
2003-11-19 01:51  prussar

	* viewer/rotatebitmap.c:

	Remove unnecessary line
	
2003-11-19 01:46  prussar

	* viewer/rotatebitmap.c:

	Fix out of range reads
	
2003-11-19 00:28  prussar

	* viewer/rotate.c:

	Neater rotate text function
	
2003-11-19 00:15  prussar

	* viewer/rotatebitmap.c:

	Fix comment
	
2003-11-19 00:14  prussar

	* viewer/rotatebitmap.c:

	Faster 1-bit ccw rotation
	
2003-11-18 16:52  prussar

	* viewer/rotatebitmap.c:

	1-bit clockwise rotate speed optimized by 40%
	
2003-11-17 01:04  prussar

	* viewer/rotatebitmap.c:

	More optimizations
	
2003-11-16 23:10  prussar

	* viewer/rotatebitmap.c:

	Coding style
	
2003-11-16 22:49  prussar

	* viewer/rotatebitmap.c:

	Coding style
	
2003-11-16 22:47  prussar

	* viewer/rotatebitmap.c:

	Faster 1-bit rotation
	
2003-11-16 22:32  prussar

	* viewer/rotatebitmap.c:

	20-100 percent speedup in rotation
	
2003-11-16 20:48  prussar

	* viewer/rotatebitmap.c:

	Fix typo in var name
	
2003-11-16 20:18  prussar

	* viewer/rotatebitmap.c:

	Coding style
	
2003-11-16 12:20  nordstrom

	* CREDITS, viewer/configure.in, viewer/langs/ca.h,
	viewer/langs/ca.rcp:

	Added Catalan translation (Albert Cuesta)
	
2003-11-14 17:33  prussar

	* viewer/: image.c, palmbitmap.h, screen.c, screen.h (plucker_1_6):

	OS 3.1 image cache fix (bug 943)
	
2003-11-14 17:26  prussar

	* viewer/: image.c, palmbitmap.h, screen.c, screen.h:

	OS 3.1 image cache fix
	
2003-11-14 16:52  prussar

	* viewer/fullscreenform.c (plucker_1_6):

	Fix fullscreen error handling
	
2003-11-14 06:08  prussar

	* viewer/fullscreenform.c:

	Fix fullscreen error handling
	
2003-11-13 15:17  prussar

	* viewer/: os.c, rotate.c (plucker_1_6):

	Fix bug 836: rotation with background color fails
	
2003-11-13 15:08  prussar

	* viewer/: grayfont.c, hires.c, image.c, os.c, os.h, palmbitmap.h,
	screen.c, screen.h, table.c (plucker_1_6):

	Fix OS5 fullscreen table bug
	
2003-11-12 22:15  prussar

	* viewer/: os.c, os.h, rotate.c:

	Fix OS3.5+ non-white background rotation
	
2003-11-12 22:15  prussar

	* viewer/: hires.c, hires.h:

	Compile without SONY_SDK, and clean up
	
2003-11-12 15:26  prussar

	* viewer/image.c:

	Should not use color table from another depth
	
2003-11-12 15:25  prussar

	* viewer/: grayfont.c, hires.c, hires.h, image.c, os.c, os.h,
	palmbitmap.h, screen.c, screen.h, table.c:

	Fix for image optimization and fullscreen tables for OS5 / highdensity ftr set
	
2003-11-12 15:10  prussar

	* viewer/hires.c:

	*Really* fix uninitialized variable bug
	
2003-11-12 15:09  prussar

	* viewer/: hires.c (plucker_1_6), hires.c:

	Fix uninitialized variable bug
	
2003-11-11 02:51  prussar

	* viewer/: fullscreenform.c (plucker_1_6), fullscreenform.c:

	Fix to jumping back button problem
	
2003-11-10 22:35  prussar

	* viewer/fullscreenform.c (plucker_1_6):

	rotation, Sony and silkscreen fixes
	
2003-11-10 22:08  prussar

	* viewer/fullscreenform.c:

	Coding style, and add comment
	
2003-11-10 16:40  prussar

	* viewer/fullscreenform.c:

	Formatting
	
2003-11-10 02:35  prussar

	* viewer/fullscreenform.c:

	Sony OS4 hires fixes
	
2003-11-07 21:32  prussar

	* viewer/fullscreenform.c:

	Rotated scanner positioning
	
2003-11-07 21:29  prussar

	* viewer/fullscreenform.c:

	Fix backbutton position given rotation
	
2003-11-07 21:17  prussar

	* viewer/: fontform.c, fullscreenform.c:

	Silkscreen support and rotation fix
	
2003-11-07 21:17  prussar

	* viewer/: fontform.c, fullscreenform.c (plucker_1_6):

	Fix to non-rotation in fs mode
	
2003-11-07 17:16  nordstrom

	* ChangeLog, configure.in, plucker_desktop/plucker_defines.h,
	unix/install-plucker, unix/plucker.spec, viewer/configure.in
	(plucker_1_6):

	Updated for version 1.6.1
	
2003-11-03 15:19  prussar

	* viewer/: document.c, paragraph.c (plucker_1_6), document.c:

	Bug 908 fix: scroll past end of file on Visor Edge with buggy clipping
	
2003-10-31 03:54  prussar

	* viewer/: control.c (plucker_1_6), control.c:

	Fix bug 906: Rotate controls don't always work
	
2003-10-28 09:34  robertoconnor

	* plucker_desktop/: channel_dialog.cpp, channel_listctrl_base.h,
	configuration.cpp, configuration.h, plucker_controller.cpp,
	plucker_defines.h, setup.h, docs/PLUCKER_DESKTOP_CHANGELOG.txt,
	resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb, resource/xrc/channel_dialog.xrc:

	1.6.0.1 (Oct 28, 2003)
	
	[X] OS X tip-of-day turned off again, to avoid crash on initial run.
	
	[X] MSW writes signed longs to registry (more common now that Palm Desktop 4.1
	    usually uses a magic number using all 4 bytes.
	
	[X] The option to not link to the full-sized version of images now works
	    as described.
	    The description of linking to a full-sized version but ensuring the
	    full-sized version stays below a certain size is now more accurate.
	
	[X] Running parser in console window should work on MSW.
	
	[X] Fix for Slashdot showcase palm site contributed.
	
2003-10-28 09:25  robertoconnor

	* parser/python/PyPlucker/: ImageParser.py, Spider.py:

	alt_maxwidth and alt_maxdepth can now take a value of -1 which means no alt images.
	
2003-10-27 19:56  desrod

	* plucker_desktop/resource/plkrdata_showcase/showcase.htm:

	Added missing ending '/' on the Slashdot showcase item, closes #867
	
2003-10-27 02:04  prussar

	* viewer/: paragraph.c (plucker_1_6), paragraph.c:

	multibyte char line break fix--bug 882
	
2003-10-26 14:21  prussar

	* viewer/document.c:

	Added FIX ME comment
	
2003-10-26 14:19  prussar

	* viewer/: document.c (plucker_1_6), document.c:

	Fix to last part of bug 885 (short last frag)
	
2003-10-25 23:34  robertoconnor

	* viewer/configure.in:

	Allows Sony SDK fixing to work on OS X (this may also need to be expanded to other *BSD systems)
	
2003-10-25 17:27  robertoconnor

	* plucker_desktop/: build_progress_dialog.cpp,
	process_progress_dialog.cpp, setup.h:

	Changes from MAC
	
2003-10-25 17:23  robertoconnor

	* plucker_desktop/: palm_installer_msw.cpp, plucker-desktop.cpp,
	process_progress_dialog.cpp, setup.h,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt,
	installer/osx/disk_image/ReadMe.rtf:

	Updates from MSW
	
2003-10-24 22:14  nordstrom

	* viewer/os.c:

	The Sony SDK also requires the value variable
	
2003-10-24 22:11  nordstrom

	* viewer/os.c (plucker_1_6):

	The Sony SDK also requires the vallue variable
	
2003-10-24 20:15  chrish

	* viewer/: os.c (plucker_1_6), os.c:

	Bugfix - would not compile without Handspring or five_way SDK.
	
2003-10-24 19:41  nordstrom

	* viewer/: document.c (plucker_1_6), document.c:

	Bug fix #878: Library display doesn't always include all columns
	
2003-10-24 19:38  nordstrom

	* viewer/util.c:

	Removed tabs
	
2003-10-24 15:37  robertoconnor

	* plucker_desktop/: process_progress_dialog.cpp, setup.h:

	Changes from Linux
	
2003-10-24 05:21  prussar

	* viewer/paragraph.c:

	Removing last fix as it causes worse problems
	
2003-10-24 05:16  prussar

	* viewer/paragraph.c (plucker_1_6):

	Oops: fixed wrong line--reversing last commit
	
2003-10-24 05:10  prussar

	* viewer/paragraph.c (plucker_1_6):

	Multibyte char line wrap fix -- bug 882
	
2003-10-24 02:45  prussar

	* viewer/paragraph.c:

	Fix bug 882: multibyte char line wrap problem
	
2003-10-24 02:43  prussar

	* viewer/: const.h, os.c, paragraph.c (plucker_1_6):

	Chinese/Japanese/Korean multibyte fix
	
2003-10-24 02:31  prussar

	* viewer/os.c:

	Coding style
	
2003-10-23 19:56  prussar

	* viewer/: os.c, paragraph.c, const.h:

	Better CJK handling
	
2003-10-23 19:23  nordstrom

	* NEWS, configure.in, viewer/Makefile.in, viewer/configure.in,
	viewer/const.h, viewer/image.c, viewer/image.h,
	viewer/imodeicons.pdb, viewer/paragraph.c,
	viewer/scripts/makeimode.pl:

	i-mode support (Dave Maddock)
	
2003-10-23 16:01  nordstrom

	* NEWS, configure.in, plucker_desktop/plucker_defines.h,
	unix/install-plucker, unix/plucker.spec, viewer/configure.in:

	Updated unstable version tag
	
2003-10-23 15:21  prussar

	* viewer/: const.h, os.c:

	Improved multibyte os detection
	
2003-10-23 00:18  prussar

	* viewer/: fullscreenform.c (plucker_1_6), fullscreenform.c:

	Fullscreenform now compatible with OS < 3.5
	
2003-10-22 20:36  prussar

	* viewer/document.c:

	History recording and seamless fragments fix
	
2003-10-22 20:34  prussar

	* viewer/document.c (plucker_1_6):

	History recording and seamless fragments bug fix
	
2003-10-22 20:33  prussar

	* viewer/vfsfile.c (plucker_1_6):

	External links and UInt16 uids fix
	
2003-10-22 00:26  prussar

	* viewer/vfsfile.c:

	vfs record seek fixes
	
2003-10-21 04:12  robertoconnor

	* plucker_desktop/installer/unix/:
	HOW_TO_MAKE_PLUCKER_DESKTOP_RPM.txt, plucker-desktop.spec:

	Unix rpm files updated
	
2003-10-21 03:50  robertoconnor

	* plucker_desktop/: Makefile-wx-standalone, makefile.osx:

	No longer using standalone nor osx-specific makefiles. The Makefile.in works for all
	
2003-10-17 14:16  robertoconnor

	* plucker_desktop/:
	docs/BUILDING_MACINTOSH_OSX_APPLE_FREE_TOOLS.txt,
	installer/msw/customization_defines.h,
	installer/msw/plucker-desktop.iss,
	resource/graphics_misc/splash.xpm:

	Minor updates for MSW version
	
2003-10-17 04:35  robertoconnor

	* plucker_desktop/: proxy_prompt.cpp, proxy_prompt.h:

	reset() should return void
	
2003-10-17 01:43  robertoconnor

	* plucker_desktop/: plucker_defines.h,
	installer/osx/disk_image/ReadMe.rtf,
	resource/html_about/plucker_desktop_translators.htm,
	resource/xrc/about_dialog.xrc:

	1.5 -> 1.6
	
2003-10-16 15:59  nordstrom

	* viewer/langs/da.rcp:

	Updated translation (Claus Hindsgaul)
	
2003-10-15 16:25  matto

	* viewer/: anchor.c, control.c, util.c, util.h (quickexport):

	Symbol for external link is changed to thick underline.
	
2003-10-15 15:29  matto

	* viewer/: Makefile.in, README, anchor.c, prefshardcopy.c,
	viewer.rcp.in (quickexport):

	[no log message]
	
2003-10-15 14:54  matto

	* viewer/: libraryform.c, resourceids.h, silkscreen.c, util.c,
	viewer.c, viewer.rcp.in:

	Fit GUI elements for wide clie (PEG-UX50).
	
2003-10-14 17:28  nordstrom

	* viewer/: document.c, document.h, libraryform.c (plucker_1_6),
	document.c, document.h, libraryform.c:

	Improved reset of record ID (bug #851)
	
2003-10-14 16:34  nordstrom

	* viewer/: document.c, document.h, libraryform.c (plucker_1_6):

	Missed to reset the variable when a new document is opened (bug #851)
	
2003-10-14 16:30  nordstrom

	* viewer/: document.c, document.h, libraryform.c:

	Missed to reset the variable when a new document is opened (bug #851)
	
2003-10-13 18:01  prussar

	* viewer/os.c:

	Slight optimization
	
2003-10-13 17:52  nordstrom

	* viewer/document.c:

	Bug fix #851,  Palm Crash on Export to Memo
	
2003-10-13 17:48  nordstrom

	* viewer/document.c (plucker_1_6):

	Bug fix #851,  Palm Crash on Export to Memo
	
2003-10-13 13:45  nordstrom

	* viewer/langs/da.rcp (plucker_1_6):

	Updated translation (Claus Hindsgaul)
	
2003-10-12 23:11  chrish

	* NEWS (plucker_1_6):

	Added multiimage support and fullscreen rotation.
	
2003-10-12 11:39  nordstrom

	* viewer/image.c (plucker_1_6):

	Removed buggy optimize code
	
2003-10-12 11:19  nordstrom

	* NEWS, configure.in, plucker_desktop/plucker_defines.h,
	unix/install-plucker, unix/plucker.spec, viewer/configure.in
	(plucker_1_6):

	Updated version tag
	
2003-10-12 11:02  nordstrom

	* CREDITS, ChangeLog, Makefile.in, Makefile.maint, NEWS,
	viewer/Makefile.in, viewer/README:

	Minor updates (remove some config stuff, update docs)
	
2003-10-11 19:28  nordstrom

	* tools/scripts/Win32/: batchopen.htm, bookmarklet.htm,
	plucker-outlook-makro.txt:

	Contributed scripts from Jahn Rentmeister
	
2003-10-11 16:05  nordstrom

	* viewer/viewer.c:

	Added missing compiler directive
	
2003-10-11 15:44  matto

	* viewer/: anchor.c, control.c, prefsform.c, prefshardcopy.c,
	resourceids.h, viewer.rcp.in (quickexport):

	Popup menu for treo600
	
2003-10-11 14:49  prussar

	* viewer/: os.c, os.h, viewer.c:

	Fix to bug 715: hold button should turn off autoscroll (Sony)
	
2003-10-10 16:32  chrish

	* parser/python/PyPlucker/PluckerDocs.py:

	Fix to include external links in table cells.
	
2003-10-09 19:28  chrish

	* viewer/table.c:

	Clean up and better error handling.
	
2003-10-09 01:51  matto

	* viewer/: prefsdata.c, prefsdata.h, prefshardcopy.c,
	resourceids.h:

	Some garbages from quickexport are removed.
	
2003-10-09 01:37  matto

	* viewer/: anchor.c, configure.in, control.c, document.c,
	document.h, prefsform.c, viewer.rcp.in (quickexport):

	Quickexport branched out.
	
2003-10-09 01:25  matto

	* viewer/: anchor.c, configure.in, control.c, document.c,
	document.h, prefsform.c, viewer.rcp.in:

	QuickExport is removed.
	
2003-10-08 18:21  nordstrom

	* viewer/externalform.c:

	Added missing directive
	
2003-10-08 17:50  matto

	* viewer/: emailform.c, emailform.h, externalform.c,
	hardcopyform.c, util.c, util.h:

	Bug fix in AddURLToField().
	
2003-10-08 17:06  matto

	* viewer/: control.c, prefsdata.h, viewer.rcp.in, langs/en.rcp,
	langs/ja.rcp, langs/sample.rcp:

	BrowseUrl is added for the choise in quick export feature.
	
2003-10-08 15:54  matto

	* viewer/: anchor.c, configure.in, control.c, detailsform.c,
	document.c, document.h, externalform.c, externalform.h,
	paragraph.c, paragraph.h, prefsdata.c, prefsdata.h, prefsform.c,
	prefshardcopy.c, resourceids.h, util.c, util.h, viewer.rcp.in,
	langs/cs.rcp, langs/da.rcp, langs/de.rcp, langs/en.rcp,
	langs/es.rcp, langs/fo.rcp, langs/fr.rcp, langs/it.rcp,
	langs/ja.rcp, langs/pl.rcp, langs/ru.rcp, langs/sample.rcp,
	langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Quick export is implemented as a compile-time option.
	
2003-10-07 23:40  nordstrom

	* NEWS:

	Updated with a few new items
	
2003-10-07 20:57  nordstrom

	* viewer/: configure.in, externalform.c, fiveway.c, fiveway.h,
	hires.h, jogdial.h, keyboard.c, keyboardform.c, libraryform.c,
	mainform.c, os.c, os.h, paragraph.c, prefsbrowsing.c,
	prefsbutton.c, prefsdata.c, prefsdata.h, prefsform.c, ramfile.c,
	resourceids.h, vfsfile.c, viewer.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Added support for Handspring's 5-way pad, added possibility to access
	external URLs online on Treo 600, fixed problem with jogdial code
	"stealing" events from the 5-way code, added new preference option to
	select if soft-hyphens should be enabled or not (some languages use
	the same keycode for a normal character), added missing hires macro,
	updated jogdial macro to use new Handspring SDK names, and fixed overflow
	error in function that locates records on external cards.
	
2003-10-06 21:56  robertoconnor

	* plucker_desktop/: resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb,
	resource/graphics_misc/splash.xpm, resource/xrc/channel_dialog.xrc,
	Makefile.in, channel_dialog.cpp, commandline_parser.cpp,
	image_list.cpp, palm_installer_mac.cpp, palm_installer_msw.cpp,
	plucker-desktop.cpp, plucker_controller.cpp, plucker_defines.h,
	setup.h, splashscreen.cpp, time_control.cpp:

	[X] Channel dialog > Images tab updated for the new multi-image support.
	    Multi-image is large pannable images.
	
	[X] There is now some sample custom large and small launcher icons included
	    one of which is a template icon called template.png showing the drawable
	    area. Help updated on this topic.
	
	[X] Bugfix for when select a scheduling time's hour/minute, it now saves correctly,
	    instead of saving as 00:00.
	
	[X] OS X UI fixes: "Preferences..." is now available in its proper OS X location.
	    HTML editor lower tab icons (to switch between editor and preview) are no longer
	    obscured.
	
	[X] OS X: Tip of the day can now be shown on startup.
	
	[X] OS X: Fixed to enable running without Palm Desktop.
	
	[X] MSW: Another stab at Borland's 'Locale cannot be set' bug.
	
2003-10-06 21:50  robertoconnor

	* plucker_desktop/:
	docs/BUILDING_MACINTOSH_OSX_APPLE_FREE_TOOLS.txt,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt,
	installer/msw/customization_defines.h,
	installer/msw/plucker-desktop.iss, installer/osx/Makefile,
	installer/osx/disk_image/ReadMe.rtf:

	[X] Channel dialog > Images tab updated for the new multi-image support.
	    Multi-image is large pannable images.
	
	[X] There is now some sample custom large and small launcher icons included
	    one of which is a template icon called template.png showing the drawable
	    area. Help updated on this topic.
	
	[X] Bugfix for when select a scheduling time's hour/minute, it now saves correctly,
	    instead of saving as 00:00.
	
	[X] OS X UI fixes: "Preferences..." is now available in its proper OS X location.
	    HTML editor lower tab icons (to switch between editor and preview) are no longer
	    obscured.
	
	[X] OS X: Tip of the day can now be shown on startup.
	
	[X] OS X: Fixed to enable running without Palm Desktop.
	
	[X] MSW: Another stab at Borland's 'Locale cannot be set' bug.
	
2003-10-06 21:45  robertoconnor

	* REQUIREMENTS:

	Updated OS X info.
	wxWindows version is 2.4.2
	
2003-10-06 21:41  robertoconnor

	* INSTALL:

	Updated OS X info.
	
2003-10-04 16:09  nordstrom

	* viewer/: image.c, table.c, util.c, util.h, grayfont.c:

	Improved memory handling
	
2003-09-28 23:01  chrish

	* viewer/: anchor.c, fullscreenform.c, rotate.c:

	Fullscreen rotation!
	
2003-09-28 18:40  prussar

	* viewer/screen.c:

	Better support for non-2x Palm hires
	
2003-09-28 17:07  nordstrom

	* viewer/langs/da.rcp:

	Updated translation (Claus Hindsgaul)
	
2003-09-28 16:34  prussar

	* viewer/hires.c:

	Fix high density check for Palm HiRes
	
2003-09-28 13:19  nordstrom

	* viewer/hires.c:

	The check to find out if we had support for hires forgot to check that we
	actually were using a hires screen. This broke the Treo 600, which is
	running PalmOS 5 but only have a lo-res screen. Added a check to find out
	if the device is using a high-density display.
	
2003-09-25 23:19  chrish

	* viewer/libraryform.c:

	Actually one more #ifdef needed.
	
2003-09-25 23:06  prussar

	* viewer/libraryform.c:

	Fix compiler complaint on #undef HAVE_GRAY_FONT
	
2003-09-24 17:58  prussar

	* viewer/hires.c:

	Reset nativeDensity when stopping hi-res
	
2003-09-24 14:56  prussar

	* viewer/: stack.c, stack.h:

	Removing stack.[ch]: nothing calls it
	
2003-09-24 13:06  prussar

	* viewer/: axxpacimp.c, doclist.c, fullscreenform.c, image.c,
	paragraph.c, table.c:

	Coding style
	
2003-09-24 13:02  prussar

	* viewer/: axxpacimp.c, font.c, paragraph.c, resultform.c:

	Coding style
	
2003-09-24 12:56  prussar

	* viewer/: const.h, hires.c:

	Acer S50/S60 support
	
2003-09-23 14:24  nhuillard

	* viewer/langs/fr.rcp:

	A few more translated strings. More to come, but I am really busy...
	
2003-09-22 15:48  prussar

	* viewer/: grayfont.c, hires.c, hires.h, libraryform.c:

	Anti-aliased font support for library
	
2003-09-22 15:32  prussar

	* viewer/libraryform.c:

	Coding style
	
2003-09-22 15:20  prussar

	* viewer/hires.c:

	Code simplification
	
2003-09-22 14:51  prussar

	* viewer/: grayfont.c, hires.c, hires.h, rotate.c, table.c:

	Support for full range of OS5.3 resolutions (Double, QVGA, etc.)
	
2003-09-22 01:04  prussar

	* viewer/mainform.c:

	Removed more debugging code
	
2003-09-21 20:54  prussar

	* viewer/mainform.c:

	Removed debugging line
	
2003-09-21 20:54  prussar

	* viewer/: libraryform.c, mainform.c:

	libraryform.c
	
2003-09-21 20:11  prussar

	* viewer/categoryform.c:

	Style
	
2003-09-21 20:10  prussar

	* viewer/libraryform.c:

	Code simplification
	
2003-09-21 20:00  prussar

	* viewer/document.c:

	Fix handling of empty page
	
2003-09-20 21:09  prussar

	* viewer/: document.c, libraryform.c, mainform.c, screen.c,
	table.c, table.h, viewer.c:

	DeleteTableWindow() doesn't need to init mainform
	
2003-09-20 15:21  prussar

	* viewer/viewer.c:

	Better error handling for loadform
	
2003-09-20 12:12  prussar

	* viewer/: cache.c, document.h, viewer.c:

	Stylistic changes
	
2003-09-20 12:12  prussar

	* viewer/image.c:

	Fix locking/unlocking of image->recordHandle
	
2003-09-20 11:43  prussar

	* viewer/cache.c:

	Fix typo in comment
	
2003-09-19 13:06  prussar

	* viewer/document.c:

	Fix add bookmark bug
	
2003-09-19 12:53  prussar

	* viewer/fonts/: Makefile.in, fontconv.c, palmtypes.h:

	Latest code from palmfontconv.sf.net
	
2003-09-17 20:58  chrish

	* viewer/table.c, parser/python/PyPlucker/PluckerDocs.py:

	Bug 755 fixed. Separated text and img in same cell.
	
2003-09-17 16:29  prussar

	* viewer/os.c:

	Laxer FiveWay detection
	
2003-09-17 15:55  prussar

	* viewer/: fiveway.c, os.c, os.h, prefsbutton.c:

	Better FiveWay support
	
2003-09-17 15:37  prussar

	* viewer/: fiveway.c, genericfile.c, mainform.c:

	FiveWay rotation support
	
2003-09-16 02:01  chrish

	* viewer/table.c:

	Clearer order of entries in cache, actual table or multiimage record is last.
	
2003-09-15 15:41  prussar

	* viewer/langs/: cs.rcp, da.rcp, de.rcp, en.rcp, es.rcp, fo.rcp,
	fr.rcp, it.rcp, ja.rcp, pl.rcp, ru.rcp, sample.rcp, th.rcp, tr.rcp,
	zh_CN.rcp:

	image error message
	
2003-09-15 15:14  nordstrom

	* viewer/langs/da.rcp:

	Updated translation (Claus Hindsgaul)
	
2003-09-15 14:29  prussar

	* viewer/prefsbutton.c:

	OS 3.1 fix
	
2003-09-15 13:08  prussar

	* viewer/: cache.c, image.c:

	Better out of memory checking
	
2003-09-15 01:31  robertoconnor

	* viewer/fonts/fontconv.c:

	Apple OS X uses strncasecmp not strnicmp but doesn't define __ELF__. Therefore added __APPLE__ as well as __ELF__ for when to use strncasecmp
	
2003-09-14 13:16  chrish

	* viewer/table.c:

	Patch to rotate inline tables and icon, but not fullscreen tables.
	
2003-09-14 13:14  prussar

	* viewer/: libraryform.c, search.c:

	MemPtrRecoverHandle() should not be called for chunks that might be in ROM
	
2003-09-14 01:34  prussar

	* viewer/document.c:

	Save/restore colors in CalculatePosition()
	
2003-09-13 20:34  prussar

	* viewer/vfsfile.c:

	Fixed handling of lastVolumeLabel when uninitialized
	
2003-09-13 20:08  prussar

	* viewer/rotate.c:

	Save/restore drawing window
	
2003-09-13 17:51  prussar

	* viewer/vfsfile.c:

	Fix bug in uid cache
	
2003-09-13 14:25  prussar

	* viewer/vfsfile.c:

	Code simplification
	
2003-09-13 13:38  prussar

	* viewer/vfsfile.c:

	Handle volumes where fetching label gives error
	
2003-09-13 02:44  chrish

	* viewer/paragraph.c:

	Fixed problem with image anchors only being FontHeight.
	
2003-09-13 01:23  chrish

	* parser/python/PyPlucker/ImageParser.py:

	Wasn't correctly setting matrix size in Multiimage documents.
	
2003-09-10 20:09  nordstrom

	* viewer/: Makefile.in, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Cleaned up translation handling
	
2003-09-10 14:40  prussar

	* viewer/table.c:

	Better, but still imperfect OS5 large table handling
	
2003-09-10 14:23  prussar

	* viewer/table.c:

	Simplify code if #undef HAVE_ROTATE
	
2003-09-10 14:19  prussar

	* viewer/: document.c, mainform.c, table.c, table.h:

	Fixed fullscreen/toolbar toggle bug
	
2003-09-10 02:07  matto

	* viewer/: Makefile.in, configure.in:

	Some options required for Japanese are not supported in older version of pilrc. Fixed.
	
2003-09-10 01:38  matto

	* viewer/Makefile.in:

	The string '...' should not be replaced by 0x85 in case of Japanese localization because it is reserved for Kanji character. Fixed.
	
2003-09-10 01:15  prussar

	* viewer/mainform.c:

	Remove unneeded linecacheclear() call
	
2003-09-09 16:55  prussar

	* viewer/control.c:

	Fixed endless regress in disabling autoscroll
	
2003-09-09 13:34  prussar

	* viewer/libraryform.c:

	Size field length fix
	
2003-09-09 02:46  prussar

	* viewer/: fullscreenform.c, hires.c, hires.h, image.c,
	libraryform.c, rotate.c, table.c:

	Simplify os5 bitmap drawing
	
2003-09-09 02:29  prussar

	* viewer/image.c:

	Improved comment
	
2003-09-08 20:37  prussar

	* viewer/fullscreenform.c:

	OS5 support
	
2003-09-08 20:31  prussar

	* viewer/image.c:

	Better os5 support
	
2003-09-08 20:26  prussar

	* viewer/rotate.c:

	Formatting
	
2003-09-08 20:21  prussar

	* viewer/mainform.c:

	OS5 scrollbar fix
	
2003-09-08 19:32  prussar

	* viewer/image.c:

	Some rotation support
	
2003-09-08 16:13  chrish

	* viewer/: control.c, hardcopyform.c, hires.c, mainform.c,
	viewer.c:

	Now everyone uses 'IsFullscreenformActive()'.
	
2003-09-08 15:19  matto

	* viewer/Makefile.in:

	Language resources are separated into viewer_LANG.rcp .
	
2003-09-08 02:18  chrish

	* viewer/: fontform.c, fullscreenform.c, fullscreenform.h,
	hardcopyform.c, hires.c, image.c, mainform.c, table.c, util.c,
	util.h:

	Fixed 'are we in' / 'did we come' from fullscreenform checking.
	
2003-09-07 15:37  nordstrom

	* viewer/hires.c:

	Removed obsolete function call
	
2003-09-07 14:00  chrish

	* viewer/: Makefile.in, bookmarkform.c, cache.c, cache.h, const.h,
	detailsform.c, document.c, document.h, fontform.c,
	fullscreenform.c, fullscreenform.h, genericfile.c, hardcopyform.c,
	image.c, image.h, loadbar.c, loadbar.h, mainform.c, pluckererror.h,
	resourceids.h, table.c, table.h, util.c, util.h, viewer.c,
	viewer.rcp.in:

	Multi image support!
	
2003-09-03 02:05  chrish

	* parser/python/PyPlucker/ImageParser.py:

	Fix for ImageMagick and animated gifs.
	
2003-09-02 02:15  chrish

	* parser/python/PyPlucker/ImageParser.py:

	Added capabilities of ImageMagick 5.5.8 if present.
	
2003-09-01 01:35  chrish

	* parser/python/PyPlucker/ImageParser.py:

	Forgot to remove a comment...
	
2003-09-01 01:33  chrish

	* parser/python/PyPlucker/ImageParser.py:

	Fix for varying bit depths in multiimage parts with ImageMagick (5.5.8)
	
2003-08-31 15:01  prussar

	* viewer/document.c:

	Fix bug 791: handling of no scrollbar mode
	
2003-08-31 01:01  chrish

	* parser/python/PyPlucker/ImageParser.py:

	Fixes for multiimage generation.
	
2003-08-30 15:08  prussar

	* viewer/document.c:

	Code simplification
	
2003-08-29 17:58  matto

	* viewer/libraryform.c:

	Bug fix. Progress dialog shows no message in 'Delete read document' action.
	
2003-08-27 15:06  prussar

	* viewer/os.c:

	Prev version did not compile
	
2003-08-27 06:02  matto

	* viewer/: const.h, os.c:

	J-OS detector is added.
	
2003-08-27 03:29  matto

	* viewer/: libraryform.c, libraryform.c:

	Progress dialog is added to libraryform.c.
	
2003-08-26 13:04  prussar

	* viewer/: const.h, os.c:

	CJKOS support
	
2003-08-25 13:52  prussar

	* viewer/grayfont.c:

	Fixed pre-OS5 bug
	
2003-08-25 13:38  prussar

	* viewer/grayfont.c:

	Use scanline compression
	
2003-08-23 18:18  nordstrom

	* CREDITS, ChangeLog, Makefile.maint, NEWS, REQUIREMENTS,
	configure.in, viewer/Makefile.in, viewer/README, viewer/SysZLib.h,
	viewer/configure.in, viewer/os.c:

	Removed ZLib dir; we don't develop the library so all we have to do is to
	include a SysZLib binary in the viewer package. The viewer will be built
	using the armlet version of the SysZLib.h file.
	
2003-08-22 16:08  nordstrom

	* viewer/langs/da.rcp:

	Updated translation (Claus Hindsgaul)
	
2003-08-22 14:54  nordstrom

	* viewer/viewer.c:

	Display a low memory alert for dmErrMemError
	
2003-08-22 12:43  prussar

	* parser/python/PyPlucker/Url.py:

	Fixed sorting bug for urls with large integers
	
2003-08-20 02:07  chrish

	* parser/python/PyPlucker/PluckerDocs.py:

	Fixed a --noimages bug in the table code.
	
2003-08-19 17:26  prussar

	* viewer/paragraph.c:

	Sign extension bug fixed
	
2003-08-17 21:34  prussar

	* viewer/: grayfont.c, viewer.h:

	Bitmap compression for aa fonts
	
2003-08-17 21:33  prussar

	* viewer/: search8.h, searchform.c, armlets/search.c:

	Fix section of search8
	
2003-08-17 20:33  chrish

	* parser/python/PyPlucker/: ImageParser.py, PluckerDocs.py,
	Spider.py, Writer.py:

	Can now create multiimage Images. And a fix to ImageMagick2 parser.
	
2003-08-17 20:00  nordstrom

	* viewer/configure.in:

	Fixed a shell-portability issue
	
2003-08-17 19:58  prussar

	* viewer/grayfont.c:

	Style
	
2003-08-17 19:52  prussar

	* viewer/keyboardform.c:

	Mnor display fixes
	
2003-08-17 19:51  prussar

	* viewer/search8.h:

	Put the code in a segment
	
2003-08-17 18:06  nordstrom

	* NEWS, configure.in, viewer/configure.in:

	Moved back to foo-bar instead of foo_bar for config options
	
2003-08-17 16:22  desrod

	* viewer/: rotatebitmap.h, search8.h:

	Minor C99 fixes
	
2003-08-17 15:49  prussar

	* viewer/grayfont.c:

	Added compression support; sped up GrayWinDrawChars()
	
2003-08-17 14:34  nordstrom

	* configure.in:

	Missed two options that should be renamed
	
2003-08-17 13:56  nordstrom

	* NEWS, configure.in, viewer/configure.in:

	Updated viewer's config script
	
2003-08-17 09:48  nordstrom

	* viewer/libraryform.c:

	Bug fix #743, Library: descenders aren't cleared when scrolling
	
2003-08-17 09:38  nordstrom

	* viewer/libraryform.c:

	Bug fix #714, after deleting last document it is still shown in library list
	
2003-08-17 09:13  nordstrom

	* viewer/langs/: en.rcp, sample.rcp:

	Bug fix #689, Document Library label
	
2003-08-16 22:51  nordstrom

	* configure.in, viewer/configure.in:

	Improved disable feature handling
	
2003-08-16 16:06  prussar

	* viewer/vfsfile.c:

	Nicer variable names
	
2003-08-16 14:55  prussar

	* viewer/vfsfile.c:

	Added comments
	
2003-08-16 12:32  nordstrom

	* viewer/: fontform.c, keyboardform.c, searchform.c, viewer.rcp.in:

	Fixed layout for font and keyboard form. Included help icon in the form
	itself for font, keyboard, and help form instead of doing it in the code.
	
2003-08-16 11:06  nordstrom

	* viewer/libraryform.c:

	Forgot to unlock handle for bitmap
	
2003-08-16 11:03  nordstrom

	* viewer/libraryform.c:

	Removed unnecessary column width calculation of card icon
	
2003-08-16 10:20  nordstrom

	* viewer/fonts/fontconv.c:

	Replaced TABs with spaces
	
2003-08-16 10:13  nordstrom

	* viewer/grayfont.c:

	Replaced TABs with spaces
	
2003-08-16 10:00  nordstrom

	* viewer/libraryform.c:

	Updated calculation of column widths; we can't check all documents to find
	the true width for each column, so instead we just have to estimate the
	necessary width...
	
2003-08-15 20:47  nordstrom

	* viewer/os.c:

	Added comments to explain the fix to #731
	
2003-08-15 20:36  nordstrom

	* viewer/os.c:

	First ask the device about its supported bit depth and then, if necessary, adjust that setting for the specific OS version
	
2003-08-14 10:05  matto

	* plucker_desktop/langs/ja/: plucker-desktop.mo,
	plucker-desktop.po:

	Japanese messages are translated by Harada Kazutaka. Thank you!
	
2003-08-13 20:41  prussar

	* viewer/: vfsfile.c, vfsfile.h:

	Much faster seeking for record in long database
	
2003-08-13 03:28  prussar

	* viewer/: control.c, prefsdata.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Added SELECT controls for rotation
	
2003-08-12 19:24  prussar

	* viewer/silkscreen.c:

	Should still compile on v2 sdk
	
2003-08-12 14:09  matto

	* viewer/: control.c, silkscreen.c, silkscreen.h, util.c, viewer.c:

	Quick hack for Clie UX-50 widescreen.
	
2003-08-11 02:31  prussar

	* viewer/: fiveway.c, rotate.h:

	Fiveway rotation fixes
	
2003-08-11 01:51  prussar

	* viewer/: bookmark.c, document.c, metadocument.c, metadocument.h:

	Better rotated bookmark handling
	
2003-08-11 00:21  prussar

	* viewer/history.h:

	Cosmetic change
	
2003-08-10 21:39  prussar

	* viewer/: grayfont.c, grayfont.h, rotate.c:

	Anti-aliasing of color text in 16 bpp mode; reverse video for aa-test
	
2003-08-10 15:38  desrod

	* viewer/langs/da.rcp:

	Minor build fix for Danish translation (missing continuation)
	
2003-08-10 15:26  nordstrom

	* README (plucker_1_4), README:

	Minor updates to the text (Larry W. Virden)
	
2003-08-10 15:24  nordstrom

	* viewer/langs/da.rcp:

	Updated translation (Claus Hindsgaul)
	
2003-08-10 14:17  nordstrom

	* NEWS:

	Added new features to list
	
2003-08-10 14:14  prussar

	* viewer/rotate.h:

	Fix a fiveway bug
	
2003-08-10 13:32  nordstrom

	* ChangeLog:

	New release 1.5
	
2003-08-10 13:03  nordstrom

	* unix/plucker.spec:

	Remove old links in binary dir
	
2003-08-10 13:01  nordstrom

	* Makefile.maint:

	Changed plucker_bin to plucker_viewer
	
2003-08-10 11:31  nordstrom

	* viewer/prefsdata.c:

	Bug fix #752, default paragraph spacing
	
2003-08-10 11:27  nordstrom

	* viewer/prefsdata.c (plucker_1_4):

	Bug fix #752, default paragraph spacing
	
2003-08-10 06:02  nordstrom

	* configure.in:

	Correct spelling for anti-alias option
	
2003-08-09 16:25  prussar

	* NEWS, configure.in:

	Anti-aliased fonts
	
2003-08-09 16:01  nordstrom

	* viewer/grayfont.h:

	The macro requires arguments or the code won't build
	
2003-08-09 15:44  prussar

	* viewer/grayfont.c:

	Fixed off by one pixel error for right-rotation
	
2003-08-09 14:26  prussar

	* viewer/: font.c, grayfont.c, grayfont.h, rotate.c, viewer.c:

	Font substitution for missing gray-scale (and user-loaded) fonts, and code simplification
	
2003-08-09 14:25  prussar

	* viewer/configure.in:

	Renamed --disable-gray-font to --disable-anti-alias
	
2003-08-09 13:46  nordstrom

	* viewer/paragraph.c:

	Bug fix #754,  Tables might end up outside the visible area
	
2003-08-09 12:55  prussar

	* viewer/: grayfont.c, grayfont.h:

	Anti-aliased fonts
	
2003-08-09 02:08  prussar

	* viewer/: configure.in, font.c, fontform.c, hires.c, paragraph.c,
	rotate.c, rotate.h, viewer.c, viewer.h:

	Added anti-aliased font support (see palmfontconv.sourceforge.net)
	
2003-08-08 04:09  prussar

	* viewer/: control.c, document.c, document.h, mainform.c:

	Autoscroll across frag boundary fix; code cleanup
	
2003-08-06 23:51  prussar

	* viewer/fonts/fontconv.c:

	Removed two unused variables
	
2003-08-06 17:35  robertoconnor

	* plucker_desktop/: configuration.cpp, palm_installer_mac.cpp,
	palm_installer_mac.h, plucker_defines.h,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, langs/sample_po.txt,
	langs/cs/plucker-desktop.mo, langs/cs/plucker-desktop.po,
	langs/da/plucker-desktop.mo, langs/da/plucker-desktop.po,
	langs/de/plucker-desktop.mo, langs/de/plucker-desktop.po,
	langs/es/plucker-desktop.mo, langs/es/plucker-desktop.po,
	langs/fi/plucker-desktop.mo, langs/fi/plucker-desktop.po,
	langs/fo/plucker-desktop.mo, langs/fo/plucker-desktop.po,
	langs/fr/plucker-desktop.mo, langs/fr/plucker-desktop.po,
	langs/it/plucker-desktop.mo, langs/it/plucker-desktop.po,
	langs/ja/plucker-desktop.mo, langs/ja/plucker-desktop.po,
	langs/nl/plucker-desktop.mo, langs/nl/plucker-desktop.po,
	langs/pl/plucker-desktop.mo, langs/pl/plucker-desktop.po,
	langs/ru/plucker-desktop.mo, langs/ru/plucker-desktop.po,
	langs/sv/plucker-desktop.mo, langs/sv/plucker-desktop.po,
	resource/docs/plucker-desktop.htb:

	1.4.0.2 (Aug 06, 2003)
	
	[X] OSX properly configured to parse images.
	
	[X] Harmless yet annoying 'Locale cannot be set' warning on MSW should go away on en_US systems.
	
	[X] OSX install to card now tries to use the translated folder for SD card, etc.
	    Note: if you were using Plucker Desktop 1.4.0.1 on a non-English system, delete this folder:
	    <yourhomedir>/Documents/Palm/Users/<yourhotsyncdir>/Files to Install/SecureDigital (SD) Card
	
2003-08-05 17:32  prussar

	* viewer/fonts/fontconv.c:

	Removed uninitialized var reference
	
2003-08-03 21:42  prussar

	* viewer/configure.in:

	Fix build of armlets/rotatebitmap
	
2003-08-03 20:37  prussar

	* parser/python/PyPlucker/: PluckerDocs.py, Spider.py:

	Fixed --fragments handling
	
2003-08-03 19:38  robertoconnor

	* plucker_desktop/: internationalization.cpp,
	palm_installer_mac.cpp, plucker-desktop.cpp, setup.h,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt,
	installer/msw/plucker-desktop.iss:

	"Locale cant be set" fix for MSW
	
2003-08-03 16:20  nordstrom

	* viewer/document.c:

	The viewer wouldn't stop scrolling when reaching the bottom of the page
	
2003-08-03 15:54  nordstrom

	* parser/python/PyPlucker/Spider.py:

	The fragments option should accept arguments
	
2003-08-03 15:06  nordstrom

	* viewer/: prefsform.c, resourceids.h:

	Removed a few remaining bits of image cache preference settings code
	
2003-08-03 14:50  nordstrom

	* viewer/: prefsform.c, resourceids.h, viewer.rcp.in:

	Removed a few remaining bits of scroll-to-bottom preference settings code
	
2003-08-03 14:36  nordstrom

	* viewer/: viewer.rcp.in, armlets/Makefile.in:

	Hard-coded armlets location + minor fix to viewer.rcp.in file
	
2003-08-03 14:07  nordstrom

	* CREDITS, ChangeLog, Makefile.in, Makefile.maint, NEWS, README,
	REQUIREMENTS, configure.in, docs/Makefile.in, parser/Makefile.in,
	parser/python/Makefile.in, parser/python/PyPlucker/Makefile.in,
	parser/python/PyPlucker/TextParser.py, tools/Makefile.in,
	tools/explode/Makefile.in, tools/pluck-comics/Makefile.in,
	tools/pluck-comics/pluck-comics.py.in, tools/unpluck/Makefile.in,
	unix/install-plucker, unix/plucker.spec, viewer/Makefile.in,
	viewer/anchor.c, viewer/axxpacimp.c, viewer/configure.in,
	viewer/control.c, viewer/document.c, viewer/font.c,
	viewer/keyboard.c, viewer/keyboard.h, viewer/keyboardform.h,
	viewer/libraryform.c, viewer/mainform.c, viewer/metadocument.c,
	viewer/paragraph.c, viewer/prefsbrowsing.c, viewer/prefsdata.c,
	viewer/prefsdata.h, viewer/rotate.c, viewer/vfsfile.c,
	viewer/viewer.rcp.in, viewer/cleaner/Makefile.in,
	viewer/fonts/Makefile.in, viewer/langs/cs.rcp, viewer/langs/da.rcp,
	viewer/langs/de.rcp, viewer/langs/en.rcp, viewer/langs/es.rcp,
	viewer/langs/fo.rcp, viewer/langs/fr.rcp, viewer/langs/it.rcp,
	viewer/langs/ja.rcp, viewer/langs/pl.rcp, viewer/langs/ru.rcp,
	viewer/langs/sample.rcp, viewer/langs/th.rcp, viewer/langs/tr.rcp,
	viewer/langs/zh_CN.rcp, viewer-GTK+2-POSIX/Makefile.in:

	Updated with changes from the 1.4 branch
	
2003-08-03 05:42  prussar

	* viewer/control.c:

	Correct handling of maximum autoscroll interval
	
2003-08-03 05:39  prussar

	* viewer/control.c:

	More even autoscroll timing
	
2003-08-03 05:34  prussar

	* viewer/mainform.c:

	More even autoscroll timing
	
2003-08-03 04:56  prussar

	* viewer/document.c:

	Better handling of short documents and scroll to bottom
	
2003-08-03 01:03  prussar

	* viewer/Makefile.in:

	fix SEGMENTDEF dependancy
	
2003-08-02 23:14  prussar

	* viewer/os.c:

	Fix for bug #731?
	
2003-08-02 22:54  prussar

	* viewer/: Makefile.in, paragraph.c, viewer.h:

	Fix to second half of bug #738
	
2003-08-02 20:35  prussar

	* viewer/: cache.c, cache.h, image.c, prefsbrowsing.c, prefsdata.c,
	prefsdata.h, viewer.c, viewer.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Removed Prefs()->imageCaching from UI, etc.
	
2003-08-02 19:48  prussar

	* viewer/langs/: cs.rcp, da.rcp, de.rcp, en.rcp, es.rcp, fo.rcp,
	fr.rcp, it.rcp, ja.rcp, pl.rcp, ru.rcp, sample.rcp, th.rcp, tr.rcp,
	zh_CN.rcp:

	Updated help
	
2003-08-02 19:48  prussar

	* viewer/cache.c:

	AddPtrToCache() should check cache enable state
	
2003-08-02 19:43  prussar

	* viewer/: cache.c, viewer.c:

	Cache is optional
	
2003-08-02 19:33  prussar

	* viewer/image.c:

	Should check GetMaxBitDepth() in optimizer
	
2003-08-02 01:46  robertoconnor

	*
	plucker_desktop/resource/html_about/plucker_desktop_translators.htm
	:

	Plucker Desktop:
	Added ISO CA translation
	
2003-08-02 01:42  robertoconnor

	* plucker_desktop/langs/ca/sample-wxstd.po:

	Plucker Desktop:
	Added ISO CA translation
	
2003-08-02 01:09  prussar

	* viewer/table.c:

	Palm HiRes and rotation support for images in tables; bug fix for it under OS's that don't support img compression
	
2003-08-02 01:08  prussar

	* viewer/langs/en.rcp:

	Unnecessary line
	
2003-08-01 11:59  prussar

	* viewer/README.Cygwin:

	No longer needed
	
2003-08-01 11:55  prussar

	* viewer/cleaner/: cleaner.h, resourceids.h, data.h, form.h:

	Added rcs header
	
2003-08-01 11:49  prussar

	* viewer/: keyboard.c, keyboard.h, keyboardform.c, keyboardform.h,
	rotatebitmap.c, rotatebitmap.h, search8.c, search8.h,
	armlets/rotatebitmap.c, armlets/rotatebitmap.h, fonts/fontconv.c:

	Added rcs headers
	
2003-08-01 11:44  prussar

	* viewer/rotate.h:

	Added rcs header
	
2003-08-01 11:44  prussar

	* viewer/rotate.c:

	Formatting
	
2003-08-01 11:41  prussar

	* viewer/rotate.c:

	Removed Matrix type
	
2003-08-01 11:32  prussar

	* viewer/: hires.c, hires.h, history.c, image.c, rotate.c,
	rotate.h, rotatebitmap.c, rotatebitmap.h, viewer.h,
	armlets/rotatebitmap.c, armlets/rotatebitmap.h, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Support images in rotated mode for OS3.5+ only, and some rotate bug fixes
	
2003-07-31 15:12  desrod

	* docs/: Advanced.tex, Credits.tex, GPL.tex, Introduction.tex,
	Parser.tex, Plucker_Doc.tex, Quickstart.tex, Viewer.tex:

	First pass, cleaning up LaTeX documents.
	
2003-07-31 01:51  prussar

	* viewer/document.c:

	Another clipping fix
	
2003-07-30 17:23  prussar

	* viewer/rotate.c:

	Fixed clipping bug in rotated scroll routine
	
2003-07-30 14:14  prussar

	* viewer/: paragraph.c, rotate.c, rotate.h, table.c:

	Rotate mode table support
	
2003-07-30 14:12  prussar

	* viewer/document.c:

	Workaround for strange clipping problem
	
2003-07-29 19:03  prussar

	* viewer/: mainform.c, metadocument.c:

	Rotated scrollbar fixes
	
2003-07-29 18:15  prussar

	* viewer/: image.c, paragraph.c:

	Insert [img] in place of omitted image when rotating
	
2003-07-29 18:13  prussar

	* parser/python/PyPlucker/Spider.py:

	Err on side of safety commenting out restored / fix to my bugs in image registration
	
2003-07-29 00:45  prussar

	* NEWS:

	Added a bunch of Pruss changes
	
2003-07-29 00:42  prussar

	* cygwin.diff, README.Cygwin:

	No longer needed.
	
2003-07-29 00:41  prussar

	* configure.in:

	Full cygwin support
	
2003-07-29 00:41  prussar

	* viewer/langs/: cs.rcp, da.rcp, de.rcp, en.rcp, es.rcp, fo.rcp,
	fr.rcp, it.rcp, ja.rcp, pl.rcp, ru.rcp, sample.rcp, th.rcp, tr.rcp,
	zh_CN.rcp:

	Rotate help fix
	
2003-07-29 00:34  prussar

	* viewer/: document.c, hires.c, hires.h, mainform.c, util.c,
	util.h:

	Dead code removal
	
2003-07-29 00:33  prussar

	* viewer/anchor.c:

	changed // to /* ... */ comments
	
2003-07-28 20:20  prussar

	* viewer/font.c:

	OS2 font fix
	
2003-07-28 16:29  prussar

	* viewer/: Makefile.in, configure.in:

	Adam's improved configure.in and Makefile.in for rotate/armlet selections
	
2003-07-28 15:37  prussar

	* viewer/: fiveway.c, fontform.c, hires.c, jogdial.c, mainform.c,
	prefsdata.h, resourceids.h, rotate.c, rotate.h, rotatebitmap.c,
	rotatebitmap.h, util.c, util.h, viewer.rcp.in,
	armlets/rotatebitmap.c, armlets/rotatebitmap.h, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Added ccw rotate
	
2003-07-28 00:51  prussar

	* viewer/: document.c, document.h, hires.c, hires.h, history.h,
	mainform.c, metadocument.c, rotate.c, util.c, util.h,
	viewer.rcp.in:

	Better rotation scrollbars; neater ExtentXY() and TopLeftXY() code
	
2003-07-27 22:08  robertoconnor

	* plucker_desktop/unused_source/: application_16x16_CHICKEN.xpm,
	application_32x32_CHICKEN.xpm, application_48x48_CHICKEN.xpm,
	application_64x64_CHICKEN.xpm, application_CHICKEN.icns,
	application_CHICKEN.ico,
	palm_installer_mac_broken_with_magics_and_subdirs_from_dat_file.cpp
	, plucker-desktop_BACKUP_PRE_PYTHON_REARRANGE.iss,
	splash_CHICKEN.xpm, wizard_main_CHICKEN.xpm:

	1.4.0.1 (July 26, 2003)
	
	[X] 1.2->1.4 on MSW installer.
	
	[X] Tips defines stripped from plucker_defines.h
	
	[ ] Can install to Compact Flash
	    [X] On OSX
	    [ ] On MSW (needs correct name of install directory)
	
	[X] Fixed OSX bug in which install folders weren't created if a brand new user, who had
	    never HotSynced.
	
	[X] OSX should now parse all Palm Users files.
	
	[X] MemoryStick corrected to "Memory Stick" in GUI and help.
	
	[X] Memory Stick->M.Stick in the Handheld destination control to fit in the column.
	
2003-07-27 21:57  robertoconnor

	* plucker_desktop/: handheld_dest_dialog.cpp,
	handheld_dest_dialog.h, handheld_dest_type.h, hhictrl.cpp,
	palm_installer_mac.cpp, palm_installer_msw.cpp, plucker_defines.h,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, docs/TODO.txt,
	installer/osx/disk_image/Makefile,
	installer/osx/disk_image/ReadMe.rtf, langs/sample_po.txt,
	langs/cs/plucker-desktop.mo, langs/cs/plucker-desktop.po,
	langs/da/plucker-desktop.mo, langs/da/plucker-desktop.po,
	langs/de/plucker-desktop.mo, langs/de/plucker-desktop.po,
	langs/es/plucker-desktop.mo, langs/es/plucker-desktop.po,
	langs/fi/plucker-desktop.mo, langs/fi/plucker-desktop.po,
	langs/fo/plucker-desktop.mo, langs/fo/plucker-desktop.po,
	langs/fr/plucker-desktop.mo, langs/fr/plucker-desktop.po,
	langs/it/plucker-desktop.mo, langs/it/plucker-desktop.po,
	langs/ja/plucker-desktop.mo, langs/ja/plucker-desktop.po,
	langs/nl/plucker-desktop.mo, langs/nl/plucker-desktop.po,
	langs/pl/plucker-desktop.mo, langs/pl/plucker-desktop.po,
	langs/ru/plucker-desktop.mo, langs/ru/plucker-desktop.po,
	langs/sv/plucker-desktop.mo, langs/sv/plucker-desktop.po,
	resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb:

	1.4.0.1 (July 26, 2003)
	
	[X] 1.2->1.4 on MSW installer.
	
	[X] Tips defines stripped from plucker_defines.h
	
	[ ] Can install to Compact Flash
	    [X] On OSX
	    [ ] On MSW (needs correct name of install directory)
	
	[X] Fixed OSX bug in which install folders weren't created if a brand new user, who had
	    never HotSynced.
	
	[X] OSX should now parse all Palm Users files.
	
	[X] MemoryStick corrected to "Memory Stick" in GUI and help.
	
	[X] Memory Stick->M.Stick in the Handheld destination control to fit in the column.
	
2003-07-27 19:41  prussar

	* viewer/document.c:

	Yet another clipping fix
	
2003-07-27 19:27  prussar

	* viewer/font.c:

	Change FntCharHeight() to FntLineHeight() in one place
	
2003-07-27 16:59  matto

	* viewer/langs/ja.rcp:

	Fix Japanese messages.
	
2003-07-27 16:23  matto

	* viewer/: doclist.c, libraryform.c, langs/ja.rcp, langs/ru.rcp,
	langs/tr.rcp:

	Bug fix for timestamp handling.
	
2003-07-27 14:43  prussar

	* viewer/hires.c:

	PalmTopLeftX() fix
	
2003-07-27 12:55  nordstrom

	* ChangeLog (plucker_1_4):

	New release 1.4
	
2003-07-27 12:50  nordstrom

	* configure.in, unix/install-plucker, unix/plucker.spec,
	viewer/configure.in (plucker_1_4):

	Version changed to 1.4
	
2003-07-27 12:44  nordstrom

	* viewer/: metadocument.c, metadocument.h (plucker_1_4):

	Bug fix #728, UIDs larger than 0x7FFF will crash the viewer
	
2003-07-27 03:37  prussar

	* viewer/: hires.c, util.c:

	Better margins for rotation
	
2003-07-26 22:53  robertoconnor

	* plucker_desktop/palm_installer_mac.cpp:

	Removed MSW comment
	
2003-07-26 22:51  robertoconnor

	* plucker_desktop/plucker_defines.h:

	Version 1.4.0.1
	
2003-07-26 22:49  robertoconnor

	* plucker_desktop/docs/PLUCKER_DESKTOP_CHANGELOG.txt:

	Updated 1.2->1.4
	
2003-07-26 22:43  robertoconnor

	* plucker_desktop/installer/msw/customization_defines.h:

	Updated 1.2->1.4
	
2003-07-26 19:53  prussar

	* viewer/document.c:

	Clipping fix
	
2003-07-26 19:36  nordstrom

	* viewer/libraryform.c (plucker_1_4):

	Bug fix #727, Slow update of document list
	
2003-07-26 19:33  nordstrom

	* viewer/anchor.c (plucker_1_4):

	Added extra check to make sure the anchor list is present
	
2003-07-26 16:48  prussar

	* viewer/: rotatebitmap.c, rotatebitmap.h, armlets/rotatebitmap.c,
	armlets/rotatebitmap.h, Makefile.in, configure.in, paragraph.c,
	resourceids.h, rotate.c, rotate.h, armlets/Makefile.in:

	Bitmap rotate armlet
	
2003-07-26 15:42  prussar

	* viewer/search8.c:

	Added header comment
	
2003-07-26 15:34  prussar

	* viewer/rotate.c:

	Fixed comment
	
2003-07-26 15:28  prussar

	* viewer/: document.c, rotate.c:

	Rotation tweaks
	
2003-07-26 14:06  prussar

	* viewer/: Makefile.in, configure.in, control.c, fontform.c,
	resourceids.h, rotate.c, rotate.h, viewer.rcp.in:

	added --disable-rotate switch to configure.in; rotate now rotates control regions
	
2003-07-26 04:30  prussar

	* viewer/document.c:

	Fix underlocked chunk error in seamless fragment paging
	
2003-07-26 02:26  prussar

	* viewer/rotate.c:

	Faster text rotation works on OS3.5+ not just OS5+
	
2003-07-26 02:24  prussar

	* viewer/: document.c, mainform.c, resourceids.h, rotate.c,
	rotate.h:

	Fixes to: Rotation, scrollbar (Palm hires), scroll to bottom; removal of SearchAdjust()
	
2003-07-25 17:20  prussar

	* viewer/langs/: cs.rcp, da.rcp, de.rcp, en.rcp, es.rcp, fo.rcp,
	fr.rcp, it.rcp, ja.rcp, pl.rcp, ru.rcp, sample.rcp, th.rcp, tr.rcp,
	zh_CN.rcp:

	Better labeling for Font and layout dialog
	
2003-07-25 16:58  prussar

	* viewer/: Makefile.in, anchor.c, control.c, document.c,
	fontform.c, hires.h, history.h, mainform.c, metadocument.c,
	paragraph.c, prefsdata.c, prefsdata.h, resourceids.h, resultform.c,
	util.c, viewer.h, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Rotate mode
	
2003-07-25 01:04  chrish

	* viewer/table.c (multiimage):

	@#$%^ cleaned up code and broke the table anchors. Fixed!
	
2003-07-23 04:27  prussar

	* viewer/: document.c, document.h, mainform.c, paragraph.c,
	paragraph.h, resultform.c, search.c, search.h, searchform.c:

	Some bug fixes to seamless fragments code and making search compatible with it
	
2003-07-21 18:56  prussar

	* viewer/control.c:

	Make paging-controls-link option work better with joined fragments
	
2003-07-21 15:05  prussar

	* docs/DBFormat.html:

	Added continuation bit
	
2003-07-21 14:13  prussar

	* parser/python/PyPlucker/PluckerDocs.py,
	parser/python/PyPlucker/Spider.py, viewer/bookmark.c,
	viewer/bookmarkform.c, viewer/control.c, viewer/document.c,
	viewer/document.h, viewer/genericfile.h, viewer/hardcopyform.c,
	viewer/history.c, viewer/history.h, viewer/mainform.c,
	viewer/metadocument.c, viewer/paragraph.c, viewer/prefsdata.c,
	viewer/prefsdata.h, viewer/ramfile.c, viewer/ramfile.h,
	viewer/search.c, viewer/util.h, viewer/vfsfile.c, viewer/vfsfile.h,
	viewer/viewer.h:

	Seamless fragments
	
2003-07-17 16:51  chrish

	* parser/python/PyPlucker/: ImageParser.py, PluckerDocs.py,
	Spider.py, Writer.py (multiimage):

	Support for Writing Multiimage images...
	
2003-07-17 16:50  chrish

	* parser/python/PyPlucker/Url.py (multiimage):

	Pluckerdoc and File fix from HEAD
	
2003-07-17 14:32  prussar

	* parser/python/PyPlucker/: Url.py, Writer.py:

	Smarter ordering
	
2003-07-16 14:28  prussar

	* viewer/paragraph.c:

	Better justification
	
2003-07-16 00:31  prussar

	* parser/python/PyPlucker/Spider.py:

	Fixed bugs 654 and 600: Bad scope of deprecated()
	
2003-07-15 11:15  prussar

	* parser/python/PyPlucker/Writer.py:

	Better record ordering
	
2003-07-14 20:38  prussar

	* docs/DBFormat.html:

	Update re. range of UIDs
	
2003-07-14 14:06  prussar

	* viewer/search.c:

	Search result bug fix
	
2003-07-14 04:29  prussar

	* viewer/history.h:

	Changed some UInt16 back to Int16--was overzealous earlier
	
2003-07-14 04:25  prussar

	* viewer/history.c:

	Changed NOT_FOUND to NO_RECORD
	
2003-07-14 01:27  prussar

	* viewer/: libraryform.c, resourceids.h, searchform.c, util.c,
	util.h, viewer.c, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Added search help
	
2003-07-14 01:21  prussar

	* viewer/const.h:

	Boosted number of search terms to 10
	
2003-07-13 22:09  prussar

	* viewer/: control.c, prefsdata.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Brightness/contrast/backlight controls
	
2003-07-13 22:06  prussar

	* viewer/viewer.c:

	Lock should turn off autoscroll
	
2003-07-13 21:39  prussar

	* viewer/: control.c, prefsdata.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Added one line up/down and brightness controls
	
2003-07-13 14:30  prussar

	* viewer/: font.c, font.h, mainform.c:

	Up/down tap on scrollbar moves by one line
	
2003-07-13 13:49  prussar

	* viewer/: document.c, paragraph.c, paragraph.h, search.c,
	search8.c, search8.h, armlets/search.c, armlets/search.h:

	Search result display fixes
	
2003-07-13 01:48  prussar

	* viewer/: prefsdata.h, search.c, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	New search transliteration mode: non-ASCII to period
	
2003-07-12 19:45  prussar

	* viewer/: fontform.c, keyboardform.c, resourceids.h,
	viewer.rcp.in, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Added help for fontform, keyboardform and more help for prefsbrowsing
	
2003-07-12 14:57  prussar

	* viewer/: anchor.c, anchor.h, bookmark.c, bookmark.h,
	bookmarkform.c, bookmarkform.h, control.c, control.h,
	detailsform.c, document.c, document.h, history.c, history.h,
	image.c, image.h, link.c, link.h, mainform.c, metadocument.c,
	metadocument.h, paragraph.c, search.c, table.c, table.h, util.h:

	UID is UInt16 not Int16
	
2003-07-12 14:38  prussar

	* viewer/axxpacimp.c:

	Fix comment style
	
2003-07-12 14:34  prussar

	* viewer/font.c:

	Fix comment style
	
2003-07-12 06:31  prussar

	* docs/DBFormat.html:

	uids must be in ascending order
	
2003-07-11 01:03  prussar

	* viewer/: paragraph.c, document.c:

	Hires fix for bookmarks and export, and more precise handling
	
2003-07-10 20:08  prussar

	* viewer/document.c:

	Readability
	
2003-07-10 19:56  prussar

	* viewer/os.c:

	Making code neater
	
2003-07-10 19:47  prussar

	* viewer/: prefsdata.c, prefsdata.h:

	More parts of the scroll-to-bottom pref commit
	
2003-07-10 16:27  prussar

	* viewer/: renamedocform.c, vfsfile.c, vfsfile.h:

	Filename length fix for renamer
	
2003-07-10 13:47  prussar

	* viewer/: configure.in, document.c, prefsbrowsing.c, prefsform.c,
	resourceids.h, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Changed ENABLE_SCROLL_TO_BOTTOM into a pref item rather than compile time opt
	
2003-07-10 12:47  prussar

	* viewer/: doclist.c, doclist.h, genericfile.c, genericfile.h,
	vfsfile.c, vfsfile.h:

	Fix rename problem with docs that have chars invalid for vfs filenames
	
2003-07-09 23:11  prussar

	* viewer/document.c:

	Fix hires externallinksform problem
	
2003-07-09 21:03  prussar

	* viewer/paragraph.c:

	Autoscroll was accidentally disabled in commit
	
2003-07-09 16:48  prussar

	* viewer/paragraph.c:

	Image bug fix
	
2003-07-09 13:37  prussar

	* viewer/: paragraph.c, prefsbrowsing.c, prefsdata.c, prefsdata.h,
	prefsform.c, prefsgeneral.c, resourceids.h, viewer.rcp.in,
	langs/cs.rcp, langs/da.rcp, langs/de.rcp, langs/en.rcp,
	langs/es.rcp, langs/fo.rcp, langs/fr.rcp, langs/it.rcp,
	langs/ja.rcp, langs/pl.rcp, langs/ru.rcp, langs/sample.rcp,
	langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Fix justify / add force align / etc.
	
2003-07-09 10:38  prussar

	* viewer/: prefsdata.h, resultform.c, search.c, search.h,
	viewer.rcp.in, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Search down
	
2003-07-09 05:48  adamm

	* viewer/: viewer.rcp.in, icons/bubble_x2-8bpp.bmp,
	icons/home_x2-8bpp.bmp, icons/hourglass_x2-8bpp.bmp:

	Commited Robert O'Conner's hires hourglass and home icons, as well included my
	own rendition of a hires thoughtbubble icon.
	
2003-07-09 03:57  prussar

	* viewer/langs/: cs.rcp, da.rcp, de.rcp, en.rcp, es.rcp, fo.rcp,
	fr.rcp, it.rcp, ja.rcp, pl.rcp, ru.rcp, sample.rcp, th.rcp, tr.rcp,
	zh_CN.rcp:

	Fixed capitalization of 'Graffiti 2'
	
2003-07-09 03:14  prussar

	* viewer/: document.c, os.c, os.h, paragraph.c, search.c:

	More optimizations
	
2003-07-08 17:42  prussar

	* viewer/libraryform.c:

	Fix scrollbar length for OS5 Hi-Res+
	
2003-07-08 04:57  prussar

	* viewer/paragraph.c:

	Fix multiline formatting and forecolor bugs
	
2003-07-08 02:45  prussar

	* viewer/: control.c, document.c, document.h, mainform.c,
	prefsbrowsing.c, prefsdata.c, prefsdata.h, prefsform.c,
	resourceids.h, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Added option to take first/last link on pgup/pgdn control on first/last screen
	
2003-07-07 18:24  prussar

	* viewer/paragraph.c:

	Bug fix
	
2003-07-07 17:11  prussar

	* viewer/paragraph.c:

	Faster displaying
	
2003-07-07 14:21  prussar

	* viewer/paragraph.c:

	Faster rendering
	
2003-07-06 19:56  prussar

	* viewer/langs/: cs.rcp, da.rcp, de.rcp, en.rcp, es.rcp, fo.rcp,
	fr.rcp, it.rcp, ja.rcp, pl.rcp, ru.rcp, sample.rcp, th.rcp, tr.rcp,
	zh_CN.rcp:

	Change to warning message
	
2003-07-06 18:18  prussar

	* viewer/: font.c, font.h, paragraph.c:

	Fix sub/superscript issues
	
2003-07-06 18:01  adamm

	* viewer/: Makefile.in, bluetooth.c, bluetooth.h, configure.in,
	genericfile.c, genericfile.h, libraryform.c, os.c, pluckererror.h,
	ramfile.c, ramfile.h, resourceids.h, vfsfile.c, vfsfile.h,
	viewer.h, viewer.rcp.in:

	Removed my half-completed implementation of bluetooth support. Apparently, this
	can be done automatically through the Exchange Manager.
	
2003-07-05 20:46  prussar

	* viewer/: anchor.c, axxpacimp.c, bookmark.c, control.c,
	detailsform.c, doclist.c, document.c, externalform.c, font.c,
	fontform.c, fullscreenform.c, genericfile.c, hires.c, history.c,
	keyboard.c, keyboardform.c, libraryform.c, mainform.c,
	metadocument.c, paragraph.c, prefsautoscroll.c, prefsdata.c,
	prefsgeneral.c, resultform.c, search.c, search8.c, silkscreen.c,
	skins.c, table.c, util.c, viewer.c:

	Code cleanup
	
2003-07-05 16:10  prussar

	* cygwin.diff:

	Simplified given better cygwin compatibility for viewer
	
2003-07-05 16:08  prussar

	* viewer/cygwin.diff:

	No longer needed
	
2003-07-05 14:34  prussar

	* viewer/: Makefile.in, const.h, control.c, control.h, fontform.c,
	keyboard.c, keyboard.h, keyboardform.c, keyboardform.h,
	libraryform.c, mainform.c, prefsdata.h, resourceids.h, util.c,
	util.h, viewer.c, viewer.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Keyboard customization
	
2003-07-04 13:24  desrod

	* parser/python/PyPlucker/Spider.py:

	Fixed a small typo
	
2003-07-03 21:24  prussar

	* viewer/paragraph.c:

	Fix bug in ForceDefaultColors option handling
	
2003-07-03 15:41  prussar

	* viewer/resultform.c:

	Fix to silk resize fix
	
2003-07-03 14:14  prussar

	* viewer/: control.c, metadocument.c, metadocument.h,
	prefsgeneral.c:

	Toolbar must be disabled in 320x480
	
2003-07-03 14:13  prussar

	* viewer/: prefsbutton.c, prefsjogdial.c, util.c, util.h:

	Fix spelling of 'relatively'
	
2003-07-03 03:13  prussar

	* viewer/: control.c, dimensions.h, hires.c, libraryform.c,
	mainform.c, prefsdata.c, prefsdata.h, resourceids.h, silkscreen.c,
	silkscreen.h, util.c, viewer.c, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Hi-Res+ 320x480 ('fullscreen') mode
	
2003-07-02 14:35  prussar

	* viewer/bookmarkform.c:

	Fix OS5 bookmark delete bug
	
2003-07-02 04:05  prussar

	* viewer/: resultform.c, silkscreen.c, silkscreen.h:

	Workaround for silk resize bug in resultform -- Sony only
	
2003-07-02 02:36  chrish

	* viewer/document.c:

	Carped about UpdateFirstVisible() without ENABLE_SCROLL_TO_BOTTOM defined ...
	
2003-07-02 02:22  chrish

	* parser/python/PyPlucker/PluckerDocs.py:

	Fix for crappy HTML with no <TR> before the first <TD>.
	
2003-07-01 20:31  prussar

	* viewer/viewer.rcp.in:

	Fixed OS2 and Handera font forms
	
2003-07-01 20:11  prussar

	* viewer/prefsdata.c:

	Added sanity check to search history load
	
2003-07-01 20:11  prussar

	* viewer/viewer.rcp.in:

	Fixed layout of search form history popup
	
2003-07-01 18:18  robertoconnor

	* plucker_desktop/docs/PLUCKER_DESKTOP_CHANGELOG.txt:

	Added items for GTK.
	
2003-07-01 17:41  robertoconnor

	* plucker_desktop/installer/unix/:
	HOW_TO_MAKE_PLUCKER_DESKTOP_RPM.txt, plucker-desktop.spec:

	Plucker Desktop: RPM spec file can now generate RPM and SRPM from commandline.
	
2003-07-01 17:36  robertoconnor

	* plucker_desktop/palm_installer_gtk.cpp:

	Plucker Desktop: typo of a = instead of == for assessing whether a USB device (and thus should pause).
	
2003-07-01 17:35  robertoconnor

	* plucker_desktop/Makefile.in:

	Plucker Desktop: back to /usr prefix for RPM building
	
2003-07-01 17:31  robertoconnor

	* plucker_desktop/configuration.cpp:

	Plucker Desktop: back to /usr prefix for RPM building
	
2003-07-01 16:25  prussar

	* viewer/: control.c, control.h, document.c, document.h,
	mainform.c, resourceids.h, resultform.c, searchform.c, util.c,
	viewer.c, viewer.rcp.in:

	Faster display of search results, and hi-res+ support for search
	
2003-06-30 16:43  robertoconnor

	* plucker_desktop/configuration.cpp:

	Plucker Desktop /usr/share -> usr/local/share and /usr/bin -> /usr/local/bin
	
2003-06-30 16:30  robertoconnor

	* plucker_desktop/Makefile.in:

	Plucker Desktop: install to usr/local instead of /usr
	
2003-06-30 15:58  robertoconnor

	* plucker_desktop/palm_installer_mac.cpp:

	Plucker Desktop: Another typo fix for the card destinations.
	
2003-06-30 15:48  robertoconnor

	* plucker_desktop/palm_installer_mac.cpp:

	Plucker Desktop: added missing subdir for SD card and MemoryStick installation.
	
2003-06-30 15:47  robertoconnor

	* plucker_desktop/docs/BUILDING_MACINTOSH_OSX_APPLE_FREE_TOOLS.txt:

	Plucker Desktop note about --disable-palmosbuild to make configure work better.
	
2003-06-30 15:35  robertoconnor

	* plucker_desktop/palm_installer_mac.cpp:

	Plucker Desktop: added missing '/' for SD card and MemoryStick installation.
	
2003-06-30 14:58  prussar

	* viewer/document.c:

	Fix for HandleNamedAnchor() and an added #ifdef ENABLE_SCROLL_TO_BOTTOM
	
2003-06-30 14:48  prussar

	* viewer/document.c:

	Fix 2 for links to middle of page
	
2003-06-30 14:30  prussar

	* viewer/document.c:

	Fix for links to middle of page
	
2003-06-30 14:21  prussar

	* viewer/: anchor.c, anchor.h, document.c, document.h, paragraph.c,
	table.c, util.h:

	Improve rendering performance and remove bug
	
2003-06-30 03:48  prussar

	* viewer/: control.c, prefsdata.c, prefsdata.h, viewer.rcp.in,
	langs/cs.rcp, langs/da.rcp, langs/de.rcp, langs/en.rcp,
	langs/es.rcp, langs/fo.rcp, langs/fr.rcp, langs/it.rcp,
	langs/ja.rcp, langs/pl.rcp, langs/ru.rcp, langs/sample.rcp,
	langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Added fullscreen (no scrollbar, no toolbar) toggle control
	
2003-06-30 02:43  chrish

	* viewer/table.c (multiimage):

	Large tables in Inline tables didn't get anchors.
	
2003-06-30 02:41  chrish

	* parser/python/PyPlucker/Spider.py:

	Added --tables to help.
	
2003-06-30 01:12  prussar

	* viewer/: paragraph.c, prefsdata.c, prefsdata.h, prefsform.c,
	prefsgeneral.c, resourceids.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Added General option: Force default text colors
	
2003-06-30 00:34  robertoconnor

	* plucker_desktop/Makefile.in:

	Plucker Desktop: rearranged order of LDLIBS for Unix compilation (double check that this still works for OSX)
	
2003-06-30 00:31  robertoconnor

	* plucker_desktop/docs/PLUCKER_DESKTOP_CHANGELOG.txt:

	Plucker Desktop: note about testing OSX with new order of LDLLIBS
	
2003-06-30 00:00  robertoconnor

	* plucker_desktop/installer/unix/plucker-desktop.spec:

	Plucker Desktop: updated Unix spec file
	
2003-06-29 21:00  prussar

	* viewer/: control.c, prefsdata.h, viewer.rcp.in, langs/cs.h,
	langs/cs.rcp, langs/da.h, langs/da.rcp, langs/de.h, langs/de.rcp,
	langs/en.h, langs/en.rcp, langs/es.h, langs/es.rcp, langs/fo.h,
	langs/fo.rcp, langs/fr.h, langs/fr.rcp, langs/it.rcp, langs/ja.h,
	langs/ja.rcp, langs/pl.h, langs/pl.rcp, langs/ru.h, langs/ru.rcp,
	langs/sample.h, langs/sample.rcp, langs/th.h, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.h, langs/zh_CN.rcp:

	Added toolbar toggle control
	
2003-06-29 18:01  robertoconnor

	* plucker_desktop/resource/docs/: Makefile, PluckerDesktop.tex,
	makefile.b32, plucker-desktop.htb:

	Plucker Desktop: regenerated help. Added makefiles for UNIX/OSX and MSW b32 for user help.
	
2003-06-29 16:45  robertoconnor

	* plucker_desktop/installer/osx/disk_image/: Makefile,
	background.png:

	Plucker Desktop: OSX Disk image changes
	
2003-06-29 15:12  robertoconnor

	* plucker_desktop/installer/osx/disk_image/Makefile:

	Plucker Desktop: OSX Disk image makefile
	
2003-06-29 14:40  robertoconnor

	* plucker_desktop/installer/osx/disk_image/: ReadMe.rtf,
	background.png:

	Plucker Desktop: Updated OSX readme and disk image background
	
2003-06-29 14:23  prussar

	* viewer/paragraph.c:

	Fix subscript bug, and slight render optimization
	
2003-06-29 14:23  robertoconnor

	* plucker_desktop/installer/osx/Makefile:

	Plucker Desktop: Makefile for OSX bundle
	
2003-06-29 14:13  robertoconnor

	* plucker_desktop/langs/makefile.bat:

	Plucker Desktop: Makefile for langs for MSW (currently just B32. Rewrite as bat file for all compilers)
	
2003-06-29 14:12  robertoconnor

	* plucker_desktop/langs/Makefile:

	Plucker Desktop: Makefile for langs for Linux and OSX.
	
2003-06-29 14:06  robertoconnor

	* plucker_desktop/langs/: sample_po.txt, cs/plucker-desktop.mo,
	cs/plucker-desktop.po, cs/wxstd.mo, cs/wxstd.po,
	da/plucker-desktop.mo, da/plucker-desktop.po, da/wxstd.mo,
	da/wxstd.po, de/plucker-desktop.mo, de/plucker-desktop.po,
	de/wxstd.mo, de/wxstd.po, es/plucker-desktop.mo,
	es/plucker-desktop.po, es/wxstd.mo, es/wxstd.po,
	fi/plucker-desktop.mo, fi/plucker-desktop.po, fi/wxstd.mo,
	fi/wxstd.po, fo/plucker-desktop.mo, fo/plucker-desktop.po,
	fo/wxstd.mo, fo/wxstd.po, fr/plucker-desktop.mo,
	fr/plucker-desktop.po, fr/wxstd.mo, fr/wxstd.po,
	it/plucker-desktop.mo, it/plucker-desktop.po, it/wxstd.mo,
	it/wxstd.po, ja/plucker-desktop.mo, ja/plucker-desktop.po,
	ja/wxstd.mo, ja/wxstd.po, nl/plucker-desktop.mo,
	nl/plucker-desktop.po, nl/wxstd.mo, nl/wxstd.po,
	pl/plucker-desktop.mo, pl/plucker-desktop.po, pl/wxstd.mo,
	pl/wxstd.po, ru/plucker-desktop.mo, ru/plucker-desktop.po,
	ru/wxstd.mo, ru/wxstd.po, sv/plucker-desktop.mo,
	sv/plucker-desktop.po, sv/wxstd.mo, sv/wxstd.po:

	Plucker Desktop: Makefile for langs for Linux and OSX. Mo files will be put into CVS since toolchain for MSW is so weak.
	
2003-06-29 10:57  prussar

	* viewer/: anchor.c, anchor.h, bookmark.c, bookmark.h,
	configure.in, const.h, control.c, control.h, document.c,
	document.h, history.c, history.h, mainform.c, metadocument.c,
	paragraph.c, util.h:

	Font change doesn't lose place in bookmarks, history and viewport
	
2003-06-28 21:47  robertoconnor

	* plucker_desktop/palm_installer_gtk.cpp:

	Plucker Desktop: typo fixes
	
2003-06-28 21:41  robertoconnor

	* plucker_desktop/proxy_prompt.h:

	Plucker Desktop: fixed a missing // after an #endif
	
2003-06-28 21:06  robertoconnor

	* plucker_desktop/docs/: BUILDING_LINUX_GTK.txt,
	BUILDING_MACINTOSH_OSX_APPLE_FREE_TOOLS.txt:

	Plucker Desktop:
	Minor build instruction fixes for OSX and GTK.
	
2003-06-28 18:54  robertoconnor

	* plucker_desktop/patch_wx/wx2.4.0/: wx-config.in, README.txt:

	Plucker Desktop: added wx-config.in
	
2003-06-28 14:41  prussar

	* viewer/: metadocument.c, prefsgeneral.c:

	Toggling toolbar will no longer re-render
	
2003-06-28 04:57  prussar

	* cygwin.diff:

	Changed to conform with cygwin-friendly updates to viewer/configure.in and viewer/makefile.in
	
2003-06-27 23:28  prussar

	* viewer/paragraph.c:

	Fix fast initial render bug
	
2003-06-27 21:05  prussar

	* viewer/cygwin.diff:

	Simplified diff to match new configure.in
	
2003-06-27 20:08  chrish

	* viewer/fullscreenform.c (multiimage):

	Small changes for tables with anchors.
	
2003-06-26 16:09  chrish

	* viewer/image.c (multiimage):

	Fix for reference size change (Int16 to Int32) when loading a multi-image document.
	
2003-06-26 06:00  adamm

	* viewer/icons/menu_x2-8bpp.bmp:

	Included Robert O'Conner's menu icon that has a left hand border. I'm told this
	looks better :)
	
2003-06-26 03:27  robertoconnor

	* plucker_desktop/: PluckerDesktop.dsp, channel_dialog.cpp,
	editor_dialog.cpp, setup.h,
	docs/BUILDING_MACINTOSH_OSX_APPLE_FREE_TOOLS.txt,
	docs/makefile.bat, docs/includes/docs_doxygen_commands.h,
	docs/includes/docs_preformatted_textfiles.h,
	installer/msw/installer_wizard_large.bmp,
	installer/msw/plucker-desktop.iss, patch_wx/wx2.4.0/README.txt,
	patch_wx/wx2.4.0/execute.h, patch_wx/wx2.4.0/utilsexc.cpp,
	patch_wx/wx2.4.0/utilsunx.cpp, resource/xrc/channel_dialog.xrc,
	unused_source/installer_wizard_large_CHICKEN.bmp:

	Plucker Desktop: changes for MSW
	
2003-06-25 14:18  chrish

	* viewer/Makefile.in (multiimage):

	OOppss! Back the way it was ...
	
2003-06-25 02:23  prussar

	* viewer/paragraph.c:

	Fixed bug in fast render when combined with autoscroll caching
	
2003-06-24 20:13  chrish

	* viewer/: Makefile.in, cache.h, fullscreenform.c, table.c, table.h
	(multiimage):

	Small changes to allow caching of table anchors.
	
2003-06-24 04:46  prussar

	* viewer/: document.c, mainform.c, paragraph.c, search.c, search.h,
	session.c:

	Fix search again bug
	
2003-06-24 03:15  chrish

	* viewer/: cache.c, cache.h, image.c, image.h, table.c
	(multiimage):

	Added caching for tables
	
2003-06-24 01:13  prussar

	* viewer/: document.c, paragraph.c, paragraph.h:

	Faster seeking to search result
	
2003-06-23 15:52  prussar

	* viewer/: document.h, history.h:

	Added comment
	
2003-06-23 15:39  prussar

	* viewer/paragraph.c:

	Faster handling of first page
	
2003-06-23 11:25  prussar

	* viewer/: document.c, document.h, mainform.c:

	Fixed my bug in dragging scrollbar to top
	
2003-06-23 11:10  prussar

	* viewer/const.h:

	Increment MetaDocumentVersion to match upgrade of height data to Int32
	
2003-06-23 03:21  prussar

	* viewer/configure.in:

	Reversing accidental committal of cygwin-specific file
	
2003-06-23 01:50  prussar

	* viewer/: bookmark.c, control.c, document.c, document.h,
	history.c, history.h, mainform.c, metadocument.c, paragraph.c,
	paragraph.h, uncompress.c, util.h, viewer.h:

	Fixed bug with y-coordinate overflowing Int16
	
2003-06-22 03:46  prussar

	* viewer/: bookmark.c, configure.in, const.h, document.c,
	document.h, font.c, font.h, fontform.c, history.c, history.h,
	libraryform.c, mainform.c, metadocument.c, metadocument.h, os.c,
	prefsdata.c, prefsdata.h, resourceids.h, session.c, util.c,
	viewer.c, viewer.rcp.in, fonts/stdfixedfont.txt, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Overhaul of metarecord data, per document font settings and user-loaded font support
	
2003-06-20 15:17  prussar

	* viewer/search.c:

	Added 8-bit search support for PalmOS with character set smaller than Latin 1
	
2003-06-18 18:04  robertoconnor

	* plucker_desktop/installer/: msw/plucker-desktop.iss,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ArgImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/BdfFont
	File.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/BmpImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/Contain
	erIO.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/CurImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/DcxImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/EpsImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/FliImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/FontFil
	e.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/FpxImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/GbrImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/GdImage
	File.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/GifImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/GimpGra
	dientFile.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/GimpPal
	etteFile.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/IcoImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImImage
	Plugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/Image.p
	y,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageCh
	ops.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageDr
	aw.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageEn
	hance.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageFi
	le.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageFi
	leIO.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageFi
	lter.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageFo
	nt.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageOp
	s.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImagePa
	lette.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImagePa
	th.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageSe
	quence.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageSt
	at.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageTk
	.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImageWi
	n.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/ImtImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/IptcIma
	gePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/JpegIma
	gePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/McIdasI
	magePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/MicImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/MpegIma
	gePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/MspImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/OleFile
	IO.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PSDraw.
	py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/Palette
	File.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PcdImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PcfFont
	File.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PcxImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PdfImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PixarIm
	agePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PngImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PpmImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/PsdImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/SgiImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/SunImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/TarIO.p
	y,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/TgaImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/TiffIma
	gePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/TiffTag
	s.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/WmfImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/XVThumb
	ImagePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/XbmImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/XpmImag
	ePlugin.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/__init_
	_.py,
	osx/application_bundle_files/Resources/parser/python/vm/PIL/_imagin
	g.so, osx/disk_image/ReadMe.rtf:

	Additions for MSW and OSX installers.
	
2003-06-18 14:16  prussar

	* viewer/document.c:

	Silkscreen resize doesn't move document now
	
2003-06-18 04:28  robertoconnor

	* parser/python/PyPlucker/: ImageParser.py, Spider.py,
	__init__.py.in:

	(1) Spider.py: The ability to specify http-proxy, http-proxy-user and http-proxy-pass from the commandline, so that they don't need to be stored in a plain text file in the user's home directory in their .pluckerrc.
	
	(2) __init.py__: On Macintosh OSX, the filename for the .pluckerrc is renamed to something without a period in front, since all the period-prefixed files cannot be seen by the user (even in the commandline shell--its bizarre).
	
	(3) ImageParser.py: On Macintosh OSX, there isn't much in the way of imaging tools readily available, and the users get annoyed when apps mess with their system directories, so instead there is an ability to use the Python PIL from within the distributed application bundle (since OSX includes python 2.2).
	
2003-06-18 03:00  robertoconnor

	* plucker_desktop/: Makefile.in, README.txt, about_dialog.cpp,
	build_progress_dialog.cpp, build_progress_wrappers.cpp,
	channel_dialog.cpp, configuration.cpp, configuration.h,
	details_progress_listbox.cpp, handheld_dest_dialog.cpp,
	handheld_dest_dialog.h, handheld_dest_type.cpp,
	handheld_dest_type.h, handheld_dest_wrappers.cpp, hhictrl.cpp,
	main_frame.cpp, makefile.b32, makefile_filelist.lst,
	palm_installer.h, palm_installer_base.cpp, palm_installer_gtk.cpp,
	palm_installer_mac.cpp, palm_installer_mac.h,
	palm_installer_msw.cpp, palm_installer_msw.h, pda_listctrl.cpp,
	pda_listctrl.h, plucker-desktop.cpp, plucker_controller.cpp,
	plucker_defines.h, preferences_dialog.cpp, preferences_dialog.h,
	proxy_prompt.cpp, proxy_prompt.h, proxy_wizardpage.cpp,
	proxy_wizardpage.h, setup.h, setup_wizard.cpp, time_control.cpp,
	utils_controls.cpp, utils_controls.h, viewer_wizardpage.cpp,
	viewer_wizardpage.h, docs/BUILDING_MSW_BORLAND.txt,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, docs/TODO.txt,
	installer/msw/customization_defines.h,
	installer/msw/plucker-desktop.iss,
	installer/osx/application_bundle_files/Info.plist,
	installer/unix/plucker-desktop.spec,
	resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb,
	resource/graphics_misc/splash.xpm,
	resource/graphics_wizard/wizard_main.xpm,
	resource/html_about/plucker_authors.htm,
	resource/icons_application/application.icns,
	resource/icons_application/application.ico,
	resource/icons_application/application_16x16.xpm,
	resource/icons_application/application_32x32.xpm,
	resource/icons_application/application_48x48.xpm,
	resource/icons_application/application_64x64.xpm,
	resource/plkrdata_showcase/showcase.htm,
	resource/xrc/channel_dialog.xrc, resource/xrc/exclusion_dialog.xrc,
	resource/xrc/preferences_dialog.xrc:

	1.4.0.0 (June 17, 2003)
	
	[X] MSW installer updated. Requirements updated.
	
	[X] New icons, new art for wizard and splash.
	
	[X] When a hires is selected for device, in setup wizard, the default settings for
	    images are updated, and the ARMlet Zlib is used instead of the non-ARM one.
	
	[X] Add new Plucker Team members.
	
	[X] It shouldn't be an error just because can't find last user from Registry. May
	    never have synced yet.
	
	[X] OSX can install to a Handheld SD/MMC card (MemoryStick soon).
	
	[X] Organization of subfolders in MSW and OSX: parsers are now under /parsers and
	    viewers under /viewers to make better multiple parsers.
	
	[X] MSW context-sensitive menu convert is now an editable batch file, instead of a
	    no-sourcecode-available-with-hardcoded-paths executable file.
	
	[X] Can now choose to only enter the http_proxy password at runtime (more secure).
	    Will remember it for lifetime of program execution.
	
	[X] OSX "Export details..." now has a correct extension.
	
	1.2.0.12 (May 23, 2003)
	
	[X] Option for pausing for using pilot-link with USB devices.
	
	[X] Export logfile filename shortened for Mac OSX.
	
	[X] Exclusion list renamed to Inclusion/Exclusion list (see my comments to plucker
	    lists as to why I recommended this change).
	
	[X] OSX will install files to Handheld using HotSync manager.
	
	[X] OSX now compiles to a full bundle with a makefile.
	
	[X] Added in Preferences... and Quit menu bar relocation to Application menu on Mac
	    (will appear in next version of wxWindows)
	
	1.2.0.11 (March 23, 2003)
	
	[X] Added XPM Handler (needed for wxGTK version. Mac and Win
	    seem to have their own built-in).
	
	[X] Linux makefile updated.
	
	1.2.0.10 (March 22, 2003)
	
	[X] Fixed typo in overridable directories.
	
	[X] Some int/long casts updated, so zero warnings.
	
	[X] OSX filled in to proper integration.
	
	[X] On OSX, commented out showing startup tips at startup on OSX in which:
	    - Shows tips, then click close.
	    - After click close, crash.
	    - Doesn't crash if show the tips via the menu.
	
	[X] Tabs at bottom of listctrl in OSX already fixed in wx CVS (HTML editor).
	
	[X] Found out why no toolbar shown on OSX. Looks like flat toolbar style isn't supported yet.
	
2003-06-18 02:14  chrish

	* viewer/table.c (multiimage):

	Fixed cache problem if table only needed 1 bitmap.
	
2003-06-17 21:32  adamm

	* viewer/: control.c, libraryform.c, link.h, langs/da.rcp,
	langs/th.rcp, langs/tr.rcp:

	Backported code from Mike's stable 1_4 branch into the main trunk. This
	propogates the fixes for bugs #635 and #652. As well included updated language
	definitions.
	
2003-06-17 19:58  adamm

	* viewer/Makefile.in:

	Cleaned up the armlet building method in the Makefile. As well fixed an issue
	where building the prc would fail unless you specified --enable-armlets.
	
2003-06-17 11:41  prussar

	* viewer/fonts/fontconv.c:

	Code cleanup
	
2003-06-17 07:47  robertoconnor

	*
	plucker_desktop/resource/plkrdata_installation/setup_wizard_channel
	s.plkrdata:

	1.4.0.0 (June 17, 2003)
	
	[X] MSW installer updated. Requirements updated.
	
	[X] New icons, new art for wizard and splash.
	
	[X] When a hires is selected for device, in setup wizard, the default settings for
	    images are updated, and the ARMlet Zlib is used instead of the non-ARM one.
	
	[X] Add new Plucker Team members.
	
	[X] It shouldn't be an error just because can't find last user from Registry. May
	    never have synced yet.
	
	[X] OSX can install to a Handheld SD/MMC card (MemoryStick soon).
	
	[X] Organization of subfolders in MSW and OSX: parsers are now under /parsers and
	    viewers under /viewers to make better multiple parsers.
	
	[X] MSW context-sensitive menu convert is now an editable batch file, instead of a
	    no-sourcecode-available-with-hardcoded-paths executable file.
	
	[X] Can now choose to only enter the http_proxy password at runtime (more secure).
	    Will remember it for lifetime of program execution.
	
	[X] OSX "Export details..." now has a correct extension.
	
	1.2.0.12 (May 23, 2003)
	
	[X] Option for pausing for using pilot-link with USB devices.
	
	[X] Export logfile filename shortened for Mac OSX.
	
	[X] Exclusion list renamed to Inclusion/Exclusion list (see my comments to plucker
	    lists as to why I recommended this change).
	
	[X] OSX will install files to Handheld using HotSync manager.
	
	[X] OSX now compiles to a full bundle with a makefile.
	
	[X] Added in Preferences... and Quit menu bar relocation to Application menu on Mac
	    (will appear in next version of wxWindows)
	
	1.2.0.11 (March 23, 2003)
	
	[X] Added XPM Handler (needed for wxGTK version. Mac and Win
	    seem to have their own built-in).
	
	[X] Linux makefile updated.
	
	1.2.0.10 (March 22, 2003)
	
	[X] Fixed typo in overridable directories.
	
	[X] Some int/long casts updated, so zero warnings.
	
	[X] OSX filled in to proper integration.
	
	[X] On OSX, commented out showing startup tips at startup on OSX in which:
	    - Shows tips, then click close.
	    - After click close, crash.
	    - Doesn't crash if show the tips via the menu.
	
	[X] Tabs at bottom of listctrl in OSX already fixed in wx CVS (HTML editor).
	
	[X] Found out why no toolbar shown on OSX. Looks like flat toolbar style isn't supported yet.
	
2003-06-16 15:42  prussar

	* viewer/skins.c:

	Fixed typo
	
2003-06-16 15:30  prussar

	* viewer/: Makefile.in, search.c, search8.c, search8.h,
	armlets/search.c:

	Fast 8-bit text 68K search
	
2003-06-15 23:49  prussar

	* viewer/: skins.c, skins.h:

	Stylistic changes to skins.?
	
2003-06-15 20:28  chrish

	* viewer/: fullscreenform.c, image.c, image.h, loadbar.c, table.c,
	table.h, uncompress.c (multiimage):

	Changes to support multi-part tables
	
2003-06-15 14:33  prussar

	* viewer/search.c:

	Adjusted percentage indicator for search
	
2003-06-15 11:05  prussar

	* viewer/armlets/search.c:

	Fixed bug in search armlet when called with top != i.  (Problem did not affect current use of search armlet but could affect future uses.)
	
2003-06-15 02:46  prussar

	* viewer/: control.c, control.h, libraryform.c:

	Tab triggers command stroke in library form, too
	
2003-06-14 19:59  adamm

	* viewer/langs/en.rcp:

	Fixed the wording: 'No previous search pattern exists.'
	
2003-06-14 17:58  prussar

	* cygwin.diff, viewer/cygwin.diff:

	Fix up armlet build on cygwin
	
2003-06-14 17:37  prussar

	* README.Cygwin, cygwin.diff, viewer/README.Cygwin,
	viewer/cygwin.diff:

	Added some help for people trying to compile under Cygwin.
	
2003-06-14 17:15  prussar

	* viewer/: const.h, control.c, document.c, document.h,
	fullscreenform.c, hardcopyform.c, mainform.c, paragraph.c,
	paragraph.h, prefsdata.h, search.c, searchform.c, searchxlit.h,
	fonts/fontconv.c, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/ru.rcp, langs/th.rcp,
	langs/tr.rcp:

	Search and autoscroll cache code cleanup.
	Added command stroke control.  Assigned to tab key.
	Made autoscroll speed controlable via paging controls.
	
2003-06-14 17:10  prussar

	* viewer/: Makefile.in, font.c, fontform.c, hires.c, os.c,
	resourceids.h, skins.c, skins.h, viewer.rcp.in:

	Skins and user font support
	
2003-06-14 14:26  prussar

	* viewer/langs/pl.rcp:

	Translated a few more tags
	
2003-06-14 08:30  nordstrom

	* AUTHORS:

	Added Alexander Pruss
	
2003-06-14 04:19  adamm

	* viewer/: Makefile.in, configure.in, const.h, os.c, os.h,
	resourceids.h, search.c, armlets/Makefile.in, armlets/armlets.h,
	armlets/search.c, armlets/search.h:

	Merged the armlets branch into the main trunk.
	
2003-06-13 16:25  adamm

	* viewer/: Makefile.in, configure.in, viewer.rcp.in,
	armlets/Makefile.in, armlets/armlets.h, armlets/search.c:

	Updated the armlet build process to exclude pilrc, objcopy, etc and to use
	build_prc directly.
	
2003-06-12 18:05  nordstrom

	* viewer/: control.c, control.h, paragraph.c, prefsautoscroll.c,
	search.c:

	Updated autoscroll handling (Alexander R. Pruss)
	
2003-06-11 05:42  adamm

	* viewer/search.c:

	Fixed a minor memory leak caused by not closing the armlet properly
	
2003-06-11 03:25  adamm

	* viewer/control.c:

	Fixed a crash cause by jumping back to the library while autoscrolling
	
2003-06-10 20:55  adamm

	* viewer/viewer.rcp.in (multiimage):

	Updated the frmSearch form to use the right size
	
2003-06-10 20:49  adamm

	* viewer/: axxpacimp.c, axxpacimp.h (multiimage):

	Forgot to include new files during the last merge
	
2003-06-10 19:31  adamm

	* viewer/: Makefile.in, anchor.c, configure.in, const.h, control.c,
	debug.c, doclist.c, doclist.h, document.c, font.c, font.h,
	fontform.c, fullscreenform.c, genericfile.c, genericfile.h,
	hires.c, hires.h, jogdial.c, jogdial.h, libraryform.c, loadbar.c,
	mainform.c, os.c, paragraph.c, prefsdata.c, prefsdata.h,
	prefsform.c, prefsjogdial.c, prefslibrary.c, ramfile.c,
	resourceids.h, search.c, table.c, util.c, util.h, vfsfile.c,
	viewer.c, viewer.h, viewer.rcp.in, cleaner/Makefile.in,
	fonts/Makefile.in, fonts/fontconv.c, fonts/fontdata.rcp,
	fonts/fonts.rcp, fonts/smallboldfont_x2.txt,
	fonts/smallfont_x2.txt, fonts/stdfixedfont_x2.txt,
	fonts/tinyboldfont_x2.txt, fonts/tinyfont_x2.txt,
	icons/compactflash_half.bmp, icons/memorystick_half.bmp,
	icons/securedigital_half.bmp, icons/viewersm_half.bmp,
	langs/cs.rcp, langs/da.rcp, langs/de.rcp, langs/en.rcp,
	langs/es.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp, scripts/NFNT2nfnt.pl (multiimage):

	Merged the latest code from the MAIN trunk into multiimage.
	
2003-06-10 17:17  adamm

	* viewer/armlets/search.c:

	file search.c was initially added on branch armlets.
	
2003-06-10 17:17  adamm

	* viewer/armlets/armlets.h:

	file armlets.h was initially added on branch armlets.
	
2003-06-10 17:17  adamm

	* viewer/: Makefile.in, configure.in, const.h, os.c, os.h,
	resourceids.h, search.c, viewer.rcp.in, armlets/Makefile.in,
	armlets/armlets.h, armlets/search.c, armlets/search.h:

	Included Alex Pruss's search armlet plus basic armlet infrastructure.
	
2003-06-10 17:17  adamm

	* viewer/armlets/Makefile.in:

	file Makefile.in was initially added on branch armlets.
	
2003-06-10 17:17  adamm

	* viewer/armlets/search.h:

	file search.h was initially added on branch armlets.
	
2003-06-09 18:09  adamm

	* viewer/cleaner/Makefile.in:

	Removed the -g and -DNEWGCC defines from the Makefile since they're not
	technically necessary.
	
2003-06-09 15:55  adamm

	* viewer/fonts/fontconv.c:

	Added a change from the upstream maintainor: "I found a bug in fontconv.c that
	crashes under Linux/cygwin when widths are expressly specified."
	
2003-06-08 13:25  nordstrom

	* AUTHORS, configure.in, viewer/configure.in, viewer/jogdial.c,
	viewer/jogdial.h, viewer/libraryform.c, viewer/mainform.c,
	viewer/prefsjogdial.c:

	Included Handspring JogDial support
	
2003-06-08 12:42  nordstrom

	* AUTHORS, configure.in, viewer/Makefile.in, viewer/axxpacimp.c,
	viewer/axxpacimp.h, viewer/configure.in, viewer/os.c,
	viewer/vfsfile.c, viewer/viewer.h:

	Included axxpac support; also updated the pre-processor handling
	
2003-06-08 11:57  nordstrom

	* viewer/hires.h:

	Removed the second parameter from the PalmSetCoordinateSystem macro; it was broken after the changes made in the previous revision
	
2003-06-06 23:32  adamm

	* viewer/fonts/: Makefile.in, fontconv.c, fontdata.rcp, fonts.rcp,
	readlrfont.c:

	Replaced readlrfont with fontconv.. overall its more robust. The good thing is
	that fontconv fixes a few bugs which pilrc's font handling introduces.
	
2003-06-06 16:45  adamm

	* viewer/configure.in:

	Updated the configure script to be more robust when detecting cygwin
	
2003-06-04 19:38  adamm

	* viewer/search.c:

	Fixed an issue where searching by multiple terms caused an endless loop
	
2003-06-04 19:14  adamm

	* viewer/: doclist.c, genericfile.c, paragraph.c, viewer.c
	(plucker_1_4):

	Bug fix #648, Viewer crashes on OS5 when accessing docs directly
	
2003-06-04 19:07  adamm

	* viewer/: doclist.c, genericfile.c, paragraph.c, viewer.c:

	Bug fig #648, Viewer crashes on OS5 when accessing docs directly
	
2003-06-04 18:06  nordstrom

	* viewer/control.c (plucker_1_4):

	Bug fix #652,  If HW button is set to 'Autoscroll slower' it will instead do a 'Select next anchor' action
	
2003-06-02 23:18  adamm

	* viewer/: anchor.c, control.c, debug.c, document.c, hires.c,
	hires.h, image.c, mainform.c, util.c, util.h:

	Dropped the INIT/NOINIT parameter from PalmSetCoordinateSystem(). Basically it
	was no longer needed and redundant, plus it was causing unexpected problems
	when it hit onto InitializeViewportBounds()'s WinSetWindowBounds().
	
2003-06-02 22:38  adamm

	* viewer/fonts/smallfont_x2.txt:

	Updated a few inconsistencies in character structures.
	
2003-06-02 16:07  adamm

	* viewer/anchor.c:

	AnchorInViewport() requires native coordinates for it to accurately work on
	palm hires devices.
	
2003-06-02 14:39  nordstrom

	* viewer/: table.c, langs/th.rcp, langs/tr.rcp (plucker_1_4):

	Removed TABs from source files
	
2003-06-02 14:38  nordstrom

	* viewer/libraryform.c (plucker_1_4):

	Bug fix #644, Hard-coded font for document name in library
	
2003-06-01 20:11  adamm

	* viewer/prefslibrary.c (multiimage):

	The library form wasn't updated immediately after changing a library preference.
	
2003-06-01 18:11  nordstrom

	* viewer/doclist.c:

	Changed hard-coded value to a calculated value (same solution I used in 1.4)
	
2003-06-01 17:51  nordstrom

	* viewer/: doclist.c, libraryform.c, table.c, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Removed TABs from source files
	
2003-06-01 17:40  nordstrom

	* viewer/doclist.c (plucker_1_4):

	Bug fix #642,  Function used to update PlkrDocList wouldn't work as intended
	
2003-06-01 13:00  matto

	* viewer/: const.h, doclist.c, doclist.h, genericfile.h,
	libraryform.c, prefsdata.c, prefsdata.h, prefsform.c,
	prefslibrary.c, ramfile.c, resourceids.h, vfsfile.c, viewer.rcp.in,
	fonts/Makefile.in, langs/en.rcp, langs/ja.rcp, langs/sample.rcp:

	Indicate read document by strike-thru.
	
2003-05-31 21:07  adamm

	* viewer/: font.c, fontform.c, hires.c, resourceids.h,
	fonts/Makefile.in, fonts/fonts.rcp:

	Re-worked the building of hires fonts so that it's more cygwin-friendly and
	less hack-like.
	
2003-05-31 19:52  adamm

	* viewer/viewer.rcp.in:

	Adjusted frmMainBottomSonyLow so it fits properly in the screen.
	
2003-05-31 18:53  adamm

	* viewer/: hires.c, hires.h:

	Created wrapper functions for FrmAlert() and FrmCustomAlert() so they display
	properly on palm hires devices that are currently using a 'non-standard'
	coordinate system mode
	
2003-05-31 18:52  adamm

	* viewer/search.c:

	Removed the use of FrmAlert0() becuase it was a nasty hack...
	
2003-05-31 00:09  adamm

	* viewer/libraryform.c:

	Fixed bug #631: scrollbar wasn't using all available space if the silkscreen
	is lowered (NR70 only)
	
2003-05-30 16:26  adamm

	* viewer/fonts/readlrfont.c:

	Changed the fopen commands to use binary mode when reading/writing the binary.
	
2003-05-29 07:54  adamm

	* viewer/: fullscreenform.c, os.c, screen.c, screen.h (multiimage):

	Fixed numerous issues:
	- Replaced the expensive ScreenLock() with a double buffer. That alone helped
	  increase draw speed as well solved a nasty yellowing effect on Tungsten T's
	  in 8bpp mode.
	- Fixed a menu handling issue where the display would get confused if you
	  opened and closed the menu in the fullscreen form without selecting anything.
	- If an image's width/height is less than the screen's size, yet the
	  height/width exceeds the screen,.. you might see ghost images of the scanner.
	  Fixed that.
	
2003-05-25 23:22  adamm

	* viewer/: control.c, font.c, font.h, fontform.c, hires.c, hires.h,
	libraryform.c, mainform.c, prefsdata.h, resourceids.h, util.c,
	viewer.c, viewer.rcp.in, fonts/Makefile.in, fonts/readlrfont.c,
	fonts/smallboldfont_x2.txt, fonts/smallfont_x2.txt,
	fonts/stdfixedfont_x2.txt, fonts/tinyboldfont_x2.txt,
	fonts/tinyfont_x2.txt, icons/compactflash_half.bmp,
	icons/memorystick_half.bmp, icons/securedigital_half.bmp,
	icons/viewersm_half.bmp, scripts/NFNT2nfnt.pl:

	Major updates to the fonts:
	- Finally got the tiny/small fonts to work in OS5 <!>
	- Removed NFNT2nfnt.pl in lieu of readlrfont.c from Bible+ (GPL)
	- Removed the 'bolded' hires fonts from 'Select Font' form to clean up the UI
	- Removed the library sort arrow since it was annoying and took too much space
	
2003-05-24 15:15  nordstrom

	* ChangeLog (plucker_1_4):

	New release 1.4beta1
	
2003-05-24 15:10  nordstrom

	* docs/Makefile.in (plucker_1_4):

	Added options to scale images correctly and also to exclude some gif images
	
2003-05-23 14:50  nordstrom

	* Makefile.maint (plucker_1_4):

	Included general documentation in plucker_docs package
	
2003-05-23 14:49  nordstrom

	* unix/plucker.spec (plucker_1_4):

	Added some more documentation files
	
2003-05-23 14:24  nordstrom

	* tools/pluck-comics/pluck-comics.py.in (plucker_1_4):

	Support for 'no-cache' fetch of the comics (Cameron Stone)
	
2003-05-23 14:21  nordstrom

	* CREDITS, Makefile.in, Makefile.maint, NEWS, README, REQUIREMENTS,
	configure.in, docs/Makefile.in, parser/Makefile.in,
	parser/python/Makefile.in, parser/python/PyPlucker/Makefile.in,
	tools/Makefile.in, tools/explode/Makefile.in,
	tools/pluck-comics/Makefile.in, tools/unpluck/Makefile.in,
	unix/install-plucker, unix/plucker.spec, viewer/configure.in,
	viewer/cleaner/Makefile.in, viewer/fonts/Makefile.in,
	viewer-GTK+2-POSIX/Makefile.in (plucker_1_4):

	Updated for next release
	
2003-05-23 11:13  nordstrom

	* viewer/langs/th.rcp (plucker_1_4):

	Removed obsolete comment
	
2003-05-23 11:12  nordstrom

	* viewer/link.h (plucker_1_4):

	Renamed pre-processor macro
	
2003-05-23 11:09  nordstrom

	* parser/python/PyPlucker/Url.py (plucker_1_4):

	Fix to make all versions of Python treat file:// and plucker:// the same way. (Chris Hawks)
	
2003-05-23 09:55  nordstrom

	* parser/python/PyPlucker/TextParser.py (plucker_1_4):

	Bug fix for #395, TextParser.py chokes on bad colors
	
2003-05-23 05:35  adamm

	* viewer/viewer.rcp.in (multiimage):

	Blocked off the Preferences & Select Font menu items from the fullscreen form
	otherwise we get a crash. Temporary move, alteast until the culprit is found.
	
2003-05-23 05:16  adamm

	* viewer/: control.c, image.c (multiimage):

	Fixed a bug where the device would crash if it tried to open an image and failed
	
2003-05-23 04:33  adamm

	* viewer/: Makefile.in, configure.in, const.h, control.c,
	control.h, document.c, document.h, font.c, hires.c, hires.h,
	libraryform.c, mainform.c, paragraph.c, paragraph.h,
	prefsautoscroll.c, prefsbutton.c, prefsdata.c, prefsdata.h,
	resourceids.h, resultform.c, screen.c, search.c, search.h,
	searchform.c, searchxlit.h, util.c, viewer.c, viewer.rcp.in,
	langs/cs.rcp, langs/da.rcp, langs/de.rcp, langs/en.rcp,
	langs/es.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp (multiimage):

	Merged latest code from the main trunk into the multiimage branch
	
2003-05-23 04:10  adamm

	* viewer/hires.c:

	Updated PalmGetScrollValue() to return a more intelligent value based upon
	device conditions
	
2003-05-23 03:13  adamm

	* viewer/: control.c, control.h, mainform.c, prefsautoscroll.c:

	Altered the autoscroll plus and minus buttons to not only alter the timeout but also the pixel jump.
	
	Also fixed a bug on palm hires devices where the autoscroll wouldn't shut
	itself off once the end of the page was reached.
	
2003-05-22 17:23  adamm

	* viewer/: document.c, externalform.c (multiimage):

	Fixed the issue where the display would fsck up after opening up an
	invalid/unplucked link, subsequently causing a 'chunk under-locked' reset
	
2003-05-22 10:09  nordstrom

	* viewer/prefsdata.c (plucker_1_4):

	Bug fix for wrong conversion from StrCompare to STREQ macro (Alexander R. Pruss)
	
2003-05-22 03:30  adamm

	* viewer/searchxlit.h:

	Added in map to convert latin 1 chars to 7bit ascii
	
2003-05-21 23:07  adamm

	* viewer/mainform.c:

	Included a simple fix that prevents some devices (like the Zire 71) from auto
	powering off when the user has only been using the nav arrows.
	
2003-05-21 21:59  adamm

	* viewer/: const.h, document.c, paragraph.c, prefsdata.c,
	prefsdata.h, resourceids.h, resultform.c, search.c, search.h,
	searchform.c, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Commited Alex Pruss's search engine update/fix patch.
	
2003-05-21 20:00  nordstrom

	* viewer/langs/tr.rcp (plucker_1_4):

	Updated translation (Tufan Oruk)
	
2003-05-21 19:55  adamm

	* viewer/: control.c, document.c:

	Included Alex's patch to honour the links directly after autoscrolling.
	
2003-05-21 16:55  adamm

	* viewer/: control.c, document.c, document.h, paragraph.c,
	paragraph.h:

	Committed another patch from Alex Pruss regarding the autoscroll.
	
2003-05-21 05:11  nordstrom

	* configure.in (plucker_1_4):

	Added missing viewer options
	
2003-05-21 02:08  adamm

	* viewer/: Makefile.in, configure.in:

	Minor change to make building under cygwin a little more pleasant :)
	
2003-05-21 01:56  adamm

	* viewer/: control.c, document.c, paragraph.c, paragraph.h:

	Included Alexander R. Pruss's autoscroll patch.
	
2003-05-19 18:12  adamm

	* viewer/: loadbar.c, loadbar.h (multiimage):

	Apparently WinSaveBits() resets our clipping area and doesn't restore it when
	WinRestoreBits() is called. This caused our images to draw over the toolbar.
	Fixed.
	
2003-05-19 18:10  adamm

	* viewer/debug.h (multiimage):

	I'm sick of debuging RectangleTypes by typing in the whole thing when I need
	it, so I made a RECTANGLE() macro :)
	
2003-05-19 16:06  adamm

	* viewer/uncompress.c (multiimage):

	Fixed a problem caused by recycling image and text types over one another
	caused nasty 'NULL handle' problems.
	
2003-05-17 13:07  nordstrom

	* viewer/langs/da.rcp (plucker_1_4):

	Updated translation (Claus Hindsgaul)
	
2003-05-17 01:34  adamm

	* viewer/fullscreenform.c (multiimage):

	Fix to clear the ghosting effect when viewing images that are smaller than the
	actual screen size under 16bpp. Unfortunatly the flickering is still there :(
	
2003-05-16 17:52  nordstrom

	* viewer/libraryform.c (plucker_1_4):

	- Implements feature request #572, highlight last accessed document.
	- Includes a fix that (hopefully) will make sure that the document
	  list doesn't get out-of-sync.
	
2003-05-16 17:48  nordstrom

	* viewer/: Makefile.in, configure.in (plucker_1_4):

	Since m68k-palmos-cpp has been removed from newer versions of prc-tools,
	the preprocessing is now handled by 'm68k-palmos-gcc -E -x c'
	
2003-05-16 16:48  adamm

	* viewer/: resourceids.h, viewer.c, viewer.rcp.in (multiimage):

	Included a little warning message to be displayed each time the viewer starts. This is a pre-release beta! .. etc etc
	
2003-05-15 15:05  adamm

	* viewer/: cache.c, cache.h, image.c (multiimage):

	Cleaned up what looks like the final major bug in handling images. Before it would eat up storage ram constantly and would only clear itself when you restarted the viewer. Now atleast its smart enough to only chew up what it needs and when its done it'll free up the memory.
	
2003-05-14 06:10  adamm

	* viewer/: hires.c, hires.h:

	Fixed a small bug in identifying the difference between palmHiRes and noHiRes
	
2003-05-14 06:03  adamm

	* viewer/loadbar.h:

	file loadbar.h was initially added on branch multiimage.
	
2003-05-14 06:03  adamm

	* viewer/: Makefile.in, image.c, loadbar.c, loadbar.h (multiimage):

	Added on a neat little loader bar to indiciate image loading progress.
	
2003-05-14 06:03  adamm

	* viewer/loadbar.c:

	file loadbar.c was initially added on branch multiimage.
	
2003-05-14 06:02  adamm

	* viewer/fullscreenform.c (multiimage):

	Added an adjustment to the scanner frame size so that handera looks more like
	the other devices.
	
2003-05-13 00:03  adamm

	* viewer/fullscreenform.c (multiimage):

	Skip the scanner if the image's total area <= the screen's total area
	
2003-05-12 21:48  adamm

	* viewer/: fullscreenform.c, hires.c, hires.h, libraryform.c,
	prefsbutton.c, screen.c, util.c:

	Removed dead code which represented early attempts of handling Sony's version2
	of hires (found only on OS5 devices) .. Generally this is unnecessary because
	it's better off to support Sony OS5 devices with the palmHiRes API anyway.
	
2003-05-12 16:54  adamm

	* viewer/fullscreenform.c (multiimage):

	Squashed a bug which caused the scanner frame area to miscalculate while
	viewing large images.
	
2003-05-12 13:47  adamm

	* viewer/: fullscreenform.c, hires.c, image.c (multiimage):

	Added some better error correction to avoid a crash in the of case memory
	conditions being less than ideal.
	
2003-05-12 06:32  adamm

	* viewer/fullscreenform.c (multiimage):

	Fixed a bug causing the fullscreen form to incorrectly think the image display
	was 50% larger than what it actually was on OS5 devices.
	
	Also, cleaned up a bug in calculating the image's position while panning via
	the little scanner frame.
	
2003-05-12 05:20  adamm

	* viewer/: control.c, document.c, fontform.c, fullscreenform.c,
	hardcopyform.c, hires.c, mainform.c, resourceids.h, silkscreen.c,
	util.c, util.h, viewer.c, viewer.rcp.in (multiimage):

	Fixed a few last remaining bugs causing the display to screw up on handera and
	sony hires devices. All looks good.. ready for public testing.
	
2003-05-11 07:38  adamm

	* viewer/: cache.c, hires.c, hires.h, image.c, image.h
	(multiimage):

	Plugged the cracks and sealed the gaps. It actually looks almost stable :)
	Testing is required on Sony devices though... Handera had a few minor quirks
	but were purely cosmetic (not worth worrying about at this point) but every
	other device seemed to respond well.
	
2003-05-10 21:56  adamm

	* viewer/: cache.c, cache.h, const.h, debug.c, debug.h, image.c,
	image.h, uncompress.c, viewer.c (multiimage):

	Added on the ability for the cache to store its information within the storage
	heap rather than leaving everything stagnant within the dynamic heap. This
	solves our memory-usage problem since data piled up in the dynamic heap which
	wasn't good.
	
	Unfortunatly this solution fails for some dumb reason on OS5 which I still need
	to figure out.
	
	Once this is stable I'll clean up the recycling of uncompressed records. This
	information is useful for a short period but once it is crashed it becomes
	redundant.
	
2003-05-10 16:58  adamm

	* viewer/: debug.c, debug.h, image.c, image.h, uncompress.c,
	langs/en.rcp (multiimage):

	Cleaned up a few memory issues, however loading an image fullscreen still eats away at the dynamic heap like candy. I still need to put it on a diet.
	
2003-04-30 08:28  adamm

	* viewer/: document.c, image.c, uncompress.c, uncompress.h
	(multiimage):

	Set it up so that uncompress handles can now be 'recycled', saving on memory
	allocation. Also, fixed a few nasty issues caused by opening multiple docs that
	just happened to have like reference ids between them.
	
	Things look semi-stable on OS4, but something in OS5 is still causing a silent
	memory leak. Will fix later, time for bed :)
	
2003-04-26 09:47  adamm

	* viewer/: genericfile.c, uncompress.c, uncompress.h (multiimage):

	Fixed a problem were uncompressed records were kept alive long past their
	intended life-span.
	
2003-04-26 09:12  adamm

	* viewer/libraryform.c (multiimage):

	Imported library titlebar fix from HEAD
	
2003-04-22 14:47  adamm

	* viewer/: fullscreenform.c, resourceids.h, viewer.rcp.in,
	icons/arrowdown-8bpp.bmp, icons/arrowdown.bmp,
	icons/arrowleft-8bpp.bmp, icons/arrowleft.bmp,
	icons/arrowright-8bpp.bmp, icons/arrowright.bmp,
	icons/arrowup-8bpp.bmp, icons/arrowup.bmp (multiimage):

	On the fullscreen form, replaced the clumsy arrows in with a little
	scanner-like frame. More calculations are required but now the UI is much
	cleaner.
	
2003-04-18 01:37  adamm

	* viewer/: bookmarkform.c, categoryform.c, control.c,
	detailsform.c, document.c, emailform.c, externalform.c, fontform.c,
	fullscreenform.c, fullscreenform.h, hardcopyform.c, hires.c,
	image.c, image.h, mainform.c, prefsform.c, prefsgeneral.c,
	renamedocform.c, resultform.c, searchform.c, util.h (multiimage):

	Alot of changes applied here.
	
	Namely, most FrmGotoForm()s were changed to FrmPopupForm(), while
	FrmCloseForm()s were changed to FrmReturnToForm(). This was applied everywhere
	except when dealing with the 'main' and 'library' forms. Now things respond a
	bit more faster since that we no longer have to do alot of redundant form
	loading. Also this was a problem when opening some forms from the fullscreen
	form.
	
	Also, due to this change, a few of the extra functions specific to the
	fullscreen form (ie, FsGotoForm()) were made obsolete and cleaned out.
	
	Finally, the whole IsLargeImage() crap was removed thanks in part to the
	FrmPopupForm() and FrmReturnToForm() change as well.
	
2003-04-17 17:05  adamm

	* viewer/image.c (multiimage):

	Fixed a bug which caused sub-images to not line up properly
	
2003-04-15 20:50  adamm

	* docs/: DBFormat.html, images/multiimage_tux.jpg (multiimage):

	Updated the database format doc to include preliminary specifications for the
	multiimage type
	
2003-04-15 20:50  adamm

	* docs/images/multiimage_tux.jpg:

	file multiimage_tux.jpg was initially added on branch multiimage.
	
2003-04-14 15:29  adamm

	* viewer/image.c (multiimage):

	Fixed a small bug in calculating the width while drawing the image inline.
	
2003-04-13 19:38  adamm

	* viewer/: cache.c, cache.h, document.c, fullscreenform.c,
	genericfile.c, image.c, image.h, mainform.c, pluckererror.h,
	resourceids.h, table.c, viewer.c, viewer.rcp.in (multiimage):

	Major re-write of the image/fullscreen/cache to handle multiimage records.
	
2003-04-10 03:54  adamm

	* viewer/libraryform.c (plucker_1_4):

	Fixed a bug preventing the title bar from displaying the menu whenever a user
	clicked on it.
	
2003-04-10 03:51  adamm

	* viewer/libraryform.c:

	Fixed a bug preventing the title bar from displaying the menu whenever a user
	clicked on it.
	
2003-04-10 03:19  adamm

	* viewer/: paragraph.c, search.c, table.c, uncompress.c,
	uncompress.h (multiimage):

	Updated implementation of uncompressing documents. Should be more robust for
	multiimages and embedded tables. Largely untested though :)
	
2003-03-27 02:55  chrish

	* parser/python/PyPlucker/Url.py:

	Fix to make all versions of Python treat file:// and plucker:// the same way.
	
2003-03-27 00:52  adamm

	* viewer/: cache.c, cache.h, document.c, document.h, image.c,
	image.h (multiimage):

	First wave of code to handle the new multiimage record.
	
2003-03-25 02:52  robertoconnor

	* plucker_desktop/Makefile.in:

	Fixed typo in a dir location.
	
2003-03-24 03:06  robertoconnor

	*
	plucker_desktop/resource/plkrdata_setup_wizard/setup_wizard_channel
	s.plkrdata:

	Added the setup wizard channel settings.
	
2003-03-23 23:31  robertoconnor

	* plucker_desktop/Makefile-wx-standalone:

	GTK standalone makefile updated again.
	
2003-03-23 22:00  robertoconnor

	* plucker_desktop/: Makefile-wx-standalone,
	internationalization.cpp, makefile.osx, plucker-desktop.cpp,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, docs/TODO.txt:

	Added XPM handler as needed by GTK.
	GTK standalone makefile updated.
	
2003-03-23 17:25  robertoconnor

	* plucker_desktop/resource/icons_application/application.icns:

	Addition of OSX application icon bundle
	
2003-03-23 17:21  robertoconnor

	* plucker_desktop/: add_channel_wizard.h, blocked_dialog.cpp,
	channel_dialog.cpp, configuration.cpp,
	details_progress_listbox.cpp, exclusion_listctrl.cpp,
	import_controller.cpp, import_controller.h,
	install_viewer_wizard.h, limits_wizardpage.cpp, main_frame.cpp,
	makefile.osx, os_msw.cpp, plucker-desktop.cpp,
	plucker_controller.cpp, plucker_wizard_base.cpp,
	processed_tip_provider.cpp, setup.h, starting_page_wizardpage.cpp,
	startup_tips.cpp, utils_execute.cpp, utils_execute.h,
	utils_string.cpp, docs/PLUCKER_DESKTOP_CHANGELOG.txt,
	docs/TODO.txt, installer/osx/application_bundle_files/Info.plist,
	installer/osx/application_bundle_files/PkgInfo,
	installer/osx/package_manager_files/plucker.packagemanager_settings
	.pmsp, installer/osx/package_manager_files/Resources/License.html,
	installer/osx/package_manager_files/Resources/ReadMe.rtf,
	installer/osx/package_manager_files/Resources/ReadMe.txt,
	installer/osx/package_manager_files/Resources/Welcome.rtf,
	installer/osx/package_manager_files/Resources/background.gif,
	resource/strings_tips/tips.txt, resource/xrc/main_toolbar.xrc:

	[X] Fixed typo in overridable directories.
	
	[X] Some int/long casts updated, so zero warnings.
	
	[X] OSX filled in to proper integration.
	
	[X] On OSX, commented out showing startup tips at startup on OSX in which:
	    - Shows tips, then click close.
	    - After click close, crash.
	    - Doesn't crash if show the tips via the menu.
	
	[X] Tabs at bottom of listctrl in OSX already fixed in wx CVS (HTML editor).
	
	[X] Found out why no toolbar shown on OSX. Looks like flat toolbar style isn't supported yet.
	
2003-03-21 13:01  nordstrom

	* NEWS:

	Added recent changes
	
2003-03-21 13:01  nordstrom

	* FAQ:

	Replaced tab with space
	
2003-03-21 13:00  nordstrom

	* viewer/: configure.in, doclist.c, libraryform.c, prefsdata.c,
	prefsdata.h, prefsform.c, prefslibrary.c, resourceids.h, viewer.c,
	viewer.rcp.in, langs/cs.h, langs/cs.rcp, langs/da.h, langs/da.rcp,
	langs/de.h, langs/de.rcp, langs/en.h, langs/en.rcp, langs/es.h,
	langs/es.rcp, langs/fo.h, langs/fo.rcp, langs/fr.h, langs/fr.rcp,
	langs/it.h, langs/it.rcp, langs/ja.h, langs/ja.rcp, langs/pl.h,
	langs/pl.rcp, langs/ru.h, langs/ru.rcp, langs/sample.h,
	langs/sample.rcp, langs/th.h, langs/th.rcp, langs/tr.h,
	langs/tr.rcp, langs/zh_CN.h, langs/zh_CN.rcp:

	Possible to ignore external card when updating document list
	
2003-03-21 03:31  adamm

	* viewer/: configure.in, silkscreen.h:

	Added preliminary support for Sony Silkscreen SDK
	
2003-03-21 01:59  robertoconnor

	* plucker_desktop/plucker_controller.cpp:

	Minor cosmetic change
	
2003-03-19 00:14  adamm

	* viewer/scripts/fix_sdk.pl:

	Added the GPL license to the fix_sdk perl script
	
2003-03-18 00:52  robertoconnor

	* plucker_desktop/setup_wizard.cpp:

	Need to import setup wizard channels first, before can set the
	destinations/bpp for them.
	
2003-03-18 00:50  robertoconnor

	* plucker_desktop/resource/plkrdata_installation/:
	setup_wizard_channels.plkrdata,
	automatically_installed_channels.plkrdata:

	Installation fixes
	
2003-03-17 19:51  robertoconnor

	* plucker_desktop/installer/msw/plucker-desktop.iss:

	Some fixes for the cross platorm pre-installed channels.
	
2003-03-17 17:52  robertoconnor

	* plucker_desktop/resource/docs/PluckerDesktop.tex:

	Typo fix.
	
2003-03-17 17:43  robertoconnor

	* plucker_desktop/: Makefile-wx-standalone, Makefile.in,
	PluckerDesktop.dsp, about_dialog.cpp, about_dialog.h,
	add_channel_wizard.cpp, add_channel_wizard.h, art_provider.cpp,
	art_provider.h, blocked_dialog.cpp, blocked_dialog.h,
	body_dialog.cpp, body_dialog.h, bookmark_dialog.cpp,
	bookmark_dialog.h, build_progress_dialog.cpp,
	build_progress_dialog.h, build_progress_wrappers.cpp,
	build_progress_wrappers.h, channel_check_listctrl.cpp,
	channel_check_listctrl.h, channel_dialog.cpp, channel_dialog.h,
	channel_list_wizardpage.cpp, channel_list_wizardpage.h,
	channel_listctrl_base.cpp, channel_listctrl_base.h,
	channel_type.cpp, channel_type.h, checkbox_message_dialog.cpp,
	checkbox_message_dialog.h, checkbox_wizardpage.cpp,
	checkbox_wizardpage.h, commandline_parser.cpp,
	commandline_parser.h, configuration.cpp, configuration.h,
	destinations_wizardpage.cpp, destinations_wizardpage.h,
	details_progress_dialog.cpp, details_progress_dialog.h,
	details_progress_listbox.cpp, details_progress_listbox.h,
	editor_dialog.cpp, editor_dialog.h, email_dialog.cpp,
	email_dialog.h, exclusion_dialog.cpp, exclusion_dialog.h,
	exclusion_listctrl.cpp, exclusion_listctrl.h, font_dialog.cpp,
	font_dialog.h, handheld_dest_dialog.cpp, handheld_dest_dialog.h,
	handheld_dest_type.cpp, handheld_dest_type.h,
	handheld_dest_wrappers.cpp, handheld_dest_wrappers.h,
	help_controller.cpp, help_controller.h, hhictrl.cpp, hhictrl.h,
	hr_dialog.cpp, hr_dialog.h, html_tip_dialog.cpp, html_tip_dialog.h,
	hyperlink_dialog.cpp, hyperlink_dialog.h, image_dialog.cpp,
	image_dialog.h, image_list.cpp, image_list.h,
	import_controller.cpp, import_controller.h,
	install_viewer_wizard.cpp, install_viewer_wizard.h,
	internationalization.cpp, internationalization.h,
	limits_wizardpage.cpp, limits_wizardpage.h, main_frame.cpp,
	main_frame.h, main_listctrl.cpp, main_listctrl.h, makefile.b32,
	makefile_filelist.lst, message_wizardpage.cpp,
	message_wizardpage.h, ol_dialog.cpp, ol_dialog.h, os_msw.cpp,
	os_msw.h, palm_installer_base.cpp, palm_installer_base.h,
	palm_installer_gtk.cpp, palm_installer_gtk.h,
	palm_installer_msw.cpp, palm_installer_msw.h, pda_listctrl.cpp,
	pda_listctrl.h, piped_process.cpp, piped_process.h,
	plucker-desktop.cpp, plucker-desktop.h, plucker_controller.cpp,
	plucker_controller.h, plucker_defines.h, plucker_wizard_base.cpp,
	plucker_wizard_base.h, plucker_wizard_wrappers.cpp,
	plucker_wizard_wrappers.h, popup_dialog.cpp, popup_dialog.h,
	preferences_dialog.cpp, preferences_dialog.h,
	process_progress_dialog.cpp, process_progress_dialog.h,
	processed_tip_provider.cpp, processed_tip_provider.h,
	proxy_wizardpage.cpp, proxy_wizardpage.h, setup.h,
	setup_wizard.cpp, setup_wizard.h, showcase_dialog.cpp,
	showcase_dialog.h, showcase_listctrl.cpp, showcase_listctrl.h,
	showcase_splitterwindow.cpp, showcase_splitterwindow.h,
	span_dialog.cpp, span_dialog.h, splashscreen.cpp, splashscreen.h,
	starting_page_wizardpage.cpp, starting_page_wizardpage.h,
	startup_tips.cpp, startup_tips.h, table_dialog.cpp, table_dialog.h,
	td_th_dialog.cpp, td_th_dialog.h, textctrl_wizardpage.cpp,
	textctrl_wizardpage.h, time_control.cpp, time_control.h,
	ul_dialog.cpp, ul_dialog.h, utils_clipboard.cpp, utils_clipboard.h,
	utils_controls.cpp, utils_controls.h, utils_datetime.cpp,
	utils_datetime.h, utils_execute.cpp, utils_execute.h,
	utils_internet.cpp, utils_internet.h, utils_string.cpp,
	utils_string.h, viewer_wizardpage.cpp, viewer_wizardpage.h,
	docs/BUILDING_LINUX_GTK.txt,
	docs/BUILDING_REMOVABLE_WXWINDOWS_ITEMS.txt,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, docs/TODO.txt,
	docs/includes/docs_doxygen_commands.h,
	docs/includes/included_breakdown_cpp.html,
	docs/includes/included_breakdown_h.html,
	installer/msw/customization_defines.h,
	installer/msw/plucker-desktop.iss, langs/sample_po.txt,
	langs/sample_wxstd_po.txt, langs/cs/plucker-desktop.po,
	langs/cs/wxstd.po, langs/da/plucker-desktop.po, langs/da/wxstd.po,
	langs/de/plucker-desktop.po, langs/de/wxstd.po,
	langs/es/plucker-desktop.po, langs/es/wxstd.po,
	langs/fi/plucker-desktop.po, langs/fi/wxstd.po,
	langs/fo/plucker-desktop.po, langs/fo/wxstd.po,
	langs/fr/plucker-desktop.po, langs/fr/wxstd.po,
	langs/it/plucker-desktop.po, langs/it/wxstd.po,
	langs/ja/plucker-desktop.po, langs/ja/wxstd.po,
	langs/nl/plucker-desktop.po, langs/nl/wxstd.po,
	langs/pl/plucker-desktop.po, langs/pl/wxstd.po,
	langs/ru/plucker-desktop.po, langs/ru/wxstd.po,
	langs/sv/plucker-desktop.po, langs/sv/wxstd.po,
	resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb,
	resource/docs/plucker-manual.htb,
	resource/icons_image_list/small_checkbox_checked_icon.xpm,
	resource/icons_image_list/small_checkbox_unchecked_icon.xpm,
	resource/plkrdata_installation/automatically_installed_channels.plk
	rdata,
	resource/plkrdata_installation/automatically_installed_settings.plk
	rdata,
	resource/plkrdata_installation/preconfigured_channels.plkrdata,
	resource/plkrdata_installation/preconfigured_settings.plkrdata,
	unused_source/splash_24bpp.png,
	unused_source/wx_art_help_page_GRAY.png:

	Plucker Desktop 1.2.0.9 (March 17, 2003)
	
	[X] Setup wizard now has a checkbox list of selectable channels to set up.
	    [X] Code
	    [X] Help
	
	[X] db_file and db_name are starting to be deprecated (channel_listctrl).
	
	1.2.0.8 (March 13, 2003)
	
	[X] #pragma interface/implementation removed from Mac, as apparently the August 2002
	    dev tools and OSX Jaguar don't like them (the pragmas are not needed on
	    OSX anyways).
	
	[X] Add Thai translation to list of available viewers (still needs to
	    be added to viewers).
	
	[X] Fix for importation of installation/showcase plkrdata to take all sections, not just
	    the first one.
	
	[X] Linux importation of installation plkrdata implemented.
	
	[X] Mac "About" menuitem relocation uncommented, and better described in
	    comments.
	
	[X] wx translations updated to 2.4.
	
2003-03-16 09:30  nordstrom

	* viewer/font.c:

	Bug fix for #545, Crash every 15th time you start the viewer.
	
	The list handling was incorrect which resulted in too few MemHandleUnlocks.
	
2003-03-12 22:07  chrish

	* parser/python/PyPlucker/PluckerDocs.py:

	Fix for table cells containing only &nbsp;(s)
	
2003-03-12 21:30  chrish

	* viewer/table.c:

	Fix for 'poop' on offscreen table windows pre OS 3.5
	
2003-03-12 19:51  robertoconnor

	* plucker_desktop/installer/msw/: before_install_message.txt,
	customization_defines.h, plucker-desktop.iss:

	Plucker Desktop 1.2.0.7 (Mar 12, 2003)
	
	[X] Help controller will just show a silent debug message if one of the help files
	    is missimg, instead of showing an error message.
	
	[X] Installation settings improved.
	    [X] Code improved.
	    [X] Inno setup improved.
	
	[X] PNGs updated to the more portable XPM, avoiding the hassle of various versions of
	    linked libpng on POSIX.
	
	[X] Toolbar theme now grays out when uncheck the show toolbar checkbox.
	
2003-03-12 19:48  robertoconnor

	* plucker_desktop/: resource/docs/plucker-desktop.htb,
	resource/graphics_dialog/about_dialog_banner.png,
	resource/graphics_dialog/about_dialog_header.png,
	resource/graphics_dialog/about_dialog_header.xpm,
	resource/graphics_dialog/html_tip_dialog_header_lower.png,
	resource/graphics_dialog/html_tip_dialog_header_lower.xpm,
	resource/graphics_dialog/html_tip_dialog_header_upper.png,
	resource/graphics_dialog/html_tip_dialog_header_upper.xpm,
	resource/graphics_dialog/html_tip_dialog_spacer.png,
	resource/graphics_dialog/html_tip_dialog_spacer.xpm,
	resource/graphics_dialog/symbol_dialog_symbols.png,
	resource/graphics_misc/splash.png,
	resource/graphics_misc/splash.xpm,
	resource/graphics_wizard/wizard_main.png,
	resource/graphics_wizard/wizard_main.xpm,
	resource/html_about/about_dialog_simple.htm,
	resource/icons_art_provider/wx_art_add_bookmark.png,
	resource/icons_art_provider/wx_art_add_bookmark.xpm,
	resource/icons_art_provider/wx_art_del_bookmark.png,
	resource/icons_art_provider/wx_art_del_bookmark.xpm,
	resource/icons_art_provider/wx_art_go_back.png,
	resource/icons_art_provider/wx_art_go_back.xpm,
	resource/icons_art_provider/wx_art_go_down.png,
	resource/icons_art_provider/wx_art_go_down.xpm,
	resource/icons_art_provider/wx_art_go_forward.png,
	resource/icons_art_provider/wx_art_go_forward.xpm,
	resource/icons_art_provider/wx_art_go_to_parent.png,
	resource/icons_art_provider/wx_art_go_to_parent.xpm,
	resource/icons_art_provider/wx_art_go_up.png,
	resource/icons_art_provider/wx_art_go_up.xpm,
	resource/icons_art_provider/wx_art_help_book.png,
	resource/icons_art_provider/wx_art_help_book.xpm,
	resource/icons_art_provider/wx_art_help_page.png,
	resource/icons_art_provider/wx_art_help_page.xpm,
	resource/icons_art_provider/wx_art_help_settings.png,
	resource/icons_art_provider/wx_art_help_settings.xpm,
	resource/icons_art_provider/wx_art_help_side_panel.png,
	resource/icons_art_provider/wx_art_help_side_panel.xpm,
	resource/icons_dialog/editor_dialog_toolbar_blockquote.png,
	resource/icons_dialog/editor_dialog_toolbar_blockquote.xpm,
	resource/icons_dialog/editor_dialog_toolbar_body.png,
	resource/icons_dialog/editor_dialog_toolbar_body.xpm,
	resource/icons_dialog/editor_dialog_toolbar_bold.png,
	resource/icons_dialog/editor_dialog_toolbar_bold.xpm,
	resource/icons_dialog/editor_dialog_toolbar_bookmark.png,
	resource/icons_dialog/editor_dialog_toolbar_bookmark.xpm,
	resource/icons_dialog/editor_dialog_toolbar_break.png,
	resource/icons_dialog/editor_dialog_toolbar_break.xpm,
	resource/icons_dialog/editor_dialog_toolbar_center.png,
	resource/icons_dialog/editor_dialog_toolbar_center.xpm,
	resource/icons_dialog/editor_dialog_toolbar_cite.png,
	resource/icons_dialog/editor_dialog_toolbar_cite.xpm,
	resource/icons_dialog/editor_dialog_toolbar_code.png,
	resource/icons_dialog/editor_dialog_toolbar_code.xpm,
	resource/icons_dialog/editor_dialog_toolbar_comment.png,
	resource/icons_dialog/editor_dialog_toolbar_comment.xpm,
	resource/icons_dialog/editor_dialog_toolbar_dd.png,
	resource/icons_dialog/editor_dialog_toolbar_dd.xpm,
	resource/icons_dialog/editor_dialog_toolbar_div_center.png,
	resource/icons_dialog/editor_dialog_toolbar_div_center.xpm,
	resource/icons_dialog/editor_dialog_toolbar_div_left.png,
	resource/icons_dialog/editor_dialog_toolbar_div_left.xpm,
	resource/icons_dialog/editor_dialog_toolbar_div_right.png,
	resource/icons_dialog/editor_dialog_toolbar_div_right.xpm,
	resource/icons_dialog/editor_dialog_toolbar_dl.png,
	resource/icons_dialog/editor_dialog_toolbar_dl.xpm,
	resource/icons_dialog/editor_dialog_toolbar_dt.png,
	resource/icons_dialog/editor_dialog_toolbar_dt.xpm,
	resource/icons_dialog/editor_dialog_toolbar_em.png,
	resource/icons_dialog/editor_dialog_toolbar_em.xpm,
	resource/icons_dialog/editor_dialog_toolbar_font.png,
	resource/icons_dialog/editor_dialog_toolbar_font.xpm,
	resource/icons_dialog/editor_dialog_toolbar_h1.png,
	resource/icons_dialog/editor_dialog_toolbar_h1.xpm,
	resource/icons_dialog/editor_dialog_toolbar_h2.png,
	resource/icons_dialog/editor_dialog_toolbar_h2.xpm,
	resource/icons_dialog/editor_dialog_toolbar_h3.png,
	resource/icons_dialog/editor_dialog_toolbar_h3.xpm,
	resource/icons_dialog/editor_dialog_toolbar_h4.png,
	resource/icons_dialog/editor_dialog_toolbar_h4.xpm,
	resource/icons_dialog/editor_dialog_toolbar_h5.png,
	resource/icons_dialog/editor_dialog_toolbar_h5.xpm,
	resource/icons_dialog/editor_dialog_toolbar_h6.png,
	resource/icons_dialog/editor_dialog_toolbar_h6.xpm,
	resource/icons_dialog/editor_dialog_toolbar_hr.png,
	resource/icons_dialog/editor_dialog_toolbar_hr.xpm,
	resource/icons_dialog/editor_dialog_toolbar_html.png,
	resource/icons_dialog/editor_dialog_toolbar_html.xpm,
	resource/icons_dialog/editor_dialog_toolbar_hyperlink.png,
	resource/icons_dialog/editor_dialog_toolbar_hyperlink.xpm,
	resource/icons_dialog/editor_dialog_toolbar_image.png,
	resource/icons_dialog/editor_dialog_toolbar_image.xpm,
	resource/icons_dialog/editor_dialog_toolbar_italic.png,
	resource/icons_dialog/editor_dialog_toolbar_italic.xpm,
	resource/icons_dialog/editor_dialog_toolbar_list_element.png,
	resource/icons_dialog/editor_dialog_toolbar_list_element.xpm,
	resource/icons_dialog/editor_dialog_toolbar_mailto.png,
	resource/icons_dialog/editor_dialog_toolbar_mailto.xpm,
	resource/icons_dialog/editor_dialog_toolbar_menu.png,
	resource/icons_dialog/editor_dialog_toolbar_menu.xpm,
	resource/icons_dialog/editor_dialog_toolbar_meta_handheldfriendly.p
	ng,
	resource/icons_dialog/editor_dialog_toolbar_meta_handheldfriendly.x
	pm, resource/icons_dialog/editor_dialog_toolbar_nbsp.png,
	resource/icons_dialog/editor_dialog_toolbar_nbsp.xpm,
	resource/icons_dialog/editor_dialog_toolbar_ordered_list.png,
	resource/icons_dialog/editor_dialog_toolbar_ordered_list.xpm,
	resource/icons_dialog/editor_dialog_toolbar_paragraph.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph.xpm,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_center.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_center.xpm,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_full.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_full.xpm,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_left.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_left.xpm,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_right.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_right.xpm,
	resource/icons_dialog/editor_dialog_toolbar_popup.png,
	resource/icons_dialog/editor_dialog_toolbar_popup.xpm,
	resource/icons_dialog/editor_dialog_toolbar_preformatted.png,
	resource/icons_dialog/editor_dialog_toolbar_preformatted.xpm,
	resource/icons_dialog/editor_dialog_toolbar_q.png,
	resource/icons_dialog/editor_dialog_toolbar_q.xpm,
	resource/icons_dialog/editor_dialog_toolbar_small.png,
	resource/icons_dialog/editor_dialog_toolbar_small.xpm,
	resource/icons_dialog/editor_dialog_toolbar_span.png,
	resource/icons_dialog/editor_dialog_toolbar_span.xpm,
	resource/icons_dialog/editor_dialog_toolbar_strike.png,
	resource/icons_dialog/editor_dialog_toolbar_strike.xpm,
	resource/icons_dialog/editor_dialog_toolbar_strong.png,
	resource/icons_dialog/editor_dialog_toolbar_strong.xpm,
	resource/icons_dialog/editor_dialog_toolbar_sub.png,
	resource/icons_dialog/editor_dialog_toolbar_sub.xpm,
	resource/icons_dialog/editor_dialog_toolbar_sup.png,
	resource/icons_dialog/editor_dialog_toolbar_sup.xpm,
	resource/icons_dialog/editor_dialog_toolbar_symbol.png,
	resource/icons_dialog/editor_dialog_toolbar_table.png,
	resource/icons_dialog/editor_dialog_toolbar_table.xpm,
	resource/icons_dialog/editor_dialog_toolbar_td.png,
	resource/icons_dialog/editor_dialog_toolbar_td.xpm,
	resource/icons_dialog/editor_dialog_toolbar_th.png,
	resource/icons_dialog/editor_dialog_toolbar_th.xpm,
	resource/icons_dialog/editor_dialog_toolbar_tr.png,
	resource/icons_dialog/editor_dialog_toolbar_tr.xpm,
	resource/icons_dialog/editor_dialog_toolbar_tt.png,
	resource/icons_dialog/editor_dialog_toolbar_tt.xpm,
	resource/icons_dialog/editor_dialog_toolbar_underline.png,
	resource/icons_dialog/editor_dialog_toolbar_underline.xpm,
	resource/icons_dialog/editor_dialog_toolbar_unordered_list.png,
	resource/icons_dialog/editor_dialog_toolbar_unordered_list.xpm,
	resource/icons_dialog/main_frame_toolbar_add_channel.png,
	resource/icons_dialog/main_frame_toolbar_add_channel.xpm,
	resource/icons_dialog/main_frame_toolbar_add_channel_high.png,
	resource/icons_dialog/main_frame_toolbar_add_channel_high.xpm,
	resource/icons_dialog/main_frame_toolbar_add_channel_wizard.png,
	resource/icons_dialog/main_frame_toolbar_add_channel_wizard.xpm,
	resource/icons_dialog/main_frame_toolbar_add_channel_wizard_high.pn
	g,
	resource/icons_dialog/main_frame_toolbar_add_channel_wizard_high.xp
	m, resource/icons_dialog/main_frame_toolbar_configure_channel.png,
	resource/icons_dialog/main_frame_toolbar_configure_channel.xpm,
	resource/icons_dialog/main_frame_toolbar_configure_channel_high.png
	,
	resource/icons_dialog/main_frame_toolbar_configure_channel_high.xpm
	, resource/icons_dialog/main_frame_toolbar_delete_channel.png,
	resource/icons_dialog/main_frame_toolbar_delete_channel.xpm,
	resource/icons_dialog/main_frame_toolbar_delete_channel_high.png,
	resource/icons_dialog/main_frame_toolbar_delete_channel_high.xpm,
	resource/icons_dialog/main_frame_toolbar_preferences.png,
	resource/icons_dialog/main_frame_toolbar_preferences.xpm,
	resource/icons_dialog/main_frame_toolbar_preferences_high.png,
	resource/icons_dialog/main_frame_toolbar_preferences_high.xpm,
	resource/icons_dialog/main_frame_toolbar_update_all.png,
	resource/icons_dialog/main_frame_toolbar_update_all.xpm,
	resource/icons_dialog/main_frame_toolbar_update_all_high.png,
	resource/icons_dialog/main_frame_toolbar_update_all_high.xpm,
	resource/icons_dialog/main_frame_toolbar_update_due.png,
	resource/icons_dialog/main_frame_toolbar_update_due.xpm,
	resource/icons_dialog/main_frame_toolbar_update_due_high.png,
	resource/icons_dialog/main_frame_toolbar_update_due_high.xpm,
	resource/icons_dialog/main_frame_toolbar_update_selected.png,
	resource/icons_dialog/main_frame_toolbar_update_selected.xpm,
	resource/icons_dialog/main_frame_toolbar_update_selected_high.png,
	resource/icons_dialog/main_frame_toolbar_update_selected_high.xpm,
	resource/icons_dialog/progress_dialog.png,
	resource/icons_dialog/progress_dialog.xpm,
	resource/xrc/about_simple_dialog.xrc,
	resource/xrc/details_progress_dialog.xrc,
	resource/xrc/editor_dialog.xrc, resource/xrc/main_toolbar.xrc,
	resource/xrc/progress_dialog.xrc, resource/plucker_showcase.htm,
	resource/plkrdata_installation/preconfigured_channels.plkrdata,
	resource/plkrdata_installation/preconfigured_settings.plkrdata,
	resource/plkrdata_showcase/showcase.htm,
	langs/da/plucker-desktop.po, langs/da/wxstd.po:

	Plucker Desktop 1.2.0.7 (Mar 12, 2003)
	
	[X] Help controller will just show a silent debug message if one of the help files
	    is missimg, instead of showing an error message.
	
	[X] Installation settings improved.
	    [X] Code improved.
	    [X] Inno setup improved.
	
	[X] PNGs updated to the more portable XPM, avoiding the hassle of various versions of
	    linked libpng on POSIX.
	
	[X] Toolbar theme now grays out when uncheck the show toolbar checkbox.
	
2003-03-11 22:03  chrish

	* viewer/paragraph.c:

	Quick fix for errant anchors sometimes bleeding past their bounds.
	
2003-03-09 01:45  robertoconnor

	* plucker_desktop/langs/: sample_po.txt, cs/plucker-desktop.po,
	da/plucker-desktop.po, de/plucker-desktop.po,
	es/plucker-desktop.po, fi/plucker-desktop.po,
	fo/plucker-desktop.po, fr/plucker-desktop.po,
	it/plucker-desktop.po, ja/plucker-desktop.po,
	nl/plucker-desktop.po, pl/plucker-desktop.po,
	ru/plucker-desktop.po, sv/plucker-desktop.po:

	Plucker Desktop 1.2.0.6 (Mar 9, 2003)
	
	[X] Updated to wxWindows 2.4.0
	        [X] Updated REQUIREMENTS
	        [X] code update (only a DirExists update to wxDirExists in plucker_installer_msw.cpp).
	        [X] An XRC update to editor for changing size of textctrl when change dialog size.
	
	[X] Tips rewritten with a preprocessor instead of separate files.
	
	[X] Added 'If not sure if have a proxy then just click next' to proxy setup wizard.
	
	[X] Online help frame now has a correct help icon.
	
	[X] Low-res toolbar has more generic icon.
	
	[X] Tables support added (with a default of tables enabled).
	    [X] XRC
	    [X] Code
	    [X] Help
	
	[X] Improved customization ability.
	
	[X] Frame icon now loads from file.
	        [X] Code change
	        [X] Update MSW install script to include the new icons
	        [X] Update Linux install script to include the new icons
	
	[X] HTML editor updates:
	    [X] Icons improved to fit with rest of application.
	    [X] Addition of superscript, subscript, tt, blockquote, small buttons to toolbar.
	    [X] Corrections: q button now inserts as q, not quote. Table border color
	        now inserts as "bordercolor" not "border color".
	    [X] Addition of td and th dialogs, which support alignment, colspan, rowspan.
	
	[X] MSVC makefile updated.
	
	[X] Fix for close-app-while-minimized redisplaying main window offscreen.
	
	[X] Image list now loads at runtime.
	
2003-03-09 01:40  robertoconnor

	* plucker_desktop/: resource/docs/PluckerDesktop.tex,
	resource/docs/Tex2Rtf.ini, resource/docs/plucker-desktop.htb,
	resource/graphics_misc/splash_no_beta.png,
	resource/html_about/plucker_desktop_credits.htm,
	resource/html_about/plucker_desktop_translators.htm,
	resource/icons_application/application.ico,
	resource/icons_application/application_16x16.xpm,
	resource/icons_application/application_32x32.xpm,
	resource/icons_application/application_48x48.xpm,
	resource/icons_application/application_64x64.xpm,
	resource/icons_application/plucker-desktop.ico,
	resource/icons_application/plucker-desktop.xpm,
	resource/icons_dialog/editor_dialog_toolbar_blockquote.png,
	resource/icons_dialog/editor_dialog_toolbar_body.png,
	resource/icons_dialog/editor_dialog_toolbar_bold.png,
	resource/icons_dialog/editor_dialog_toolbar_bookmark.png,
	resource/icons_dialog/editor_dialog_toolbar_break.png,
	resource/icons_dialog/editor_dialog_toolbar_center.png,
	resource/icons_dialog/editor_dialog_toolbar_cite.png,
	resource/icons_dialog/editor_dialog_toolbar_code.png,
	resource/icons_dialog/editor_dialog_toolbar_comment.png,
	resource/icons_dialog/editor_dialog_toolbar_dd.png,
	resource/icons_dialog/editor_dialog_toolbar_div_center.png,
	resource/icons_dialog/editor_dialog_toolbar_div_left.png,
	resource/icons_dialog/editor_dialog_toolbar_div_right.png,
	resource/icons_dialog/editor_dialog_toolbar_dl.png,
	resource/icons_dialog/editor_dialog_toolbar_dt.png,
	resource/icons_dialog/editor_dialog_toolbar_em.png,
	resource/icons_dialog/editor_dialog_toolbar_font.png,
	resource/icons_dialog/editor_dialog_toolbar_h1.png,
	resource/icons_dialog/editor_dialog_toolbar_h2.png,
	resource/icons_dialog/editor_dialog_toolbar_h3.png,
	resource/icons_dialog/editor_dialog_toolbar_h4.png,
	resource/icons_dialog/editor_dialog_toolbar_h5.png,
	resource/icons_dialog/editor_dialog_toolbar_h6.png,
	resource/icons_dialog/editor_dialog_toolbar_hr.png,
	resource/icons_dialog/editor_dialog_toolbar_html.png,
	resource/icons_dialog/editor_dialog_toolbar_hyperlink.png,
	resource/icons_dialog/editor_dialog_toolbar_image.png,
	resource/icons_dialog/editor_dialog_toolbar_italic.png,
	resource/icons_dialog/editor_dialog_toolbar_list_element.png,
	resource/icons_dialog/editor_dialog_toolbar_mailto.png,
	resource/icons_dialog/editor_dialog_toolbar_menu.png,
	resource/icons_dialog/editor_dialog_toolbar_meta_handheldfriendly.p
	ng, resource/icons_dialog/editor_dialog_toolbar_nbsp.png,
	resource/icons_dialog/editor_dialog_toolbar_ordered_list.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_center.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_full.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_left.png,
	resource/icons_dialog/editor_dialog_toolbar_paragraph_right.png,
	resource/icons_dialog/editor_dialog_toolbar_popup.png,
	resource/icons_dialog/editor_dialog_toolbar_preformatted.png,
	resource/icons_dialog/editor_dialog_toolbar_q.png,
	resource/icons_dialog/editor_dialog_toolbar_quote.png,
	resource/icons_dialog/editor_dialog_toolbar_small.png,
	resource/icons_dialog/editor_dialog_toolbar_span.png,
	resource/icons_dialog/editor_dialog_toolbar_strike.png,
	resource/icons_dialog/editor_dialog_toolbar_strong.png,
	resource/icons_dialog/editor_dialog_toolbar_sub.png,
	resource/icons_dialog/editor_dialog_toolbar_sup.png,
	resource/icons_dialog/editor_dialog_toolbar_table.png,
	resource/icons_dialog/editor_dialog_toolbar_td.png,
	resource/icons_dialog/editor_dialog_toolbar_th.png,
	resource/icons_dialog/editor_dialog_toolbar_tr.png,
	resource/icons_dialog/editor_dialog_toolbar_tt.png,
	resource/icons_dialog/editor_dialog_toolbar_underline.png,
	resource/icons_dialog/editor_dialog_toolbar_unordered_list.png,
	resource/icons_dialog/main_frame_toolbar_preferences.png,
	resource/strings_tips/plucker_advanced_tips.txt,
	resource/strings_tips/plucker_basic_tips.txt,
	resource/strings_tips/rubber_chicken_trivia.txt,
	resource/strings_tips/tips.txt, resource/xrc/about_dialog.xrc,
	resource/xrc/about_simple_dialog.xrc,
	resource/xrc/channel_dialog.xrc, resource/xrc/editor_dialog.xrc,
	resource/xrc/main_frame.xrc, resource/xrc/main_menubar.xrc,
	resource/xrc/preferences_dialog.xrc,
	resource/xrc/showcase_dialog.xrc,
	unused_source/details_progress_dialog_msw_commandline_progress_deat
	h_works.cpp:

	Plucker Desktop 1.2.0.6 (Mar 9, 2003)
	
	[X] Updated to wxWindows 2.4.0
	        [X] Updated REQUIREMENTS
	        [X] code update (only a DirExists update to wxDirExists in plucker_installer_msw.cpp).
	        [X] An XRC update to editor for changing size of textctrl when change dialog size.
	
	[X] Tips rewritten with a preprocessor instead of separate files.
	
	[X] Added 'If not sure if have a proxy then just click next' to proxy setup wizard.
	
	[X] Online help frame now has a correct help icon.
	
	[X] Low-res toolbar has more generic icon.
	
	[X] Tables support added (with a default of tables enabled).
	    [X] XRC
	    [X] Code
	    [X] Help
	
	[X] Improved customization ability.
	
	[X] Frame icon now loads from file.
	        [X] Code change
	        [X] Update MSW install script to include the new icons
	        [X] Update Linux install script to include the new icons
	
	[X] HTML editor updates:
	    [X] Icons improved to fit with rest of application.
	    [X] Addition of superscript, subscript, tt, blockquote, small buttons to toolbar.
	    [X] Corrections: q button now inserts as q, not quote. Table border color
	        now inserts as "bordercolor" not "border color".
	    [X] Addition of td and th dialogs, which support alignment, colspan, rowspan.
	
	[X] MSVC makefile updated.
	
	[X] Fix for close-app-while-minimized redisplaying main window offscreen.
	
	[X] Image list now loads at runtime.
	
2003-03-09 01:35  robertoconnor

	* plucker_desktop/: Makefile-wx-standalone, about_dialog.cpp,
	build_progress_dialog.cpp, channel_dialog.cpp,
	commandline_parser.cpp, configuration.cpp, editor_dialog.cpp,
	editor_dialog.h, exclusion_dialog.cpp, handheld_dest_wrappers.cpp,
	help_controller.cpp, hhictrl.cpp, html_tip_dialog.cpp,
	image_list.cpp, image_list.h, install_viewer_wizard.cpp,
	main_frame.cpp, main_frame.h, main_listctrl.cpp, makefile.b32,
	makefile_filelist.lst, palm_installer_msw.cpp, plucker-desktop.cpp,
	plucker-desktop.rc, plucker_controller.cpp, PluckerDesktop.dsp,
	README.txt, plucker_defines.h, plucker_wizard_wrappers.cpp,
	preferences_dialog.cpp, preferences_dialog.h,
	processed_tip_provider.cpp, processed_tip_provider.h,
	proxy_wizardpage.cpp, setup.h, setup_wizard.cpp, startup_tips.cpp,
	startup_tips.h, table_dialog.cpp, utils_controls.cpp,
	utils_string.cpp, viewer_wizardpage.cpp,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, docs/TODO.txt,
	installer/msw/plucker-desktop.iss:

	Plucker Desktop 1.2.0.6 (Mar 9, 2003)
	
	[X] Updated to wxWindows 2.4.0
	        [X] Updated REQUIREMENTS
	        [X] code update (only a DirExists update to wxDirExists in plucker_installer_msw.cpp).
	        [X] An XRC update to editor for changing size of textctrl when change dialog size.
	
	[X] Tips rewritten with a preprocessor instead of separate files.
	
	[X] Added 'If not sure if have a proxy then just click next' to proxy setup wizard.
	
	[X] Online help frame now has a correct help icon.
	
	[X] Low-res toolbar has more generic icon.
	
	[X] Tables support added (with a default of tables enabled).
	    [X] XRC
	    [X] Code
	    [X] Help
	
	[X] Improved customization ability.
	
	[X] Frame icon now loads from file.
	        [X] Code change
	        [X] Update MSW install script to include the new icons
	        [X] Update Linux install script to include the new icons
	
	[X] HTML editor updates:
	    [X] Icons improved to fit with rest of application.
	    [X] Addition of superscript, subscript, tt, blockquote, small buttons to toolbar.
	    [X] Corrections: q button now inserts as q, not quote. Table border color
	        now inserts as "bordercolor" not "border color".
	    [X] Addition of td and th dialogs, which support alignment, colspan, rowspan.
	
	[X] MSVC makefile updated.
	
	[X] Fix for close-app-while-minimized redisplaying main window offscreen.
	
	[X] Image list now loads at runtime.
	
2003-03-07 18:53  adamm

	* viewer/fonts/stdfixedfont_x2.txt:

	Finished fonts 20-32 & 160-255. As well, filled in 128-159 with blank spaces
	(I'll finish them later:)
	
2003-03-07 08:10  adamm

	* viewer/: font.c, font.h, hires.c, os.c:

	Added the framework to intelligently load into memory only the fonts that the
	device actually needs. As well, added the ability for the new standard
	fixed-width 144 dpi font to be available for Sony devices only.
	
	I havn't yet 'flipped the switch' for OS5 fonts as the NFNT2nfnt.pl script
	requires more debugging. I doesn't quite produce a reliable 'nfnt' resource
	yet :)
	
2003-03-07 06:43  adamm

	* viewer/libraryform.c:

	If a display font is larger than the bold font in the library, the icon would
	get cut by a WinSetClip() focusing on the wrong area. Minor cosmetic fix.
	
2003-03-07 06:19  adamm

	* viewer/: resourceids.h, fonts/Makefile.in, fonts/fonts.rcp,
	fonts/smallboldfont_x2.txt, fonts/smallfont_x2.txt,
	fonts/stdfixedfont_x2.txt, fonts/tinyboldfont_x2.txt,
	fonts/tinyfont_x2.txt:

	Added on additional 144 dpi fonts to serve two tasks. They're necessary to
	display sub-stdFont-sized fonts on OS5 devices. As well, some are needed to
	display a properly-sized fixed-width font for hires devices. (Apparently,
	narrowFixedFont appears too small on pre OS5 Sonys)
	
2003-03-04 16:10  robertoconnor

	* REQUIREMENTS:

	Updated requirements for Plucker Desktop.
	
2003-03-04 14:42  desrod

	* tools/explode/explode.c:

	HTML comments do not end with --!>
	
2003-03-03 14:16  nordstrom

	* viewer/genericfile.c:

	Bug fix for #516, makes sure that the array with uids for the reserved records is reset
	
2003-02-27 20:31  adamm

	* viewer/: externalform.c, fontform.c, fullscreenform.c, jogdial.c,
	jogdial.h, libraryform.c, mainform.c, prefsdata.c, prefsform.c,
	prefsjogdial.c:

	Renamed all references of JogDial.* to Jogdial
	
2003-02-27 18:33  adamm

	* viewer/: jogdial.c, jogdial.h:

	Set it up so that JogAssist is temporarily re-enabled but only for the duration
	of FrmHelp() function calls.
	
2003-02-27 17:18  chrish

	* parser/python/PyPlucker/Spider.py:

	Added check for tempfile.template before attempting to remove tmp files.
	
2003-02-27 12:19  nordstrom

	* BUGREPORT, ChangeLog, FAQ, configure.in, docs/FAQ.sgml,
	viewer/Makefile.in, viewer/README, viewer/bookmark.c,
	viewer/bookmarkform.c, viewer/categoryform.c, viewer/configure.in,
	viewer/detailsform.c, viewer/doclist.c, viewer/document.c,
	viewer/emailform.c, viewer/externalform.c, viewer/fontform.c,
	viewer/fullscreenform.c, viewer/genericfile.c,
	viewer/libraryform.c, viewer/mainform.c, viewer/metadocument.c,
	viewer/prefsautoscroll.c, viewer/prefsbutton.c,
	viewer/prefscontrol.c, viewer/prefsform.c, viewer/prefsgeneral.c,
	viewer/prefsgesture.c, viewer/prefshardcopy.c,
	viewer/prefsjogdial.c, viewer/prefslibrary.c,
	viewer/renamedocform.c, viewer/resultform.c, viewer/searchform.c,
	viewer/silkscreen.c, viewer/uncompress.c, viewer/util.c,
	viewer/viewer.c, viewer/viewer.h:

	Removed support for obsolete A4 based version of prc-tools
	
2003-02-26 20:25  adamm

	* viewer/fonts/fonts.rcp:

	Set narrowBoldFontID to properly use narrowboldfont.txt
	
2003-02-26 20:16  adamm

	* viewer/: Makefile.in, configure.in, viewer.rcp.in,
	fonts/Makefile.in, fonts/fonts.rcp, scripts/NFNT2nfnt.pl:

	Modified the inclusion of fonts so that 'NFNT' fonts are automatically
	translated into their 'nfnt' counterparts for handling extended font families
	on OS5 devices.
	
2003-02-26 13:25  nordstrom

	* FAQ, REQUIREMENTS, configure.in, docs/FAQ.sgml,
	viewer/configure.in:

	John Marshall's patch for prc-tools reference
	
2003-02-26 01:46  chrish

	* viewer/: table.c, uncompress.c, uncompress.h:

	Changes for better uncompression for nested tables.
	
2003-02-24 01:06  adamm

	* REQUIREMENTS:

	Updated min-requirements to state SDK5 instead of SDK4
	
2003-02-24 01:03  adamm

	* viewer/configure.in:

	Fixed a logic syntax issue.
	
2003-02-23 19:22  adamm

	* viewer/: fullscreenform.c, fullscreenform.h, os.c, screen.c,
	screen.h:

	Reduced the flicker caused by holding down the pen on an image when moving it.
	Also, moved the ScreenLock/Unlock functions into screen.c
	
2003-02-23 17:48  nordstrom

	* viewer/: cache.c, control.c, font.c, fullscreenform.c,
	fullscreenform.h, hardcopyform.c, hardcopyform.h, hires.c,
	jogdial.c, paragraph.c, prefsform.c, screen.c, silkscreen.c,
	table.c, timeout.c, util.c, viewer.c:

	Trivial updates (cleaned up comments, etc.)
	
2003-02-23 14:50  nordstrom

	* viewer/: prefsbrowsing.c, prefsform.c, prefsgeneral.c,
	resourceids.h, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Major cleanup
	
2003-02-23 02:55  desrod

	* INSTALL:

	Updated INSTALL to document using autoreconf and then configure, not just
	running configure first.
	
2003-02-23 02:38  adamm

	* viewer/prefsdata.c:

	Added in some default values for the arrow keys
	
2003-02-23 00:08  adamm

	* viewer/: viewer.c, viewer.h:

	Fixed a nasty bug on OS5 devices which cause a crash the Open command was given
	via the library's icon popup but only if it were just called from within an
	event timeout. Go figure.
	
	For some reason OS4 and earlier devices didn't seem to care and let everything
	continue happily away! :)
	
2003-02-22 21:37  adamm

	* viewer/os.c:

	In order for the Tungsten T to be identified as an OS5 device, the constant
	value being used had to be changed from sysROMStageRelease to
	sysROMStageDevelopment!  Sounds like someone at Palm forgot to fix that :)
	
2003-02-22 21:12  adamm

	* viewer/: jogdial.c, os.c:

	The Jogdial and Silkscreen functions only need to run if we're on OS3.5 or
	later.
	
2003-02-22 21:07  adamm

	* viewer/os.c:

	Updated the OS-specific function comments to reflect more accurately what they
	are doing
	
2003-02-22 16:30  nordstrom

	* viewer/: libraryform.c, libraryform.h:

	Simplified scroll code (again)
	
2003-02-22 14:41  nordstrom

	* ChangeLog, Makefile.in, docs/Parser.tex:

	Fixed minor typo
	
2003-02-22 14:33  nordstrom

	* viewer/: cache.c, jogdial.c, os.c, os.h, viewer.c, viewer.h:

	Changes to use new functions from os.c
	
2003-02-22 13:52  nordstrom

	* viewer/: control.c, font.c, fontform.c, fullscreenform.c,
	fullscreenform.h, genericfile.c, image.c, image.h, libraryform.c,
	mainform.c, os.c, os.h, prefsbrowsing.c, prefsdata.c, prefsdata.h,
	prefsform.c, prefsgeneral.c, resourceids.h, util.c, vfsfile.c,
	viewer.c, viewer.h, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Updated OS handling and added option to disable "back" button and arrows
	in fullscreen form.
	
2003-02-22 13:46  nordstrom

	* plucker_desktop/langs/da/plucker-desktop.po:

	Updated translation (Claus Hindsgaul)
	
2003-02-22 00:20  adamm

	* viewer/fullscreenform.c:

	Initially flickering was prevented while viewing an image by drawing first to a
	temporary window, then copying the window to the screen. This was too slow :)
	Changed it to instead use WinScreenLock() for OS >= 3.5 devices. For others,
	live with the flicker :)
	
2003-02-21 20:08  robertoconnor

	* plucker_desktop/langs/de/plucker-desktop.po:

	Plucker Desktop German Translation added.
	
2003-02-21 18:06  matto

	* plucker_desktop/langs/ja/plucker-desktop.po:

	Japanese translation created by Kazu <kazutaka@dc4.so-net.ne.jp>
	
2003-02-20 23:04  adamm

	* viewer/: Makefile.in, mainform.c, prefsbrowsing.c,
	prefsbrowsing.h, prefsdata.c, prefsdata.h, prefsform.c,
	prefsgeneral.c, resourceids.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Changed the 'dynamic scrollbar update' into a preference setting. Unfortunatly
	the general preferences section was completly full and there was no place to
	fit it into the form. Instead I split general in half and classified the
	remaining into the new browser preferences section :)
	
2003-02-20 16:49  adamm

	* viewer/prefsjogdial.c:

	Fixed a spelling mistake in a macro call.
	
2003-02-20 14:30  nordstrom

	* viewer/: prefsbutton.c, prefscontrol.c, prefsgesture.c,
	prefsjogdial.c, viewer.rcp.in:

	Added back improved list handling
	
2003-02-20 14:28  nordstrom

	* viewer/viewer.c:

	Added back event handler for copy-to-memo feature or it won't be possible to copy text in dialog mode
	
2003-02-20 11:52  adamm

	* viewer/: cache.c, cache.h, hires.c, image.c, screen.c:

	Added on an image optimization function that conforms an image to the device
	it's being viewed on. The end result is faster loading/redraw times and less
	memory being used.
	
2003-02-20 10:00  adamm

	* viewer/mainform.c:

	Had to remove the call to SetDefaultScreenMode() when closing the mainform.
	This seems to have an adverse effect on cached images and with their
	optimizations.
	
2003-02-20 08:40  adamm

	* viewer/: image.c, os.c, os.h, screen.c, screen.h:

	Since each recent version of the PalmOS has its own blitter, it's smart enough
	to format an image for a higher bitdepth to display properly on a device that
	has a lower bitdepth. The end result is a .pdb with 16bpp images can be viewed
	properly on a max 4bpp device (provided its running PalmOS 4 or greater :)..
	Similar exchanges now happen with OS3.5 (max 8bpp), OS3.3 (max 4bpp), OS3 (max
	2bpp).
	
2003-02-19 14:00  chrish

	* parser/python/PyPlucker/: ConversionParser.py, Spider.py:

	Re-wrote temp file removal.
	
2003-02-18 22:10  chrish

	* parser/python/PyPlucker/: ConversionParser.py, Spider.py:

	Changes for better Winders temp names.
	
2003-02-18 18:31  adamm

	* viewer/Makefile.in:

	make distclean should remove bluetooth_sdk as well
	
2003-02-18 17:35  adamm

	* viewer/: viewer.rcp.in, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Updated language definitions for the preferences sections' pulldown
	
2003-02-18 01:29  chrish

	* parser/python/PyPlucker/Parser.py:

	Aarrgghh! Missed removing an errant line.
	
2003-02-18 01:28  chrish

	* parser/defaults/pluckerrc.sample:

	Added comments for worddoc_converter entry.
	
2003-02-18 01:12  chrish

	* parser/python/PyPlucker/: ConversionParser.py, Parser.py,
	Spider.py:

	Addition of Bill N's code to comvert Word docs to PluckerTextDocs.
	
2003-02-17 23:55  adamm

	* viewer/: document.c, fullscreenform.c, hires.c, hires.h, image.c:

	Fixed a nasty SOB bug which caused the coordinate system to get severly distorted after viewing a fullscreen image on OS5.
	
2003-02-17 22:09  adamm

	* viewer/hires.c:

	In order to view images on OS5 devices, we need to convert them to
	doubleDensity mode. However, the function that does that doesn't like RLE or
	ScanLine compressed images.
	
	Fixed this by creating a fresh new bitmap in a subwindow as a copy of the
	compressed image, then converting that one into doubleDensity mode. Seems to
	work :)
	
2003-02-16 16:06  robertoconnor

	* plucker_desktop/: README.txt, channel_dialog.cpp,
	exclusion_dialog.cpp, exclusion_dialog.h, handheld_dest_type.cpp,
	handheld_dest_wrappers.cpp, hhictrl.cpp, main_frame.cpp,
	main_listctrl.cpp, main_listctrl.h, plucker-desktop.cpp,
	plucker-desktop.h, plucker_defines.h, setup.h, utils_controls.cpp,
	utils_string.cpp, docs/BUILDING_MSW_BORLAND.txt,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, docs/TODO.txt,
	installer/msw/plucker-desktop.iss:

	Plucker Desktop 1.2.0.5 (Feb 16, 2003):
	
	[X] Fixed a double-clearing-of-array on closing of handheld destination
	    dialog [which manifest as instability after a few times].
	
	[X] Debug build available on MSW.
	
	[X] Updated docs for BCC compilation to describe building debug via a DLL.
	
	[X] Small about dialog if compiled out the full-sized About dialog.
	
	[X] Corrected an assert in utils_string::string_to_arrayint: now first checks
	    that wasn't sent an empty string.
	
	[X] Implemented first pass at single instance checking.
	
	[X] Mods to installer script to remove components.
	
	[X] Return of disabling toolbar/menuitems if channel not selected in main dialog,
	    and edit/delete disabling if an entry not selected in exclusion list dialog
	    [#ifdef'able].
	
2003-02-15 23:06  adamm

	* viewer/mainform.c:

	Re-enabled the scrollbar's ability to dynamically update text when moving, but
	only for lores and OS5 or later devices. See comments for more information :)
	
2003-02-15 18:15  adamm

	* viewer/libraryform.c:

	Fixed a problem when sorting by type, the sorted list wasn't accurate.
	
2003-02-15 17:46  adamm

	* viewer/libraryform.c:

	Fixed the problem where the palm function CategorySelect() was changing the
	displayed category trigger on us when we didn't want it. Since there isn't any
	way to get around that without ripping the whole thing out, we'll simply re-set
	the trigger back to what it should be.
	
2003-02-15 17:07  adamm

	* viewer/: libraryform.c, timeout.c, timeout.h, viewer.c:

	Fixed a problem where the honoured timeout value differed greatly when testing
	on the emulator compared to an actual device.
	
2003-02-15 15:54  adamm

	* viewer/libraryform.c:

	Fixed a small bug where the viewer would crash if you called IconPopupList()
	without using the timeout.
	
2003-02-15 02:03  adamm

	* viewer/: Makefile.in, libraryform.c, timeout.c, timeout.h,
	viewer.c, viewer.h:

	Added the ability to bring up the library document popup list just by leaving
	your pen down on a single record for a minimum amount of time
	
2003-02-15 01:48  janssen

	* viewer-GTK+2-POSIX/: image.c, viewer.c:

	Fixed bug with zero-width images being requested from Gdk
	
2003-02-15 01:14  adamm

	* viewer/: libraryform.c, libraryform.h:

	Fixed two bugs in this commit. Sometimes there was a problem when highlighting
	any specific entry and moving onto something else; either the colours would get
	screwed up or more than one entry would be visually highlighted.
	
	Also fixed the problem where the library's documents were not updating properly
	after deleting a specific item. This would only occur if the scrollbar was set
	to the top, or if there was no scrollbar at all.
	
2003-02-14 05:39  janssen

	* configure.in:

	removed use of AC_ARG_VAR and AC_CHECK_FILE
	
2003-02-14 01:21  chrish

	* parser/python/PyPlucker/: ConversionParser.py, Parser.py,
	PluckerDocs.py:

	Now supports compressed tables and added support for Word Docs.
	
2003-02-14 01:19  chrish

	* viewer/table.c:

	Now supports compressed tables.
	
2003-02-14 01:13  adamm

	* viewer/: Makefile.in, configure.in, hires.h, util.c, util.h,
	viewer.rcp.in:

	Re-implemented the --disable-hires option, plus fixed it where it was failing
	previously (in hires.h if HAVE_HIRES is not defined)
	
2003-02-13 02:40  robertoconnor

	* plucker_desktop/: build_progress_dialog.cpp,
	build_progress_dialog.h, configuration.cpp,
	details_progress_dialog.cpp, details_progress_dialog.h,
	handheld_dest_dialog.cpp, handheld_dest_dialog.h,
	handheld_dest_type.cpp, handheld_dest_type.h,
	handheld_dest_wrappers.cpp, hhictrl.cpp, palm_installer_msw.cpp,
	pda_listctrl.cpp, plucker_controller.cpp, plucker_defines.h,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, langs/sample_po.txt,
	langs/cs/plucker-desktop.po, langs/da/plucker-desktop.po,
	langs/de/plucker-desktop.po, langs/es/plucker-desktop.po,
	langs/fi/plucker-desktop.po, langs/fo/plucker-desktop.po,
	langs/fr/plucker-desktop.po, langs/it/plucker-desktop.po,
	langs/ja/plucker-desktop.po, langs/nl/plucker-desktop.po,
	langs/pl/plucker-desktop.po, langs/ru/plucker-desktop.po,
	langs/sv/plucker-desktop.po, resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb,
	resource/html_about/plucker_desktop_authors.htm,
	resource/html_about/plucker_desktop_credits.htm,
	resource/xrc/about_dialog.xrc:

	Plucker Desktop 1.2.0.4 (Feb 12, 2003)
	
	[X] Option added for installing to memory stick.
	    [X] Defines for card types, plus switch/cases for easier additions
	        of cards.
	    [X] is_install_to_card INI key replaced to handheld_target_storage_mode
	    [X] handheld_dest_type stuct member "is_card" updated to
	        handheld_target_storage_mode.
	    [X] is_install_to_card added to list of deprecated keys that are
	        automatically not propogated.
	
	[X] Fixed #ifdef for OSX compilation in palm_installer_gtk.h.
	
	[X] Fixed a '.' to '->' typo for Linux/OSX on plucker_controller.cpp.
	
	[X] Added a missing clearing of array on plucker_controller.cpp.
	
	[X] Stripped double close check from details_progress_dialog.h/.cpp since
	    not needed anymore (should still double check on POSIX).
	
	[X] When updating on MSW, all now update their due date, not just the first.
	    [finishes moveover from update at end to update as go along]
	    (Eugene Y. Vasserman, DK Lock).
	
	[X] Bill N. email updated.
	
2003-02-12 04:57  adamm

	* viewer/: fiveway.c, fiveway.h, mainform.c:

	Moved the code controlling the Left, Right and Select functions of the FiveWay
	d-pad from mainform.c to fiveway.c, where they belong! :)
	
2003-02-12 04:42  adamm

	* viewer/: fiveway.c, fiveway.h, jogdial.c, jogdial.h,
	libraryform.c, libraryform.h:

	Cleaned up the code to follow the coding guidelines, plus fixed an annoying bug
	that prevented the fiveway d-pad from working properly in the library.
	
2003-02-12 00:34  adamm

	* viewer/: libraryform.c, libraryform.h, prefsdata.c:

	Fixed a bug causing the category getting stuck in limbo when switching from
	advanced to classic for the first time.
	
2003-02-12 00:12  janssen

	* configure.in:

	Added configuration for Java version of distiller
	
2003-02-12 00:07  janssen

	* parser/python/Makefile.in:

	Added build of Java version of distiller
	
2003-02-12 00:06  janssen

	* parser/python/PyPlucker/JIUImageParser.py:

	Minor modifications to accord with released version JIU 0.10.0
	
2003-02-11 17:22  chrish

	* parser/python/PyPlucker/PluckerDocs.py:

	Compressing nested tables is bad!
	
2003-02-09 22:20  chrish

	* parser/python/PyPlucker/TextParser.py:

	Alignment was passed to table wrong.
	
2003-02-09 19:27  chrish

	* parser/python/PyPlucker/: PluckerDocs.py, TextParser.py:

	Better support for nested tables and obey div, center, etc in cells.
	
2003-02-09 18:12  adamm

	* AUTHORS:

	Updated the AUTHORS file to include what I've been working on.
	
2003-02-09 15:37  robertoconnor

	* tools/: conduit-install/msw/CHANGELOG.txt,
	conduit-install/msw/README.txt, plucker-conduit/msw/CHANGELOG.txt,
	plucker-conduit/msw/PluckerCond.dsp,
	plucker-conduit/msw/PluckerCond.dsw,
	plucker-conduit/msw/PluckerCond.iss,
	plucker-conduit/msw/PluckerCondGenCond.cpp,
	plucker-conduit/msw/PluckerCondGenCond.h,
	plucker-conduit/msw/README.txt, plucker-conduit/msw/resource.h,
	plucker-conduit/msw/r_englsh/PluckerCond.aps,
	plucker-conduit/msw/r_englsh/PluckerCond.rc,
	plucker-conduit/msw/r_englsh/Res/Sync0.bmp,
	plucker-conduit/msw/r_englsh/Res/Sync1.bmp,
	plucker-conduit/msw/r_englsh/Res/Sync2.bmp,
	plucker-conduit/msw/r_englsh/Res/Sync3.bmp,
	viewer-wxwindows/PluckerHtmlWindow.cpp,
	viewer-wxwindows/PluckerHtmlWindow.h,
	viewer-wxwindows/PluckerViewerApp.cpp,
	viewer-wxwindows/PluckerViewerApp.h, viewer-wxwindows/README.txt,
	viewer-wxwindows/dif-for-explode.c.diff,
	viewer-wxwindows/wxPluckerViewer.dsp,
	viewer-wxwindows/wxPluckerViewer.dsw,
	viewer-wxwindows/resource/home.bmp,
	viewer-wxwindows/resource/main_menubar.xrc,
	viewer-wxwindows/resource/main_toolbar.xrc,
	viewer-wxwindows/resource/open.bmp,
	viewer-wxwindows/resource/redo.bmp,
	viewer-wxwindows/resource/undo.bmp:

	Addition of Bill Nalen's tools to /tools:
	(1) /conduit-install: For installing conduits onto the OS
	(2) /plucker-conduit: A conduit that will update channels when press Sync button
	(3) /viewer-wxwindows: A simple viewer using wxWindows GUI over the explode
	  library
	
2003-02-09 11:41  robertoconnor

	* plucker_desktop/: palm_installer_gtk.h,
	resource/html_about/plucker_desktop_credits.htm:

	Plucker Desktop:
	- Corrected missing ifdef statement in palm_installer_gtk.h for OSX compilation
	  (Alexandre Rafalovitch)
	
2003-02-09 08:51  adamm

	* viewer/: searchform.c, viewer.rcp.in:

	Cleaned up a few UI inconsistencies noticable when viewed on a Handera device.
	
2003-02-09 08:49  adamm

	* viewer/: Makefile.in, configure.in, hires.h, viewer.rcp.in:

	Depriacated the HAVE_HIRES definition. It was becomming too much trouble to
	maintain the --disable-hires config option. Since Palm SDK 5 is now standard,
	atleast a portion of the hires code should always be standard.
	
2003-02-09 01:39  adamm

	* viewer/: viewer.rcp.in, icons/viewer_x2-8bpp.bmp:

	Created a snazzy (64x64) hires icon for the app launcher on OS5 devices.
	
2003-02-08 23:12  desrod

	* viewer/hires.c:

	Fixed a small typo in hires.c: s/IfHanderaHiResOnly/IsHiResTypeHanderaOnly/g
	
2003-02-08 22:48  adamm

	* viewer/icons/: again_x2-8bpp.bmp, autodecr_x2-8bpp.bmp,
	autoincr_x2-8bpp.bmp, autostart_x2-8bpp.bmp, autostop_x2-8bpp.bmp,
	bookmark_x2-8bpp.bmp, find_x2-8bpp.bmp, home_x2-8bpp.bmp,
	left_x2-8bpp.bmp, library_x2-8bpp.bmp, menu_x2-8bpp.bmp,
	right_x2-8bpp.bmp:

	Added in the new icons that are to be used by the extended bitmap definitions
	
2003-02-08 22:44  robertoconnor

	* plucker_desktop/: add_channel_wizard.cpp, channel_dialog.cpp,
	destinations_wizardpage.cpp, hhictrl.cpp, makefile_filelist.lst,
	palm_installer_msw.cpp, plucker_controller.cpp, setup_wizard.cpp,
	docs/PLUCKER_DESKTOP_CHANGELOG.txt, docs/TODO.txt,
	installer/msw/plucker-desktop.iss,
	resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb,
	resource/html_about/plucker_desktop_credits.htm:

	Plucker Desktop:
	- Added array memory clearing
	- Fix to MSW Palm 2.0+ reg key
	- Installer script installs Plucker Conduit
	
2003-02-08 22:30  adamm

	* viewer/: configure.in, viewer.rcp.in:

	Added in support for using extended bitmaps to define the icons/bitmaps used
	within the viewer. This allows us to define a 'double-density' icon which will
	appear properly as a higher resolution image on an OS5 device.
	
	Unfortunatly, extended bitmaps are only handled on pilrc >= v2.9 p5, so the
	configure script now checks if we have this version or not. If we don't, the
	original standard bitmap definition is used.
	
	Fortunatly, extended bitmaps are fully downward compatibile with the standard
	bitmap convention. So, even if you have pilrc that supports it but your device
	does not, everything will continue to work just as before.
	
2003-02-08 16:41  chrish

	* parser/python/PyPlucker/: PluckerDocs.py, TextParser.py:

	Mike's append fix and some cleanup.
	
2003-02-08 03:02  chrish

	* viewer/search.c:

	Mike's fix for 'memory leak'
	
2003-02-08 00:53  adamm

	* viewer/: jogdial.c, jogdial.h, prefsform.c, prefsform.h:

	Added on some basic jogdial functionality into the preferences form
	
2003-02-07 02:00  chrish

	* viewer/table.c:

	Alignment changes for nested tables.
	
2003-02-07 01:07  chrish

	* viewer/table.c, parser/python/PyPlucker/PluckerDocs.py,
	parser/python/PyPlucker/TextParser.py:

	Added support for nested tables.
	
2003-02-06 23:21  adamm

	* viewer/: hires.h, screen.c:

	Fixed up a logic error I accidently introduced yesterday, as well I added in
	some comments to make sure I wouldn't make the same mistake twice :)
	
2003-02-06 23:17  adamm

	* viewer/hires.c:

	Cleaned up the hires code by converting the coordinate adjustment functions
	from being device-specific to coordinate-system-specific.
	
	Since Palm and Sony use the same coordinate system, there was some extra
	redundant code that needed trimming.
	
2003-02-06 21:47  robertoconnor

	* plucker_desktop/: add_channel_wizard.cpp,
	build_progress_dialog.cpp, build_progress_dialog.h,
	build_progress_wrappers.cpp, build_progress_wrappers.h,
	channel_dialog.cpp, commandline_parser.cpp,
	destinations_wizardpage.cpp, destinations_wizardpage.h,
	details_progress_dialog.cpp, details_progress_dialog.h,
	exclusion_listctrl.h, handheld_dest_dialog.cpp,
	handheld_dest_dialog.h, handheld_dest_type.cpp,
	handheld_dest_type.h, handheld_dest_wrappers.cpp,
	handheld_dest_wrappers.h, hhictrl.cpp, hhictrl.h, makefile.b32,
	makefile_filelist.lst, palm_installer_base.h,
	palm_installer_gtk.cpp, palm_installer_gtk.h,
	palm_installer_msw.cpp, palm_installer_msw.h, pda_listctrl.cpp,
	pda_listctrl.h, plucker-desktop.cpp, plucker_controller.cpp,
	plucker_defines.h, preferences_dialog.cpp,
	process_progress_dialog.cpp, process_progress_dialog.h, setup.h,
	setup_wizard.cpp, utils_string.cpp, utils_string.h,
	docs/BUILDING_MSW_BORLAND.txt, docs/PLUCKER_DESKTOP_CHANGELOG.txt,
	docs/TODO.txt, docs/includes/docs_doxygen_commands.h,
	docs/includes/docs_preformatted_textfiles.h,
	installer/msw/plucker-desktop.iss, langs/sample_po.txt,
	langs/cs/plucker-desktop.po, langs/da/plucker-desktop.po,
	langs/da/wxstd.po, langs/de/plucker-desktop.po,
	langs/es/plucker-desktop.po, langs/fi/plucker-desktop.po,
	langs/fo/plucker-desktop.po, langs/fr/plucker-desktop.po,
	langs/it/plucker-desktop.po, langs/ja/plucker-desktop.po,
	langs/nl/plucker-desktop.po, langs/pl/plucker-desktop.po,
	langs/ru/plucker-desktop.po, langs/sv/plucker-desktop.po,
	resource/plucker_showcase.htm, resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb,
	resource/html_about/plucker_desktop_authors.htm,
	resource/html_about/plucker_desktop_credits.htm,
	resource/strings_tips/plucker_advanced_tips.txt:

	[X] Commandline mode now exits silently if update-due and no channels due,
	    instead of popping up a messagebox to say so. (Bill Nalen)
	
	[X] Conduit for updating when hit HotSync button. (Bill Nalen)
	
	[X] Default list-of-links page is now CBC mobile site.
	
	[X] On POSIX, all output channels are synced to device at end, but now on MAC/MSW,
	    they are sent as each built. POSIX way so only have to click button once at
	    end, MAC/MSW so that can stop part way and still have some completed.
	
	[X] Changelog for Plucker Desktop added to developer docs, distribution.
	
	[X] LeMonde removed from Showcase because they now put a 403 error on their
	    homepage.
	
	[X] Unhid OnSync radio button from Prefs>Autoupdate. (Bill Nalen)
	
	[ ] Can now install directly to a SD/MMC card
	    [ ] WX_CLEAR_ARRAYS added to free memory from the "new" memory allocation
	        with '= new handheld_dest_type', or else make it a member somewhere.
	    [X] hhictrl listctrl forked into two subtypes, as don't need the extra columns
	        in the directory listctrl.
	    [X] replaced install_files_by_username with typedef'ed install_files_by_handheld_dest
	    [X] pda_listctrl pulled out of hhictrl.cpp into its own class
	    [X] Correct saving to config file: The things are going out of scope, so blank.
	    [X] Correct copying to SD Slot dir/registry when so indicated.
	    [X] Hide currently unused "copy to card directory" controls on handheld_dest_dialog
	    [X] If the CardInst... dir doesn't exist, then make it.
	
	[X] BCC build instructions improved clarity.
	
	[X] MSW+commandline+progress dialog+autoclose now terminates app upon completion.
	
	[ ] "m_did_close_dialog_code_execute_yet" code removed from details_progress_dialog.cpp/.h
	    after testing that it isn't needed anymore (test for shutting off computer during
	    progress dialog crawl and see if makes a difference).
	
	[X] Bill Nalen added to Plucker Desktop > Authors
	
	[X] Describe the new features in online help.
	
2003-02-05 21:48  adamm

	* viewer/: font.c, fullscreenform.c, hires.c, hires.h,
	libraryform.c, mainform.c, prefsbutton.c, screen.c, util.c:

	Cleaned up the code to make it easier to understand how we're identifying
	specific hires types based upon a test value. Ie, changed..
	
	( hiResType & sonyHiRes )
	to
	IsHiResTypeSony( hiResType )
	
	etc.
	
2003-02-05 16:42  adamm

	* viewer/: anchor.c, control.c, debug.c, document.c, hires.c,
	hires.h, mainform.c:

	Fix for the 'Fullscreen form crash' experienced by OS5 devices. Problem would
	occur when opening an image directly in the viewer.
	
2003-02-05 07:09  adamm

	* viewer/: bluetooth.c, bluetooth.h, configure.in, genericfile.c,
	genericfile.h, libraryform.c, os.c, os.h, pluckererror.h,
	ramfile.c, ramfile.h, resourceids.h, vfsfile.c, vfsfile.h,
	viewer.h, viewer.rcp.in:

	Preliminary support for using Bluetooth to share documents
	
2003-02-05 06:57  adamm

	* viewer/allforms.h:

	Removed the call to jogdialform.h from allforms.h
	
2003-02-05 02:02  adamm

	* viewer/langs/en.rcp:

	Accidently misspelled Activate as Activæte :)
	
2003-02-03 22:49  adamm

	* viewer/allforms.h:

	Oops, forgot that allforms.h needs to know about the changes during the last
	commit as well :)
	
2003-02-03 22:46  adamm

	* viewer/: Makefile.in, buttonform.c, buttonform.h, configure.in,
	control.c, controlform.c, controlform.h, gestureform.c,
	gestureform.h, hardcopyform.c, jogdialform.c, jogdialform.h,
	libraryform.c, mainform.c, prefsautoscroll.c, prefsautoscroll.h,
	prefsbutton.c, prefsbutton.h, prefscontrol.c, prefscontrol.h,
	prefsdata.c, prefsdata.h, prefsform.c, prefsform.h, prefsgeneral.c,
	prefsgeneral.h, prefsgesture.c, prefsgesture.h, prefshardcopy.c,
	prefshardcopy.h, prefsjogdial.c, prefsjogdial.h, prefslibrary.c,
	prefslibrary.h, resourceids.h, sclform.c, sclform.h, util.c,
	util.h, viewer.c, viewer.h, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Amalgamated the button, control, hardcopy, gesture, jogdial, and autoscroll
	forms into the preferences form; and expanded its usability significantly. As
	well, I updated all the languages to include the change of resources detailed
	in viewer.rcp.in
	
2003-02-03 20:03  adamm

	* viewer/Makefile.in:

	When we run 'make clean', viewer.rcp and viewer.rcp.s should be removed since
	they are only temporary 'compiled' versions of viewer.rcp.in
	
2003-02-03 19:12  chrish

	* viewer/control.c:

	Fix to GoToLink control action when no link has been selected by next/prev anchor.
	
2003-02-03 13:28  adamm

	* viewer/util.c:

	TrimText() uses FntWidthToOffset() which isn't available in PalmOS < 3.1
	Changed the code to use the glue function instead.
	
2003-02-03 00:51  adamm

	* viewer/: configure.in, scripts/fix_sdk.pl,
	scripts/fix_sony_sdk.pl:

	For some reason the Bluetooth SDK is stupid when building under GCC. Since the
	script used to fix the Sony SDK can be extended to fix the Bluetooth SDK, I
	standardized how the actual 'fixing' was accomplished in the configure script.
	
	As well, I renamed fix_sony_sdk.pl to fix_sdk.pl since now it's used on other
	SDKs other than Sony.
	
2003-01-31 16:29  adamm

	* viewer/configure.in:

	Fixed configure script to cope with autoconf >= 2.50
	
2003-01-30 14:11  chrish

	* viewer/: anchor.c, bookmark.c, categoryform.c, doclist.c,
	doclist.h, emailform.c, emailform.h, fiveway.c, fiveway.h,
	fullscreenform.c, genericfile.h, hardcopyform.c, hires.c,
	jogdial.c, libraryform.c, libraryform.h, list.c, paragraph.c,
	ramfile.c, ramfile.h, search.c, silkscreen.c, table.c, util.c,
	util.h, vfsfile.c, vfsfile.h:

	Commit Mike's 21 Jan 2003 Patch.
	
2003-01-30 02:27  chrish

	* viewer/icons/sync.bmp:

	From Mike's 15 Jan 2003 Patch
	
2003-01-29 15:16  chrish

	* viewer/: README, buttonform.c, categoryform.c, categoryform.h,
	const.h, controlform.c, dimensions.h, doclist.c, doclist.h,
	document.h, font.c, font.h, fullscreenform.c, gestureform.c,
	hires.c, hires.h, jogdial.c, jogdial.h, jogdialform.c,
	jogdialform.h, libraryform.c, libraryform.h, link.c, link.h,
	list.c, list.h, mainform.c, ramfile.c, renamedocform.c,
	renamedocform.h, resourceids.h, silkscreen.h, stack.c, stack.h,
	util.c, util.h, viewer.c, viewer.rcp.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Mike's patch from 15 Jan 2003
	
2003-01-29 02:43  adamm

	* viewer/: mainform.c, os.c, os.h, viewer.c:

	Initial support for Graffiti 2. Only the gestures are affected by this new way
	of handling graffiti, and most of the options now work. Except for what would
	normally be handled by GESTURES_UP, I cannot seem to find a Graffiti 2
	validation event for that. More research is needed, but I added a FIXME to
	where it would be included (in viewer.c most likely)
	
2003-01-28 19:26  chrish

	* viewer/jogdialform.c:

	Changed FrmReturnToForm() to return to fullscreen form if it came from there.
	
2003-01-28 15:54  chrish

	* viewer/: bookmarkform.c, buttonform.c, controlform.c,
	detailsform.c, fontform.c, fullscreenform.c, fullscreenform.h,
	gestureform.c, mainform.c, paragraph.c, resourceids.h,
	viewer.rcp.in:

	Changes to add menu support to the fullscreen form, including it's own menus.
	
2003-01-25 23:05  adamm

	* viewer/: configure.in, viewer.h:

	Things were starting to get a little stuffy on sec2. I created a new section
	(sec4) and moved some of the larger portions of sec2 onto it.
	
2003-01-18 20:49  chrish

	* viewer/table.c:

	Mike's suggestion for col2 in GetTableMetrics()
	
2003-01-16 20:18  chrish

	* viewer/: control.c, fullscreenform.c, fullscreenform.h:

	Changed name of FsGoToPage() to FsDoControlAction().
	
2003-01-15 13:57  chrish

	* viewer/: control.c, fullscreenform.c:

	Fixed 'Object not in form' for back, forward, and home in fullscreen and added back default behavior for up/down buttons.
	
2003-01-14 13:55  chrish

	* viewer/table.c:

	Changed memory allocation to rely on SafeMemPtrNew().
	
2003-01-11 23:18  chrish

	* viewer/fullscreenform.c:

	Missed Change for HAVE_PALMCHARS to HAVE_FIVEWAY_SDK.
	
2003-01-11 22:33  adamm

	* viewer/document.c:

	Added a debug MSG showing how long it took to load the document (in ticks)
	
2003-01-11 22:29  adamm

	* viewer/viewer.h:

	Had to move BOOKMARK_SECTION, BUTTONFORM_SECTION and FIVEWAY_SECTION into sec3
	because when you build with sony support, sec1 and sec2 were complaining that
	they were full.
	
2003-01-11 15:43  desrod

	* viewer/langs/es.rcp:

	Fixed translation errors with "Delete" vs. "Borrar". Also changed the
	incorrect use of "Eliminar" (to eliminate) to "Borrar" (to erase) as well.
	
2003-01-11 02:09  chrish

	* viewer/: anchor.c, document.c, hardcopyform.c, hires.c, image.c,
	image.h, mainform.c, table.c, table.h:

	Changed all calls to Large[Image/Table]() to IsLarge[Image/Table]().
	
2003-01-11 02:06  chrish

	* viewer/: control.c, fullscreenform.c, fullscreenform.h:

	Added support for Next/Previous Anchor and Go To Link.
	
2003-01-10 14:47  chrish

	* viewer/: control.c, control.h, document.c, fullscreenform.c,
	fullscreenform.h, viewer.c:

	First pass at adding support for gestures and buttons on the fullscreen form. All but link related actions should work.
	
2003-01-09 16:40  adamm

	* viewer/metadocument.c:

	On Thu, Jan 09, 2003 at 11:12:16AM +0100, Michael Nordstrom wrote:
	> I found a minor problem yesterday when reviewing some of my
	> changes.
	>
	> In RenameMetaDocument (metadocument.c) the THROW_IF at the
	> end should be changed to the following,
	>
	>     THROW_IF( err != errNone && err != dmErrCantFind, err );
	
2003-01-08 18:37  adamm

	* viewer/libraryform.c:

	Commited Mike's patch "to make the card icons work"
	
2003-01-08 18:32  adamm

	* viewer/: Makefile.in, allforms.h, anchor.c, anchor.h, bookmark.c,
	bookmark.h, bookmarkform.c, bookmarkform.h, buttonform.c, cache.c,
	cache.h, categoryform.c, categoryform.h, configure.in, const.h,
	control.c, control.h, controlform.c, debug.c, detailsform.c,
	doclist.c, doclist.h, document.c, document.h, emailform.c,
	emailform.h, externalform.c, externalform.h, fiveway.c, fiveway.h,
	font.c, font.h, fontform.c, fontform.h, fullscreenform.c,
	genericfile.c, genericfile.h, gestureform.c, hardcopyform.c,
	hardcopyform.h, hires.c, hires.h, history.c, history.h, image.c,
	image.h, jogdial.c, jogdial.h, jogdialform.c, jogdialform.h,
	libraryform.c, libraryform.h, link.c, link.h, list.c, mainform.c,
	mainform.h, metadocument.c, metadocument.h, os.c, os.h,
	paragraph.c, paragraph.h, prefsdata.c, prefsdata.h, prefsform.c,
	ramfile.c, ramfile.h, renamedocform.c, resourceids.h, resultform.c,
	resultform.h, sclform.c, screen.c, screen.h, search.c, search.h,
	searchform.c, session.c, session.h, silkscreen.c, silkscreen.h,
	table.c, table.h, uncompress.c, uncompress.h, util.c, util.h,
	vfsfile.c, vfsfile.h, viewer.c, viewer.h, viewer.rcp.in,
	langs/Makefile.in, langs/da.rcp:

	Commited Mike Nordstrom's patch: "Fixed several bugs"
	As well I updated fiveway_sdk to be consistent and to work
	
2003-01-08 00:28  adamm

	* docs/FAQ.sgml:

	Added in entry about documents not showing properly up on external memory.
	
2003-01-07 23:17  adamm

	* viewer/: Makefile.in, configure.in, cleaner/Makefile.in,
	cleaner/cleaner.c, cleaner/cleaner.h, cleaner/cleaner.rcp.in,
	cleaner/data.c, cleaner/data.h, cleaner/form.c, cleaner/form.h,
	cleaner/resourceids.h, cleaner/icons/cleaner-8bpp.bmp,
	cleaner/icons/cleaner.bmp:

	Added the 'Clean Plucker' utility. This can be used by people experiencing
	problems from one version of plucker to the next that previously only be solved
	by deleting plucker entirly and reinstalling it.
	
	Users will be able to delete any of plucker's preferences, meta files, or
	PlkrDocList to try to restore their plucker installation to a usable state.
	
2003-01-04 23:22  adamm

	* viewer/: control.c, hires.c:

	Found a nasty bug plaguing both sony and palm hires devices. Becuase the
	coordinate systems were getting translated at the wrong time and for the wrong
	reasons, none of the buttons on the bottom toolbar were clickable, or were clickable in the wrong areas.
	
	Fixed now.
	
2003-01-04 22:58  adamm

	* viewer/debug.c:

	Changed FORMMSG() to ensure that the popup message is still closable even if
	we're not currently in kCoordinatesStandard mode
	
2003-01-04 22:09  adamm

	* viewer/control.c:

	Fixed an issue causing the autoscroll stop/start icons to appear in the wrong
	spot on OS5 hires devices
	
2003-01-02 10:40  adamm

	* viewer/: buttonform.c, resourceids.h, util.c, viewer.c,
	viewer.rcp.in:

	Renamed frmButtonTungsten to frmButtonFiveWay, plus changed the logic to check
	specifically for the FiveWay feature set, instead of a checking specifically
	for the Tungsten device.
	
2003-01-02 10:30  adamm

	* viewer/libraryform.c:

	Added support for the Tungsten's D-pad on the library form.
	
2003-01-02 08:45  adamm

	* viewer/: mainform.c, prefsdata.h, viewer.h:

	Added support so that any arrow button definitions will actually be used and
	honoured
	
2003-01-02 08:41  adamm

	* viewer/hires.c:

	Fixed a bug on Tungsten devices where scrolling up or down was only going about
	half the intended distance
	
2003-01-02 07:49  adamm

	* viewer/: debug.c, debug.h:

	Uncommented FormDebugMsg()
	
2003-01-02 07:29  adamm

	* viewer/configure.in:

	Updated checks for building with PalmChars.h (formerly/aka FiveWay SDK)
	
2003-01-01 20:08  chrish

	* viewer/table.c:

	Fix for table cells with images and borders.
	
2003-01-01 02:53  chrish

	* parser/python/PyPlucker/TextParser.py:

	Height and width attibutres not required for images in tables.
	
2002-12-31 15:56  chrish

	* parser/python/PyPlucker/PluckerDocs.py:

	Changed split_line in TableDoc to skip function codes when calculating line splits.
	
2002-12-31 01:53  chrish

	* viewer/: document.c, document.h:

	Changed SetWorking to extern so table.c could call it.
	
2002-12-31 01:52  chrish

	* viewer/table.c:

	Changes for readability and coding standards. Reuse of SetWorking() in document.c
	
2002-12-28 23:31  adamm

	* viewer/: buttonform.c, prefsdata.c, prefsdata.h, resourceids.h,
	viewer.rcp.in:

	Cleaned up/enhanced the UI on the button action form. Now much nicer, yes :)
	
2002-12-28 20:06  adamm

	* viewer/: buttonform.c, prefsdata.h:

	Coded a way to sanely store 'arrow button' definitions to coincide with
	existing 'hardware button' definitions all on the same form. I still need to
	configure it so that the arrow buttons actually WORK, but for now atleast they
	store the information properly.
	
2002-12-28 16:17  chrish

	* viewer/: table.c, table.h:

	Mostly cosmetic changes. One fix for anchor height.
	
2002-12-28 16:16  chrish

	* viewer/anchor.c:

	Changed HighlightAnchor to use fullscreen for anchors in LargeTable.
	
2002-12-28 07:04  adamm

	* viewer/: buttonform.c, control.c, mainform.c, resourceids.h,
	util.c, viewer.c, viewer.rcp.in:

	Cleaned up the button-action form, and created a specific form for either one
	of tungsten or non-tungsten devices.
	
2002-12-27 22:16  chrish

	* viewer/: control.c, control.h, image.c, image.h, table.c,
	table.h:

	Removed unused code, from new fullscreen display method for large images and tables.
	
2002-12-27 19:07  adamm

	* viewer/: Makefile.in, allforms.h, document.c, fullscreenform.c,
	fullscreenform.h, image.c, image.h, resourceids.h, table.c,
	table.h, viewer.c, viewer.rcp.in, icons/arrowdown-8bpp.bmp,
	icons/arrowdown.bmp, icons/arrowleft-8bpp.bmp, icons/arrowleft.bmp,
	icons/arrowright-8bpp.bmp, icons/arrowright.bmp,
	icons/arrowup-8bpp.bmp, icons/arrowup.bmp:

	The current method of handling fullscreen images and tables actually breaks OS5
	devices. This shortcut is solved by creating a specific form 'frmFullScreen'
	which handles the drawing of the fullscreen image or table in a clean
	environment. In the long run doing this is good becuase alot of duplicate code
	in image.c and table.c can be cleaned out and moved to fullscreenform.c
	
2002-12-27 18:57  adamm

	* viewer/: buttonform.c, util.c, util.h:

	Depricated FadeRectangle() as it really is just a waste of space :)
	A better solution will be found later.
	
2002-12-25 02:19  matto

	* viewer/: bookmarkform.c, hardcopyform.c, hardcopyform.h,
	paragraph.c:

	Coding style is changed.
	
2002-12-23 15:36  chrish

	* docs/DBFormat.html:

	Added table doc and function code information.
	
2002-12-22 09:50  adamm

	* viewer/libraryform.c:

	Moved some code from the stuffed SECTION2 into SECTION1
	
2002-12-22 09:43  adamm

	* viewer/: externalform.c, jogdial.h:

	Updated the IsJogDial.* definitions to be a little more robust
	
2002-12-22 09:38  adamm

	* viewer/hires.h:

	There is no actual HRWinGetDrawWindowBounds() in Sony's API to complement
	WinGetDrawWindowBounds()... instead it's called HRWinGetWindowBounds()
	
2002-12-22 04:47  adamm

	* viewer/: libraryform.c, mainform.c, viewer.c, viewer.rcp.in:

	Updated handera silkscreen change routines to use SilkHandleChange() from
	within both mainform.c and libraryform.c (since that it didn't like being
	called from viewer.c).. plus removed frmPrefsHandera since its no longer
	necessary.
	
2002-12-21 21:50  chrish

	* viewer/: table.c, table.h:

	Chaged coding to follow coding standards (I hope) <G>.
	
2002-12-21 21:48  chrish

	* viewer/control.c:

	Fixed problem with large Tables not highlighting anchors.
	
2002-12-20 20:51  chrish

	* parser/python/PyPlucker/TextParser.py:

	Added strike through to table cells. And fixed Mike's bug about not popping the table.
	
2002-12-20 20:49  chrish

	* viewer/table.c:

	Added strike through to table cells
	
2002-12-20 03:03  chrish

	* viewer/table.c, parser/python/PyPlucker/TextParser.py:

	Added support for italics and underline in table cells.
	
2002-12-18 16:17  chrish

	* viewer/control.c:

	Fixed bug - doPenDown would invoke Region action for large tables.
	
2002-12-18 02:48  chrish

	* viewer/control.c:

	Changes to allow dragging a large table, even if on a link.
	
2002-12-16 21:41  chrish

	* viewer/: control.c, table.c, table.h:

	dded links to large Tables.
	
2002-12-16 21:02  adamm

	* viewer/langs/de.rcp:

	Pablo Rodriguez emailed saying "Weitesuchen" is spelt "Weitersuchen"
	
2002-12-15 21:28  chrish

	* viewer/table.c:

	Change to draw table link box in 'gray' on non-color devices.
	
2002-12-15 16:58  adamm

	* viewer/: silkscreen.c, silkscreen.h:

	Moved silkscreen code from SECTION2 to SECTION3, since 2 was getting full
	
2002-12-14 21:19  chrish

	* parser/python/PyPlucker/ImageParser.py:

	Fixed bug in ImageMagick2 parser, wrong name used in error reporting.
	
2002-12-14 21:18  chrish

	* viewer/table.c, parser/python/PyPlucker/PluckerDocs.py,
	parser/python/PyPlucker/TextParser.py:

	Added link support to inline tables, and link color and border color to all tables.
	
2002-12-13 01:04  adamm

	* viewer/: configure.in, viewer.h:

	Added support for the Bluetooth SDK. Also cleaned up the logic for the
	directories the other SDKs were announcing themselves as
	
2002-12-13 00:43  adamm

	* viewer/: configure.in, viewer.h:

	Added in support for FiveWay SDK (5 way directional pad on Tungsten devices)
	plus cleaned up how the SDK's are verified in the configure script
	
2002-12-11 15:33  chrish

	* viewer/: Makefile.in, control.c, document.c, document.h, hires.c,
	mainform.c, paragraph.c, paragraph.h, table.c, table.h,
	uncompress.c:

	[no log message]
	
2002-12-11 15:30  chrish

	* parser/python/PyPlucker/: PluckerDocs.py, Spider.py,
	TextParser.py, Writer.py:

	[no log message]
	
2002-12-06 02:26  matto

	* viewer/: fontform.c, paragraph.c, prefsdata.c, prefsdata.h,
	viewer.rcp.in, langs/sample.rcp:

	Paragraph spacing is changed from absolute to relative amount.
	
2002-12-04 09:28  matto

	* viewer/: debug.c, debug.h, document.h, fontform.c,
	metadocument.c, paragraph.c, prefsdata.c, prefsdata.h,
	resourceids.h, viewer.rcp.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	Paragraph spacing feature is added.
	
2002-12-03 07:49  adamm

	* viewer/: dimensions.h, hires.c:

	Whenever a page-down command was ran with the silkscreen down on sony devices,
	the page-down effect was only going about 2/3 the way. Fixed it.
	
2002-11-30 05:13  matto

	* viewer/langs/sample.rcp:

	[no log message]
	
2002-11-30 05:07  matto

	* viewer/langs/Makefile.in:

	"make distclean" deletes required files. Fixed.
	
2002-11-29 18:15  adamm

	* viewer/: mainform.c, os.c, screen.c, silkscreen.h:

	Fixed a bug when building the viewer with PalmOS SDK 4 only
	
2002-11-26 19:40  adamm

	* viewer/: hires.c, hires.h:

	Fixed a bug causing the display to fsck up on Sony devices pre-OS5, but only
	when building with the Sony SDK pre-v5
	
2002-11-26 17:56  adamm

	* viewer/: debug.c, debug.h, resourceids.h, viewer.rcp.in:

	Added a new debug macro called FORMMSG, this is necessary when debugging under
	the simulator becuase POSEDebugMsg() and MemoDebugMsg() are not treated as
	valid or usable :(
	
2002-11-25 22:32  adamm

	* viewer/viewer.c:

	Set it up so that our own hardware key definitions are only honoured if the
	device is already running and is on. If infact the device is being turned on
	via a hardware key, and plucker is already running in the background, run the
	native palmos event, rather than taking control.
	
2002-11-25 19:10  adamm

	* viewer/hires.c:

	Fixed a problem causing some pendown events to be mis-translated and to be
	intrepreted as a click in the wrong areas of the screen.
	
2002-11-24 21:53  adamm

	* viewer/: document.c, hires.c, hires.h, os.c, prefsdata.c,
	prefsdata.h, prefsform.c, resourceids.h, silkscreen.c,
	silkscreen.h, util.c, viewer.c:

	Updated/reworked how silkscreen is handled on silkscreen-supported devices.
	Now there is decent support for Sony NR/NX series plus Tungsten models.
	
2002-11-23 08:57  adamm

	* viewer/: anchor.c, control.c, document.c, hires.c, hires.h,
	image.c, mainform.c:

	Added OS5-specific code to handle Palm HiRes devices properly, more or less.
	
2002-11-23 08:50  adamm

	* viewer/viewer.c:

	Found some sort of bug causing any OS5 device to crash if you open up the
	viewer directly into another document. For some reason it doesn't crash if it
	goes into the library directly. I'll figure this out later :)
	
2002-11-23 08:08  adamm

	* viewer/viewer.rcp.in:

	Fixed a nasty bug which causes a prc to be built that crashes whatever device
	you install it on.
	
2002-11-23 01:37  adamm

	* viewer/: buttonform.c, font.c, hires.c, hires.h, jogdial.c,
	jogdial.h, jogdialform.c, libraryform.c, mainform.c, prefsdata.c,
	prefsform.c, screen.c, silkscreen.c, silkscreen.h, util.c,
	viewer.c:

	Removed (SilkScreen|HiRes|JogDial)(Supported|Available)Type functions to
	standardize all three sections into a more consistent way of handling different
	hardware types.
	
	Hmm... Although I do not work for a marketing company, that above sentance
	would be too difficult for Suits to follow anyways :)
	
2002-11-21 16:11  matto

	* viewer/: fontform.c, viewer.rcp.in:

	Resource file format is improved.
	
2002-11-21 06:56  matto

	* viewer/: bookmarkform.c, document.c, prefsdata.c, prefsdata.h,
	resultform.c, search.c, search.h, searchform.c, viewer.c,
	viewer.rcp.in, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Subpage search feature is implemented.
	
2002-11-21 02:58  matto

	* viewer/: Makefile.in, control.c, fontform.c, paragraph.c,
	prefsdata.c, prefsdata.h, resourceids.h, silkscreen.c,
	viewer.rcp.in, langs/Makefile.in, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/th.rcp, langs/tr.rcp,
	langs/zh_CN.rcp:

	* line spacing becomes selectable in font selection panel.
	* Bug fixed in silkscreen.c
	
2002-11-19 05:29  adamm

	* viewer/: os.c, resourceids.h, silkscreen.c, silkscreen.h, util.c,
	viewer.c, viewer.rcp.in:

	Cleaned up how the silkscreen was being utilized, added preliminary support for
	V2 silkscreen (as found on NX-series clie's) as well fixed the problem of
	displaying the toolbar on the bottom on NR-series
	
2002-11-15 14:36  nordstrom

	* viewer/Makefile.in:

	Fixed problem that would prevent the viewer from being built in a
	different dir than the one the source code is in.
	
2002-11-14 10:38  adamm

	* viewer/: buttonform.c, prefsdata.h, resourceids.h, util.c,
	util.h, viewer.rcp.in:

	Added back on the up/down/left/right/select buttons into buttonform.c, as well
	added the ability to 'fade-out' images representing buttons we don't support
	
2002-11-14 07:40  adamm

	* viewer/viewer.rcp.in:

	Jogdial was missing 'Gesture action' option, causing all other options below it
	to be shifted down by one.
	
2002-11-13 12:50  nordstrom

	* viewer/image.c:

	Fixed required memory calculation (Chris Hawks)
	
2002-11-13 12:33  nordstrom

	* tools/pluck-comics/: comics.com.list, kingfeatures.list,
	other.comics.list, pluck-comics.py.in, ucomics.com.list:

	Updated comics list (David Maddock)
	
2002-11-12 09:22  matto

	* viewer/: viewer.rcp.in, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/sample.rcp, langs/th.rcp, langs/tr.rcp, langs/zh_CN.rcp,
	scripts/rcplint.pl:

	Function lists for Gestures, Tap, Buttons, and Jogdial are gathered to SELECT: resource group. Now some functions missed in Jogdial selection become available.
	
2002-11-10 04:32  janssen

	* tools/explode/explode.c:

	Added memory leak fixes from Bill Nalen
	
2002-11-10 04:16  janssen

	* tools/unpluck/unpluck.c:

	Free doc handle in plkr_CloseDoc
	
2002-11-09 10:42  nordstrom

	* viewer/hires.c:

	Added missing #ifdef
	
2002-11-09 10:42  nordstrom

	* viewer/Makefile.in:

	Fixed creation of .sedscr also when no default category has been given
	
2002-11-09 08:19  adamm

	* viewer/: configure.in, scripts/fix_sony_sdk.pl:

	Updated the fix_sony_sdk.pl script to support the upcoming Sony SDK 5.0
	
2002-11-08 19:15  nordstrom

	* viewer/langs/Makefile.in:

	distclean will run the clean target and also remove the Makefile
	
2002-11-08 17:11  matto

	* viewer/: control.c, genericfile.c, genericfile.h, mainform.c,
	prefsdata.h, viewer.rcp.in, langs/Makefile.in, langs/cs.rcp,
	langs/da.rcp, langs/de.rcp, langs/en.rcp, langs/es.rcp,
	langs/fo.rcp, langs/fr.rcp, langs/it.rcp, langs/ja.rcp,
	langs/pl.rcp, langs/ru.rcp, langs/sample.rcp, langs/th.rcp,
	langs/tr.rcp, langs/zh_CN.rcp, scripts/rcplint.pl:

	Delete doc with button, tap, and gesture.
	
2002-11-08 14:33  matto

	* viewer/: Makefile.in, configure.in, langs/Makefile,
	langs/Makefile.in, langs/rcplint.pl, scripts/rcplint.pl:

	rcplint.pl is moved to scripts dir.
	
2002-11-08 08:59  matto

	* viewer/libraryform.c:

	Libraryform remembers the last page.
	
2002-11-08 08:33  matto

	* viewer/paragraph.c:

	Strict check whether cursor is in the copy region or not.
	
2002-11-08 08:12  adamm

	* viewer/configure.in:

	Added --disable-hires as an option into ./configure script. Now even if you're
	building with a hires SDK (SDK5, Sony, Handera) you can force hires to be
	disabled.
	
2002-11-08 07:56  adamm

	* viewer/hires.h:

	Fixed a compile-time error when building with -palmos4
	
2002-11-08 02:25  janssen

	* parser/python/: Callback.java, Invocation.java:

	The Java interface files for using the Python distiller from Java via Jython
	
2002-11-08 02:24  janssen

	* parser/python/InvokePluckerBuildFromJava.py:

	This provides a Java API for Plucker via Jython
	
2002-11-07 21:01  adamm

	* docs/DBFormat.html, parser/python/PyPlucker/TextParser.py,
	viewer/font.c, viewer/font.h, viewer/libraryform.c,
	viewer/paragraph.c:

	Added support for <sub> and <sup> tags
	
2002-11-07 20:59  adamm

	* viewer/: resourceids.h, viewer.c, viewer.rcp.in:

	Removed the sony-specific preferences form
	
2002-11-07 20:58  adamm

	* viewer/prefsform.c:

	Fixed a bug preventing the silk option from being displayed for handera devices
	
2002-11-06 23:42  adamm

	* viewer/: bookmarkform.c, buttonform.c, controlform.c,
	detailsform.c, emailform.c, gestureform.c, hardcopyform.c, hires.c,
	hires.h, jogdialform.c, libraryform.c, mainform.c, prefsform.c,
	sclform.c:

	Added function HanderaConvertForm() which converts forms from a normal 160x160
	display to a handera 240x240 display without the need to create a whole new
	form definition.
	
	For the forms that do not require a new form defnition, this new function was
	amended.
	
2002-11-06 23:00  adamm

	* viewer/: control.c, util.c, util.h:

	Depricated DoubleBoundsValues() in lieu of HiResAdjustBounds()
	
2002-11-06 22:57  adamm

	* viewer/: buttonform.c, font.c, font.h, fontform.c, viewer.rcp.in:

	Modified buttonform.c to display icons representing the actual hardware
	buttons.
	
	Also moved DisplayChar() to font.c for easier access later on when we're ready
	to add in the arrow buttons into buttonform.c
	
2002-11-05 21:37  adamm

	* viewer/prefsform.c (hires):

	Fixed a handera toolbar-in-silkscreen bug.
	
2002-11-05 21:28  adamm

	* viewer/: dimensions.h, hires.c, hires.h, hires.rcp, image.c,
	os.c, prefsdata.c, prefsdata.h, prefsform.c, prefsform.h,
	resourceids.h, screen.c, screen.h, silkscreen.c, silkscreen.h,
	util.c, viewer.c, langs/en.h, langs/en.rcp, scripts/fix_sony_sdk.pl
	(hires):

	Backported the hires code from HEAD back into the depricated hires branch.
	Fixes mostly include fixing a few handera issues, as well a nasty NR70 fatal
	exception bug. In the future, any hires changes will be done in HEAD and
	stabilized under the 1.2 stable branch.
	
2002-11-05 03:46  matto

	* viewer/langs/: Makefile, rcplint.pl:

	A tool to check localized resource files is added.
	
2002-11-03 00:48  desrod

	* docs/FAQ.sgml:

	Updated Byron's site to point to the Plucker page, and updated Nick
	Vargish's site to point to the new Unpress page.
	
2002-11-02 22:20  adamm

	* viewer/Makefile.in:

	File .sedscr was being appended over multiple configure runs.
	
2002-11-02 22:07  adamm

	* viewer/: dimensions.h, hires.c, hires.h, prefsdata.c,
	prefsdata.h, prefsform.c, resourceids.h, screen.c, viewer.rcp.in:

	Depricated Prefs()->screenHiRes. Using it would cause a bug whenever a user
	first starts up a non-hires version of plucker on a hires device, then
	switches to a hires version; the hires version remains in lores mode until
	the user deletes/reinstalls plucker. Bad :)
	
	Also, added a few debug messages and re-worked the logic when picking the
	depth/resolution in screen.c. On older devices the display would 'flicker'
	each time you start the program, now it does not.
	
2002-11-02 20:23  adamm

	* viewer/: dimensions.h, screen.c, util.c:

	Fixed a nasty bug causing handera devices to 'lose' their hires setting,
	thus causing a few problems ranging from display errors to fatal exceptions.
	
2002-11-02 20:20  adamm

	* viewer/hires.c:

	Standardized the debug output of the hires code's progress.
	
2002-11-02 02:38  adamm

	* viewer/: libraryform.c, mainform.c, silkscreen.c, silkscreen.h,
	viewer.c:

	Put the final (apparent) touches on hires+ support for sony devices. More
	testing is required to ensure that its 100%, but in theory it looks like it
	works :)
	
	Only noticable bug is when you set your toolbar to the bottom, it actually
	appears about 2/3 down the screen. Will fix later :)
	
2002-11-02 01:58  adamm

	* viewer/: hires.c, silkscreen.c, viewer.c:

	Finally tracked down why the silkscreen library was crashing on NR70 devices.
	I had accidently set it to load the HiResLib library inplace of the SilkLib
	library. Oops :)
	
	As well, cleaned up how everything works/runs as well when handling the
	virtual silkscreen.
	
2002-11-02 01:54  adamm

	* viewer/mainform.c:

	Fixed a bug which caused sony hires devices to fsck up their display after
	calling frmCloseEvent off of frmMain*
	
2002-11-02 00:07  adamm

	* viewer/hires.c:

	Changed HiResInitialize() to call HiResSupportedType() to see whats available, rather than go through each of the architechtures on a trial-by-error basis.
	
2002-11-02 00:04  adamm

	* viewer/: hires.c, hires.h, os.c, screen.c, screen.h:

	Re-ordered the hires functions to standardize on the order of Palm, Sony, then Handera. Also, moved HiResStop from a function into a pointer to a function, so its no longer doing a guessing act to see which one there is that its supposed to stop. Instead now it is set via SetHiResFunctions().
	
	Note, its important that each (arch)HiResStop() function calles SetStandardFunctions(). This is needed because the old function mempointers need to be set to a sane state after hires is 'closed'.
	
2002-11-02 00:01  adamm

	* viewer/silkscreen.c:

	Reordered how silkscreen.c works. Now SilkScreenInitialize() calls SilkScreenSupported(), then whichever is supported the appropriate code is called. Better this way the the old 'first one failed, try the next' method.
	
2002-11-01 03:17  matto

	* viewer/: bookmarkform.c, paragraph.c:

	Fixed bug in bookmarking.
	
2002-11-01 02:28  matto

	* viewer/: bookmarkform.c, image.c:

	Bug fix in bookmarking.
	
2002-11-01 01:05  janssen

	* tools/unpluck/: config.c, unpluck.c, util.c:

	added some patches by Bill Nalen for Windows
	
2002-10-31 18:49  adamm

	* viewer/hires.c:

	The NX-series devices will support both Palm OS5 and Sony hires styles.
	I made the change so that if we're given the choice, we'll support OS5
	over Sony; it's better :)
	
2002-10-31 05:49  matto

	* viewer/search.c:

	Bug fix in search.c which causes infinite loop in some cases.
	
2002-10-31 01:09  adamm

	* viewer/configure.in:

	Split up the configure script to check seperatly for PalmOS SDK4 and SDK5.
	We need to know in config.h whether or not we have SDK5, so the palm-specific
	hires code can be properly included and built later on.
	
2002-10-29 23:20  janssen

	* configure.in:

	better status messages explaining why explode, unpluck, or the GTK+ viewer will not be built
	
2002-10-29 23:13  adamm

	* viewer/paragraph.c:

	Change courtesy Chris Hawks. He wrote:
	
	Here's a quickie fix for 1.3 (and 1.2).
	
	In paragraph.c, DoMultiImage, if
	tContext->activeAnchor is false we create an anchor for the big image
	(DoAnchorBegin) and end it (AnchorStop) after drawing.  Or so we thought.
	AnchorStop does not clear tContext->activeAnchor, so the next multiImage is
	appended to the 'anchor' for the previous image... So all images when tapped
	display the follow link/show image popup even tho they have no link.
	
	Fortunately the fix is shorter than the explaination.
	
2002-10-29 07:30  adamm

	* viewer/: dimensions.h, hires.c, hires.h:

	'Theory-based' support for SDK5-style hires devices. I think it'll work :)
	
2002-10-29 04:34  janssen

	* tools/explode/explode.c:

	use tmpnam instead of mkstemp for better portability
	
2002-10-29 04:27  janssen

	* tools/explode/Makefile.in:

	Better style in Makefile
	
2002-10-29 04:23  janssen

	* configure.in:

	more fixes to explode configuration
	
2002-10-29 04:08  janssen

	* REQUIREMENTS:

	Added notes on GTK viewer and Java version of distiller
	
2002-10-29 03:59  janssen

	* configure.in:

	remove some debugging lines
	
2002-10-29 03:58  janssen

	* configure.in:

	fixes to explode and unpluck configuration
	
2002-10-29 03:46  matto

	* viewer/: libraryform.c, paragraph.c, langs/ja.rcp:

	Quicken delete-a-document action.
	
2002-10-29 03:37  janssen

	* viewer-GTK+2-POSIX/Makefile:

	Should configure this file from Makefile.in
	
2002-10-29 03:36  janssen

	* viewer-GTK+2-POSIX/Makefile.in:

	template Makefile for the GTK viewer
	
2002-10-29 03:33  janssen

	* configure.in:

	added checking for Jython and config for GTK viewer
	
2002-10-29 03:33  janssen

	* Makefile.in:

	added GTK viewer
	
2002-10-26 02:54  adamm

	* viewer/: silkscreen.c, silkscreen.h, viewer.c:

	Precurser development to hires+ support
	
2002-10-26 02:49  adamm

	* viewer/: Makefile.in, font.c, font.h, fontform.c, fontform.h,
	hires.c, libraryform.c, mainform.c, os.c, os.h, paragraph.c,
	screen.c, viewer.c:

	Split the font-specific code from os.c into newly created font.c, as well, the
	code itself is now more efficient, and easier to expand upon when/if new fonts
	are added. Also cleaned up some bugs when using said fonts on any hires
	devices.
	
2002-10-26 00:42  adamm

	* viewer/screen.c:

	Added back in the code used from the hires branch into screen.c. Now Hires will
	actually be enabled and used :)
	
2002-10-26 00:38  adamm

	* viewer/: Makefile.in, configure.in, viewer.rcp.in:

	Since pilrc cannot handle #define tags from within #include tags, config.h
	needs to be translated into the CLI pilrc call. This is needed becuase
	viewer.rcp.in calls several #ifdef, the only way they can be honoured is if
	they're provided via -D arguments.
	
2002-10-25 22:50  adamm

	* viewer/: control.c, mainform.c, prefsform.c, util.c:

	Removed the code calling frmPrefsSony and frmPrefsHandera as a precurser to standardizing up the preference form.
	
2002-10-25 12:52  nordstrom

	* CREDITS, NEWS, unix/setup.py.in, viewer/configure.in,
	viewer/langs/th.h, viewer/langs/th.rcp:

	Added Thai translation (Karin Pimsamsee)
	
2002-10-24 17:17  nordstrom

	* AUTHORS, CREDITS, ChangeLog, FAQ, INSTALL, Makefile.maint, NEWS,
	README, REQUIREMENTS, configure.in, conduit/sync.pl, docs/FAQ.sgml,
	docs/Makefile.in, docs/Plucker_Doc.tex, docs/Viewer.tex,
	docs/plucker-build.1, docs/images/Autoscroll.gif,
	docs/images/Prefs.gif, docs/images/Start.gif,
	parser/python/pluckit.py, parser/python/PyPlucker/ImageParser.py,
	parser/python/PyPlucker/Retriever.py,
	parser/python/PyPlucker/Spider.py,
	parser/python/PyPlucker/TextParser.py,
	parser/python/PyPlucker/Writer.py,
	parser/python/PyPlucker/__init__.py.in,
	parser/python/PyPlucker/helper/PQAAppInfo.py,
	parser/python/PyPlucker/helper/prc.py, plucker_desktop/Makefile.in,
	plucker_desktop/README.txt, plucker_desktop/blocked_dialog.cpp,
	plucker_desktop/blocked_dialog.h, plucker_desktop/body_dialog.cpp,
	plucker_desktop/body_dialog.h, plucker_desktop/bookmark_dialog.cpp,
	plucker_desktop/bookmark_dialog.h,
	plucker_desktop/channel_dialog.cpp,
	plucker_desktop/channel_dialog.h, plucker_desktop/channel_type.cpp,
	plucker_desktop/channel_type.h,
	plucker_desktop/checkbox_message_dialog.cpp,
	plucker_desktop/checkbox_message_dialog.h,
	plucker_desktop/configuration.cpp, plucker_desktop/configuration.h,
	plucker_desktop/destinations_wizardpage.cpp,
	plucker_desktop/destinations_wizardpage.h,
	plucker_desktop/editor_dialog.cpp, plucker_desktop/editor_dialog.h,
	plucker_desktop/email_dialog.cpp, plucker_desktop/email_dialog.h,
	plucker_desktop/exclusion_dialog.cpp,
	plucker_desktop/exclusion_dialog.h,
	plucker_desktop/exclusion_listctrl.cpp,
	plucker_desktop/exclusion_listctrl.h,
	plucker_desktop/font_dialog.cpp, plucker_desktop/font_dialog.h,
	plucker_desktop/help_controller.cpp,
	plucker_desktop/help_controller.h, plucker_desktop/hhictrl.cpp,
	plucker_desktop/hhictrl.h, plucker_desktop/hr_dialog.cpp,
	plucker_desktop/hr_dialog.h, plucker_desktop/hyperlink_dialog.cpp,
	plucker_desktop/hyperlink_dialog.h,
	plucker_desktop/image_dialog.cpp, plucker_desktop/image_dialog.h,
	plucker_desktop/image_list.cpp, plucker_desktop/image_list.h,
	plucker_desktop/internationalization.cpp,
	plucker_desktop/internationalization.h,
	plucker_desktop/main_listctrl.cpp, plucker_desktop/main_listctrl.h,
	plucker_desktop/makefile.b32, plucker_desktop/makefile.g95,
	plucker_desktop/message_wizardpage.cpp,
	plucker_desktop/message_wizardpage.h,
	plucker_desktop/ol_dialog.cpp, plucker_desktop/ol_dialog.h,
	plucker_desktop/os_msw.cpp, plucker_desktop/os_msw.h,
	plucker_desktop/palm_installer.h,
	plucker_desktop/palm_installer_base.cpp,
	plucker_desktop/palm_installer_base.h,
	plucker_desktop/palm_installer_gtk.cpp,
	plucker_desktop/palm_installer_gtk.h,
	plucker_desktop/palm_installer_msw.cpp,
	plucker_desktop/palm_installer_msw.h,
	plucker_desktop/plucker-desktop.cpp,
	plucker_desktop/plucker-desktop.h,
	plucker_desktop/plucker-desktop.rc,
	plucker_desktop/plucker_controller.cpp,
	plucker_desktop/plucker_controller.h,
	plucker_desktop/plucker_defines.h,
	plucker_desktop/popup_dialog.cpp, plucker_desktop/popup_dialog.h,
	plucker_desktop/preferences_dialog.cpp,
	plucker_desktop/preferences_dialog.h,
	plucker_desktop/proxy_wizardpage.cpp,
	plucker_desktop/proxy_wizardpage.h, plucker_desktop/setup.h,
	plucker_desktop/setup_wizard.cpp, plucker_desktop/setup_wizard.h,
	plucker_desktop/showcase_dialog.cpp,
	plucker_desktop/showcase_dialog.h,
	plucker_desktop/showcase_listctrl.cpp,
	plucker_desktop/showcase_listctrl.h,
	plucker_desktop/showcase_splitterwindow.cpp,
	plucker_desktop/showcase_splitterwindow.h,
	plucker_desktop/span_dialog.cpp, plucker_desktop/span_dialog.h,
	plucker_desktop/splashscreen.cpp, plucker_desktop/splashscreen.h,
	plucker_desktop/startup_tips.cpp, plucker_desktop/startup_tips.h,
	plucker_desktop/table_dialog.cpp, plucker_desktop/table_dialog.h,
	plucker_desktop/ul_dialog.cpp, plucker_desktop/ul_dialog.h,
	plucker_desktop/utils_clipboard.cpp,
	plucker_desktop/utils_clipboard.h,
	plucker_desktop/utils_controls.cpp,
	plucker_desktop/utils_controls.h,
	plucker_desktop/utils_datetime.cpp,
	plucker_desktop/utils_datetime.h,
	plucker_desktop/utils_internet.cpp,
	plucker_desktop/utils_internet.h, plucker_desktop/utils_string.cpp,
	plucker_desktop/utils_string.h,
	plucker_desktop/viewer_wizardpage.cpp,
	plucker_desktop/viewer_wizardpage.h,
	plucker_desktop/docs/WX_TIPS.txt,
	plucker_desktop/installer/msw/plucker-desktop.iss,
	plucker_desktop/langs/HOW_TO_TRANSLATE.txt,
	plucker_desktop/langs/sample_po.txt,
	plucker_desktop/langs/cs/plucker-desktop.po,
	plucker_desktop/langs/da/plucker-desktop.po,
	plucker_desktop/langs/de/plucker-desktop.po,
	plucker_desktop/langs/es/plucker-desktop.po,
	plucker_desktop/langs/fi/plucker-desktop.po,
	plucker_desktop/langs/fo/plucker-desktop.po,
	plucker_desktop/langs/fr/plucker-desktop.po,
	plucker_desktop/langs/it/plucker-desktop.po,
	plucker_desktop/langs/ja/plucker-desktop.po,
	plucker_desktop/langs/nl/plucker-desktop.po,
	plucker_desktop/langs/pl/plucker-desktop.po,
	plucker_desktop/langs/ru/plucker-desktop.po,
	plucker_desktop/langs/sv/plucker-desktop.po,
	plucker_desktop/resource/plucker_showcase.htm,
	plucker_desktop/resource/docs/PluckerDesktop.tex,
	plucker_desktop/resource/docs/Tex2Rtf.ini,
	plucker_desktop/resource/docs/plucker-desktop.htb,
	plucker_desktop/resource/graphics_misc/splash.png,
	plucker_desktop/resource/icons_dialog/main_dialog_settings_tab_bitm
	aplist_0.png,
	plucker_desktop/resource/icons_dialog/main_dialog_settings_tab_bitm
	aplist_1.png,
	plucker_desktop/resource/icons_dialog/main_dialog_settings_tab_bitm
	aplist_2.png,
	plucker_desktop/resource/icons_dialog/main_dialog_settings_tab_bitm
	aplist_3.png,
	plucker_desktop/resource/icons_dialog/main_dialog_toolbar_configure
	_channel.png,
	plucker_desktop/resource/icons_dialog/main_dialog_toolbar_delete_ch
	annel.png,
	plucker_desktop/resource/icons_dialog/main_dialog_toolbar_new_chann
	el.png,
	plucker_desktop/resource/icons_dialog/main_dialog_update_all.png,
	plucker_desktop/resource/icons_dialog/main_dialog_update_due.png,
	plucker_desktop/resource/icons_dialog/main_dialog_update_selected.p
	ng, plucker_desktop/resource/icons_dialog/progress_dialog.png,
	plucker_desktop/resource/icons_image_list/small_edit_pencil_icon.xp
	m, plucker_desktop/resource/icons_image_list/small_folder_icon.xpm,
	plucker_desktop/resource/icons_image_list/small_preview_page_icon.x
	pm,
	plucker_desktop/resource/icons_image_list/small_satellite_dish_icon
	.xpm,
	plucker_desktop/resource/strings_tips/plucker_advanced_tips.txt,
	plucker_desktop/resource/strings_tips/plucker_basic_tips.txt,
	plucker_desktop/resource/strings_tips/rubber_chicken_trivia.txt,
	plucker_desktop/resource/xrc/channel_dialog.xrc,
	plucker_desktop/resource/xrc/editor_dialog.xrc,
	plucker_desktop/resource/xrc/exclusion_dialog.xrc,
	plucker_desktop/resource/xrc/preferences_dialog.xrc,
	plucker_desktop/resource/xrc/showcase_dialog.xrc,
	tools/Makefile.in, tools/pluck-comics/comics.com.list,
	tools/pluck-comics/kingfeatures.list,
	tools/pluck-comics/other.comics.list,
	tools/pluck-comics/pluck-comics.py.in,
	tools/pluck-comics/ucomics.com.list, unix/install-plucker,
	unix/setup.py.in, viewer/Guidelines.txt, viewer/Makefile.in,
	viewer/README, viewer/allforms.h, viewer/anchor.c, viewer/anchor.h,
	viewer/bookmark.c, viewer/bookmark.h, viewer/bookmarkform.c,
	viewer/bookmarkform.h, viewer/buttonform.c, viewer/buttonform.h,
	viewer/cache.c, viewer/cache.h, viewer/categoryform.c,
	viewer/categoryform.h, viewer/const.h, viewer/control.c,
	viewer/control.h, viewer/controlform.c, viewer/controlform.h,
	viewer/dbmgrform.c, viewer/dbmgrform.h, viewer/debug.c,
	viewer/debug.h, viewer/detailsform.c, viewer/detailsform.h,
	viewer/doclist.c, viewer/doclist.h, viewer/document.c,
	viewer/document.h, viewer/emailform.c, viewer/emailform.h,
	viewer/externalform.c, viewer/externalform.h, viewer/genericfile.c,
	viewer/genericfile.h, viewer/gestureform.c, viewer/gestureform.h,
	viewer/history.c, viewer/history.h, viewer/image.c, viewer/image.h,
	viewer/mainform.c, viewer/mainform.h, viewer/metadata.h,
	viewer/metadocument.c, viewer/metadocument.h, viewer/os.c,
	viewer/os.h, viewer/paragraph.c, viewer/paragraph.h,
	viewer/pluckererror.h, viewer/prefsdata.c, viewer/prefsdata.h,
	viewer/prefsform.c, viewer/prefsform.h, viewer/ramfile.c,
	viewer/ramfile.h, viewer/resourceids.h, viewer/resultform.c,
	viewer/resultform.h, viewer/sclform.c, viewer/sclform.h,
	viewer/screen.c, viewer/screen.h, viewer/search.c, viewer/search.h,
	viewer/searchform.c, viewer/searchform.h, viewer/session.c,
	viewer/session.h, viewer/uncompress.c, viewer/uncompress.h,
	viewer/util.c, viewer/util.h, viewer/vfsfile.c, viewer/vfsfile.h,
	viewer/viewer.c, viewer/viewer.h, viewer/viewer.rcp.in,
	viewer/langs/cs.h, viewer/langs/cs.rcp, viewer/langs/da.h,
	viewer/langs/da.rcp, viewer/langs/de.h, viewer/langs/de.rcp,
	viewer/langs/en.h, viewer/langs/en.rcp, viewer/langs/es.h,
	viewer/langs/es.rcp, viewer/langs/fo.h, viewer/langs/fo.rcp,
	viewer/langs/fr.h, viewer/langs/fr.rcp, viewer/langs/it.h,
	viewer/langs/it.rcp, viewer/langs/ja.h, viewer/langs/ja.rcp,
	viewer/langs/pl.h, viewer/langs/pl.rcp, viewer/langs/ru.h,
	viewer/langs/ru.rcp, viewer/langs/sample.h,
	viewer/langs/sample.rcp, viewer/langs/tr.h, viewer/langs/tr.rcp,
	viewer/langs/zh_CN.h, viewer/langs/zh_CN.rcp (plucker_1_2):

	Fixed messed up branch tag
	
2002-10-24 02:25  matto

	* viewer/: paragraph.c, langs/cs.rcp, langs/da.rcp, langs/de.rcp,
	langs/en.rcp, langs/es.rcp, langs/fo.rcp, langs/fr.rcp,
	langs/it.rcp, langs/ja.rcp, langs/pl.rcp, langs/ru.rcp,
	langs/tr.rcp, langs/zh_CN.rcp:

	Anchor actions are added to gestures and tap action list.
	
2002-10-23 22:22  adamm

	* viewer/: configure.in, scripts/fix_sony_sdk.pl:

	Fixed an issue causing build errors when using both the Sony SDK and SDK5
	
2002-10-23 17:22  nordstrom

	* viewer/prefsdata.c:

	Hardcopy preference options were missing at a couple of places
	
2002-10-23 17:22  nordstrom

	* viewer/paragraph.c:

	Added functions to SECTION3
	
2002-10-23 10:13  matto

	* viewer/: Makefile.in, anchor.c, bookmark.c, bookmark.h,
	bookmarkform.c, control.c, document.c, document.h, hardcopyform.c,
	hardcopyform.h, image.c, mainform.c, paragraph.c, paragraph.h,
	prefsdata.c, prefsdata.h, resourceids.h, util.c, util.h, viewer.c,
	viewer.rcp.in, icons/copy.bmp, langs/cs.rcp, langs/da.rcp,
	langs/de.rcp, langs/en.rcp, langs/es.rcp, langs/fo.rcp,
	langs/fr.rcp, langs/it.rcp, langs/ja.rcp, langs/pl.rcp,
	langs/ru.rcp, langs/sample.rcp, langs/tr.rcp, langs/zh_CN.rcp:

	Hardcopy and bookmark template feature are added.
	
2002-10-23 06:53  nordstrom

	* viewer/jogdial.h:

	Cleaned up the #if statement
	
2002-10-22 23:42  adamm

	* viewer/silkscreen.h:

	Moved section definitions for all silkscreen functions to SECTION2
	
2002-10-22 23:28  adamm

	* viewer/jogdial.h:

	Fixed a bug in syntax of the pre-processor
	
	Previously, HAVE_SONY_SDK and HAVE_HANDERA_SDK would have had a value set to
	them respectivly, but now, they're merely defined which caused a goofup on the
	#if statement. Fixed now.
	
2002-10-22 22:52  janssen

	* parser/python/PyPlucker/Spider.py:

	Fixed bug in stayondomain that prevented operation with older Python installations
	
2002-10-22 14:49  nordstrom

	* viewer/configure.in:

	Check for SDK4update1 or SDK5
	
2002-10-22 12:11  nordstrom

	* viewer/: fontform.c, genericfile.c, hires.c, hires.h,
	libraryform.c, mainform.c, os.c, ramfile.c, silkscreen.c, util.c,
	util.h:

	Updated to conform with coding standard
	
2002-10-22 12:10  nordstrom

	* viewer/Makefile.in:

	Removed depend target when building viewer; run 'make depend' to recreate
	
2002-10-22 12:09  nordstrom

	* viewer/PluckerDB.pdb:

	Removed test DB
	
2002-10-22 09:27  nordstrom

	* configure.in, viewer/README, viewer/configure.in,
	viewer/document.c:

	Make it configurable whether the viewer should scroll to bottom of page or in even pages
	
2002-10-21 17:08  nordstrom

	* plucker_desktop/langs/da/plucker-desktop.po:

	Updated Danish translation (Claus Hindsgaul)
	
2002-10-21 14:35  nordstrom

	* CREDITS, Makefile.in, Makefile.maint, NEWS, configure.in,
	docs/Makefile.in, parser/Makefile.in, parser/python/Makefile.in,
	plucker_desktop/Makefile.in, tools/Makefile.in,
	tools/explode/Makefile.in, tools/pluck-comics/Makefile.in,
	tools/unpluck/Makefile.in, viewer/Guidelines.txt,
	viewer/Makefile.in, viewer/README, viewer/allforms.h,
	viewer/anchor.c, viewer/anchor.h, viewer/bookmark.c,
	viewer/cache.c, viewer/cache.h, viewer/categoryform.c,
	viewer/categoryform.h, viewer/configure.in, viewer/const.h,
	viewer/control.c, viewer/control.h, viewer/dbmgrform.c,
	viewer/dbmgrform.h, viewer/debug.c, viewer/detailsform.c,
	viewer/dimensions.h, viewer/doclist.c, viewer/doclist.h,
	viewer/document.c, viewer/document.h, viewer/externalform.c,
	viewer/fontform.c, viewer/genericfile.c, viewer/genericfile.h,
	viewer/hires.c, viewer/hires.h, viewer/image.c, viewer/jogdial.c,
	viewer/jogdial.h, viewer/jogdialform.c, viewer/jogdialform.h,
	viewer/libraryform.c, viewer/libraryform.h, viewer/link.c,
	viewer/link.h, viewer/list.c, viewer/list.h, viewer/mainform.c,
	viewer/metadocument.c, viewer/os.c, viewer/os.h,
	viewer/paragraph.c, viewer/pluckererror.h, viewer/prefsdata.c,
	viewer/prefsdata.h, viewer/prefsform.c, viewer/ramfile.c,
	viewer/ramfile.h, viewer/renamedocform.c, viewer/renamedocform.h,
	viewer/resourceids.h, viewer/search.c, viewer/search.h,
	viewer/silkscreen.c, viewer/silkscreen.h, viewer/stack.c,
	viewer/stack.h, viewer/uncompress.c, viewer/util.c, viewer/util.h,
	viewer/vfsfile.c, viewer/viewer.c, viewer/viewer.h,
	viewer/viewer.rcp.in, viewer/fonts/narrowboldfont.txt,
	viewer/fonts/narrowfont.txt, viewer/icons/compactflash-8bpp.bmp,
	viewer/icons/compactflash.bmp,
	viewer/icons/compactflash_x2-8bpp.bmp,
	viewer/icons/compactflash_x2.bmp, viewer/icons/jogdialback.bmp,
	viewer/icons/jogdialdown.bmp, viewer/icons/jogdialpush.bmp,
	viewer/icons/jogdialpushdown.bmp, viewer/icons/jogdialpushup.bmp,
	viewer/icons/jogdialup.bmp, viewer/icons/longbar-8bpp.bmp,
	viewer/icons/longbar.bmp, viewer/icons/memorystick-2bpp.bmp,
	viewer/icons/memorystick-4bpp.bmp,
	viewer/icons/memorystick-8bpp.bmp, viewer/icons/memorystick.bmp,
	viewer/icons/memorystick_x2-2bpp.bmp,
	viewer/icons/memorystick_x2-4bpp.bmp,
	viewer/icons/memorystick_x2-8bpp.bmp,
	viewer/icons/memorystick_x2.bmp,
	viewer/icons/securedigital-8bpp.bmp,
	viewer/icons/securedigital.bmp,
	viewer/icons/securedigital_x2-8bpp.bmp,
	viewer/icons/securedigital_x2.bmp, viewer/icons/vfs.bmp,
	viewer/icons/viewersm-2bpp.bmp, viewer/icons/viewersm-8bpp.bmp,
	viewer/icons/viewersm_x2-2bpp.bmp,
	viewer/icons/viewersm_x2-8bpp.bmp, viewer/icons/viewersm_x2.bmp,
	viewer/langs/cs.h, viewer/langs/cs.rcp, viewer/langs/da.h,
	viewer/langs/da.rcp, viewer/langs/de.h, viewer/langs/de.rcp,
	viewer/langs/en.h, viewer/langs/en.rcp, viewer/langs/es.h,
	viewer/langs/es.rcp, viewer/langs/fo.h, viewer/langs/fo.rcp,
	viewer/langs/fr.h, viewer/langs/fr.rcp, viewer/langs/it.h,
	viewer/langs/it.rcp, viewer/langs/ja.h, viewer/langs/ja.rcp,
	viewer/langs/pl.h, viewer/langs/pl.rcp, viewer/langs/ru.h,
	viewer/langs/ru.rcp, viewer/langs/sample.h,
	viewer/langs/sample.rcp, viewer/langs/tr.h, viewer/langs/tr.rcp,
	viewer/langs/zh_CN.h, viewer/langs/zh_CN.rcp,
	viewer/scripts/fix_sony_sdk.pl:

	Merged hires, i18n, linked-list, etc. to create initial unstable branch
	
2002-10-18 11:51  nhuillard

	* viewer/langs/fr.rcp (hires):

	Several updates
	
2002-10-18 11:46  nhuillard

	* viewer/langs/fr.rcp:

	Several updates. Some were lost as of '1.33 2002/09/26 15:27:11 nordstrom' ?
	
2002-10-16 21:59  nordstrom

	* ChangeLog:

	New release 1.2
	
2002-10-16 18:46  nordstrom

	* viewer/Guidelines.txt:

	A few minor changes to the intro text
	
2002-10-16 01:57  janssen

	* docs/plucker-build.1:

	Added documentation on configuration parameters in config files
	
2002-10-15 19:29  robertoconnor

	* plucker_desktop/:
	resource/html_about/plucker_desktop_translators.htm,
	langs/da/plucker-desktop.po,
	resource/html_about/plucker_desktop_translators.htm:

	Danish translation (Claus Hindsgaul)
	
2002-10-15 12:57  nordstrom

	* plucker_desktop/langs/da/: plucker-desktop.po, wxstd.po:

	Initial Danish translation (Claus Hindsgaul)
	
2002-10-14 21:54  janssen

	* parser/python/PyPlucker/Writer.py:

	Return None from Mapper._get_id_for_doc to avoid odd error when plucking
	
2002-10-14 21:32  janssen

	* parser/python/PyPlucker/ImageParser.py:

	Added option to call JIU image parser
	
2002-10-14 21:31  janssen

	* parser/python/pluckit.py:

	make Java exit properly when finished
	
2002-10-11 21:31  janssen

	* parser/python/PyPlucker/Spider.py:

	Added stayondomain and socket timeouts
	
2002-10-11 16:52  adamm

	* viewer/viewer.rcp.in (hires):

	Added back in the narrowboldfont call in the rcp.
	
2002-10-11 15:56  adamm

	* viewer/libraryform.c (hires):

	Added in support for plucker_1_2 function "Do manual sync"
	
2002-10-11 15:49  adamm

	* viewer/prefsform.c (hires):

	Fixed the Toolbar list in the preferences form
	
2002-10-11 15:45  adamm

	* viewer/: fontform.c, hires.c, hires.h, jogdialform.c,
	libraryform.c, mainform.c, os.c, prefsdata.c, prefsdata.h,
	prefsform.c, screen.c, viewer.c (hires):

	Changed all calls to HiResPrefs() to just Prefs(), amalgamated all hires specific preferences under the standard group. Plus, set it as a 'Test' version.
	
2002-10-10 21:58  janssen

	* parser/python/PyPlucker/helper/prc.py:

	name len should be max of 31 chars, not 32
	
2002-10-10 21:57  janssen

	* parser/python/PyPlucker/helper/timeoutsocket.py:

	adding timeoutsocket for timeout functionality
	
2002-10-10 21:03  adamm

	* AUTHORS, CREDITS, FAQ, INSTALL, Makefile.in, Makefile.maint,
	NEWS, REQUIREMENTS, configure.in, viewer/Guidelines.txt,
	viewer/Makefile.in, viewer/README, viewer/allforms.h,
	viewer/anchor.c, viewer/anchor.h, viewer/bookmark.c,
	viewer/bookmark.h, viewer/bookmarkform.c, viewer/bookmarkform.h,
	viewer/buttonform.c, viewer/buttonform.h, viewer/cache.c,
	viewer/cache.h, viewer/categoryform.c, viewer/categoryform.h,
	viewer/const.h, viewer/control.c, viewer/control.h,
	viewer/controlform.c, viewer/controlform.h, viewer/dbmgrform.c,
	viewer/dbmgrform.h, viewer/debug.c, viewer/debug.h,
	viewer/detailsform.c, viewer/detailsform.h, viewer/doclist.c,
	viewer/doclist.h, viewer/document.c, viewer/document.h,
	viewer/emailform.c, viewer/emailform.h, viewer/externalform.c,
	viewer/externalform.h, viewer/fontform.c, viewer/genericfile.c,
	viewer/genericfile.h, viewer/gestureform.c, viewer/gestureform.h,
	viewer/hires.c, viewer/hires.h, viewer/hires.rcp, viewer/history.c,
	viewer/history.h, viewer/image.c, viewer/image.h,
	viewer/jogdialform.c, viewer/libraryform.c, viewer/mainform.c,
	viewer/mainform.h, viewer/metadata.h, viewer/metadocument.c,
	viewer/metadocument.h, viewer/os.c, viewer/os.h,
	viewer/paragraph.c, viewer/paragraph.h, viewer/pluckererror.h,
	viewer/prefsdata.c, viewer/prefsdata.h, viewer/prefsform.c,
	viewer/prefsform.h, viewer/ramfile.c, viewer/ramfile.h,
	viewer/resourceids.h, viewer/resultform.c, viewer/resultform.h,
	viewer/sclform.c, viewer/sclform.h, viewer/screen.c,
	viewer/screen.h, viewer/search.c, viewer/search.h,
	viewer/searchform.c, viewer/searchform.h, viewer/session.c,
	viewer/session.h, viewer/uncompress.c, viewer/uncompress.h,
	viewer/util.c, viewer/util.h, viewer/vfsfile.c, viewer/vfsfile.h,
	viewer/viewer.c, viewer/viewer.h, viewer/viewer.rcp.in (hires):

	Merged plucker_1_2 branch with hires branch. As well, made several changes to ensure its compatibility with the current code.
	
2002-10-10 21:02  adamm

	* viewer/langs/: cs.rcp, da.rcp, de.rcp, en.h, en.rcp, es.rcp,
	fo.rcp, fr.rcp, it.rcp, ja.h, ja.rcp, pl.rcp, ru.rcp, sample.rcp,
	tr.rcp, zh_CN.rcp (hires):

	Backported all the languages to a plucker_1_2 version. The intention is to split up all the hires language definitions into seperate files.
	
2002-10-09 20:38  janssen

	* parser/python/pluckit.py:

	Added exit from Java runtime so process would end
	
2002-10-05 21:42  janssen

	* parser/python/PyPlucker/TextParser.py:

	Another tweak to list element indentation
	
2002-10-05 11:56  robertoconnor

	* plucker_desktop/resource/: plucker_showcase.htm,
	docs/PluckerDesktop.tex, docs/plucker-desktop.htb,
	strings_tips/plucker_advanced_tips.txt,
	strings_tips/plucker_basic_tips.txt:

	Plucker Desktop:
	- Addtions/corrections to Plucker Showcase.
	- Additions/updates to Tips of the day.
	- Additions to help regarding escaping '?' in url_patterns.
	
2002-10-05 11:52  robertoconnor

	* plucker_desktop/: docs/TODO.txt, resource/plucker_showcase.htm,
	resource/docs/PluckerDesktop.tex,
	resource/docs/plucker-desktop.htb,
	resource/strings_tips/plucker_advanced_tips.txt,
	resource/strings_tips/plucker_basic_tips.txt:

	Plucker Desktop:
	- Addtions/corrections to Plucker Showcase.
	- Additions/updates to Tips of the day.
	- Additions to help regarding escaping '?' in url_patterns.
	
2002-10-05 02:42  janssen

	* parser/python/PyPlucker/JIUImageParser.py:

	ImageParser module to use the Java Imaging Utility -- only for use in Java version of the distiller
	
2002-10-04 02:12  janssen

	* viewer/genericfile.c:

	Fixed generation of owner_id key
	
2002-10-04 02:07  janssen

	* configure.in:

	remove bogus comparisons in libunpluck build section
	
2002-10-04 01:45  janssen

	* viewer/genericfile.c:

	Fix for owner-id key calculation: use direct memory copy instead of StrNCpy to copy elements of key
	
2002-10-03 23:31  janssen

	* parser/python/PyPlucker/: TextParser.py, TextParser.py:

	fixed indentation of list items
	
2002-10-03 18:31  desrod

	* REQUIREMENTS:

	More corrected URLs
	
2002-10-03 18:03  desrod

	* REQUIREMENTS:

	Corrected URLs in REQUIREMENTS
	
2002-10-03 15:26  nhuillard

	* viewer/langs/fr.rcp:

	Finished translating "$$PREFS: HELP"
	
2002-10-03 01:40  janssen

	* REQUIREMENTS:

	more notes for developers
	
2002-10-02 18:17  nordstrom

	* Makefile.maint:

	Exclude desktop, unpluck and explode from binary package
	
2002-10-02 18:16  nordstrom

	* configure.in:

	Exclude creation of files that will not be available in binary package
	
2002-10-02 18:15  nordstrom

	* unix/install-plucker:

	Updated to exclude unpluck and explode tools
	
2002-10-02 18:14  nordstrom

	* plucker_desktop/Makefile (plucker_1_2):

	Generated Makefile should not be in CVS
	
2002-10-02 16:09  nordstrom

	* viewer/document.c:

	Unlock memory handle for error case
	
2002-10-02 01:55  janssen

	* docs/: plucker-build.1, plucker-build.1:

	document the --depth-first command-line option
	
2002-10-02 01:49  janssen

	* parser/python/PyPlucker/helper/prc.py:

	make document names be 31 chars max, not 32
	
2002-10-02 01:39  janssen

	* parser/python/PyPlucker/TextParser.py:

	Better error checking on color names
	
2002-10-02 01:37  janssen

	* parser/python/PyPlucker/Spider.py:

	Reverted to breadth-first traversal; added --depth-first option
	
2002-10-01 23:26  adamm

	* viewer/libraryform.c (hires):

	Fixed a small bug in the way how 'held' jogdial keys were being carried over past their respective functions. Also, set it up so a quick jogdial press/release opens a document, while a held jogdial press/release brings up the popup list.
	
2002-10-01 18:09  adamm

	* viewer/: libraryform.c, libraryform.h, viewer.c (hires):

	Fixed Mike's last name in the copyright notice.
	
2002-09-30 06:56  nordstrom

	* NEWS:

	Applied patch found on the PalmZLib Sourceforge page. It adds a few
	checks for NULL pointers.
	
2002-09-30 06:56  nordstrom

	* viewer/uncompress.c:

	Moved debug printout
	
2002-09-30 01:26  janssen

	* docs/DBFormat.html:

	updated with image size limit and more detail on compression
	
2002-09-28 20:16  robertoconnor

	* plucker_desktop/parser.cpr:

	file parser.cpr was initially added on branch plucker_1_2.
	
2002-09-28 20:16  robertoconnor

	* plucker_desktop/plucker-desktop.cpr:

	file plucker-desktop.cpr was initially added on branch plucker_1_2.
	
2002-09-28 20:16  robertoconnor

	* plucker_desktop/Makefile:

	file Makefile was initially added on branch plucker_1_2.
	
2002-09-28 20:16  robertoconnor

	* plucker_desktop/: Makefile (plucker_1_2), BUILDING.txt,
	GUIDELINES.txt, Makefile-wx-standalone, Makefile.in,
	PluckerDesktop.dsp, README.txt, TODO.txt, about_dialog.cpp,
	about_dialog.h, add_channel_wizard.cpp, add_channel_wizard.h,
	art_provider.cpp, art_provider.h, autoupdate_dialog.cpp,
	autoupdate_dialog.h, blocked_dialog.cpp, blocked_dialog.h,
	body_dialog.cpp, body_dialog.h, bookmark_dialog.cpp,
	bookmark_dialog.h, build_progress_dialog.cpp,
	build_progress_dialog.h, build_progress_wrappers.cpp,
	build_progress_wrappers.h, channel_dialog.cpp, channel_dialog.h,
	channel_type.cpp, channel_type.h, checkbox_message_dialog.cpp,
	checkbox_message_dialog.h, checkbox_wizardpage.cpp,
	checkbox_wizardpage.h, commandline_parser.cpp,
	commandline_parser.h, configuration.cpp, configuration.h,
	destinations_wizardpage.cpp, destinations_wizardpage.h,
	details_progress_dialog.cpp, details_progress_dialog.h,
	details_progress_listbox.cpp, details_progress_listbox.h,
	editor_dialog.cpp, editor_dialog.h, email_dialog.cpp,
	email_dialog.h, exclusion_dialog.cpp, exclusion_dialog.h,
	exclusion_listctrl.cpp, exclusion_listctrl.h, font_dialog.cpp,
	font_dialog.h, help_controller.cpp, help_controller.h, hhictrl.cpp,
	hhictrl.h, hr_dialog.cpp, hr_dialog.h, html_tip_dialog.cpp,
	html_tip_dialog.h, hyperlink_dialog.cpp, hyperlink_dialog.h,
	image_dialog.cpp, image_dialog.h, image_list.cpp, image_list.h,
	install_dialog.cpp, install_dialog.h, install_viewer_wizard.cpp,
	install_viewer_wizard.h, internationalization.cpp,
	internationalization.h, limits_wizardpage.cpp, limits_wizardpage.h,
	main_dialog.cpp, main_dialog.h, main_frame.cpp, main_frame.h,
	main_listctrl.cpp, main_listctrl.h, makefile.b32, makefile.g95,
	makefile_filelist.lst, message_wizardpage.cpp,
	message_wizardpage.h, ol_dialog.cpp, ol_dialog.h, os_msw.cpp,
	os_msw.h, palm_installer.h, palm_installer_base.cpp,
	palm_installer_base.h, palm_installer_gtk.cpp,
	palm_installer_gtk.h, palm_installer_msw.cpp, palm_installer_msw.h,
	parser.cpr, piped_process.cpp, piped_process.h,
	plucker-desktop.cpp, plucker-desktop.cpr, plucker-desktop.h,
	plucker-desktop.rc, plucker_controller.cpp, plucker_controller.h,
	plucker_defines.h, plucker_wizard_base.cpp, plucker_wizard_base.h,
	plucker_wizard_wrappers.cpp, plucker_wizard_wrappers.h,
	popup_dialog.cpp, popup_dialog.h, preferences_dialog.cpp,
	preferences_dialog.h, process_progress_dialog.cpp,
	process_progress_dialog.h, progress_dialog.cpp, progress_dialog.h,
	progress_listbox.cpp, progress_listbox.h, proxy_wizardpage.cpp,
	proxy_wizardpage.h, setup.h, setup_wizard.cpp, setup_wizard.h,
	showcase_dialog.cpp, showcase_dialog.h, showcase_listctrl.cpp,
	showcase_listctrl.h, showcase_splitterwindow.cpp,
	showcase_splitterwindow.h, span_dialog.cpp, span_dialog.h,
	splashscreen.cpp, splashscreen.h, starting_page_wizardpage.cpp,
	starting_page_wizardpage.h, startup_tips.cpp, startup_tips.h,
	symbol_dialog.cpp, symbol_dialog.h, table_dialog.cpp,
	table_dialog.h, textctrl_wizardpage.cpp, textctrl_wizardpage.h,
	time_control.cpp, time_control.h, ul_dialog.cpp, ul_dialog.h,
	utils_clipboard.cpp, utils_clipboard.h, utils_controls.cpp,
	utils_controls.h, utils_datetime.cpp, utils_datetime.h,
	utils_execute.cpp, utils_execute.h, utils_internet.cpp,
	utils_internet.h, utils_string.cpp, utils_string.h,
	viewer_wizardpage.cpp, viewer_wizardpage.h,
	docs/BUILDING_LINUX_GTK.txt, docs/BUILDING_LINUX_X11.txt,
	docs/BUILDING_MSW_BORLAND.txt, docs/BUILDING_MSW_MS_VISUALC.htm,
	docs/BUILDING_OTHER_PLATFORMS_COMPILERS.txt,
